<?php
defined("SAWANNA") or die();

class CSawannaAJAXerAdmin extends CSawanna
{
	var $db;
	var $session;
	var $language;
	var $message;
	var $error;
	
	function CSawannaAJAXerAdmin()
	{
		$this->db=null;
		$this->session=null;
		$this->language=null;
		$this->message='';
		$this->error='';
	}
	
	function build_create_form()
	{
		$addresses='';
		if (isset($_POST['addresses']) && !empty($_POST['addresses'])) $addresses=$_POST['addresses'];
		elseif (!isset($_POST['addresses']))
		{
			$this->db->query("select value from ".DB_PREFIX."_global where name='ajaxer_addresses' and mark='ajaxer'");
			$vals=$this->db->fetch_array();
			if (!empty($vals))
				$addresses=implode("\n",unserialize($vals['value']));
		}
		
		
		$html='';
			
		
		$elems=array(
					'custom',
					'submit'
					);
					
		$desc=array(
					'',
					' '
					);
		
		$attr=array(
					'',
					'value="[string]send[/string]"'
					);
					
		$custom=array(
					'<textarea name="addresses" cols="70" rows="10" style="width:100%">'.$addresses.'</textarea>'
					);
		
		$html.='<p align="left" style="padding:0px 10px">[string]paste_addresses_str[/string]</p><br />';
		$html.=parent::build_form(ADMIN_WORKSPACE.'/&component=ajaxer&act=save',$elems,500,$desc,$attr,$custom);
		
		echo $html; 
	}
	
	function save()
	{
		if (!isset($_POST['addresses']))
		{
			return ;
		}
		
		$addresses=explode("\n",$_POST['addresses']);
		
		$this->db->query("select value from ".DB_PREFIX."_global where name='ajaxer_addresses' and mark='ajaxer'");
		$exists=$this->db->num_rows();
		
		if (!$exists) {
			if (!$this->db->query("insert into ".DB_PREFIX."_global values (null,'ajaxer_addresses','".$this->db->escape_string(serialize($addresses))."','ajaxer')"))
			{
				$this->error='[string]database_error[/string]';
				$this->build_create_form();
				return ;
			}
		} else 
		{
			if (!$this->db->query("update ".DB_PREFIX."_global set value='".$this->db->escape_string(serialize($addresses))."' where name='ajaxer_addresses' and mark='ajaxer'"))
			{
				$this->error='[string]database_error[/string]';
				return ;
			}
		}
		$this->message='[string]ajaxer_saved[/string]';
		unset($_POST['addresses']);
	}
	
}

function ajaxerAdmin_init($env)
{
	global $SawannaAJAXerAdmin;
	
	$SawannaAJAXerAdmin=new CSawannaAJAXerAdmin();
	$SawannaAJAXerAdmin->db=&$env['db'];
	$SawannaAJAXerAdmin->session=&$env['session'];
	$SawannaAJAXerAdmin->language=&$env['language'];
}

function ajaxerAdmin_exec()
{
	global $SawannaAJAXerAdmin;
	
	if (isset($_GET['component']) && $_GET['component']=='ajaxer')
	{
		echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]AJAXer[/string] :</h2>';
		echo '<p style="padding:10px 10px 0px 10px">[string]ajaxer_str[/string]</p>';
		echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
		
		if (isset($_GET['act']) && $_GET['act']=='save')
		{
			$SawannaAJAXerAdmin->save();		
		}
		
		$SawannaAJAXerAdmin->build_create_form();
		
		echo '</div>';
	}
	
	return array($SawannaAJAXerAdmin->message,$SawannaAJAXerAdmin->error,'');
}

function ajaxerAdmin_clear()
{
	global $SawannaAJAXerAdmin;
	
	unset(
		$SawannaAJAXerAdmin->db,
		$SawannaAJAXerAdmin->session,
		$SawannaAJAXerAdmin->language,
		$SawannaAJAXerAdmin->message,
		$SawannaAJAXerAdmin->error
		);
}
?>