<?php
defined("SAWANNA") or die();

class CSawannaLastComments extends CSawanna
{
	var $session;
	var $language;
	var $node;
	var $db;
	var $user;
	var $count;
	
	function CSawannaLastComments()
	{
		$this->session=null;
		$this->language=null;
		$this->node=null;
		$this->db=null;
		$this->user=null;
		$this->count=5;
	}
	
	function build()
	{
		$html='';
		
		switch ($this->user->group)
		{
			case 1 :
				$access='';
				break;
			case 2 :
				$access=' and ';
				$access.="access <> '0'";
				break;
			default:
				$access=' and ';
				$access.="access = '1'";
				break;
		}
		
		$pages=array();
		$co=0;
		$result=$this->node->get(array('mark'=>'comment','access'=>'1'));
		while ($comments=$this->db->fetch_array($result)) 
		{
			$res=$this->db->sub_query("select name from ".DB_PREFIX."_nodes where mark <> 'comment' and workspace='".$this->db->escape_string($comments['workspace'])."' and link='".$this->db->escape_string($comments['link'])."'".$access);
			$response=$this->db->fetch_array($res);
			if (empty($response)) continue;
			
			$res=$this->db->sub_query("select login,name,gender from ".DB_PREFIX."_users where login <> '' and id='".$this->db->escape_string($comments['author_id'])."'");
			$user=$this->db->fetch_array($res);
			if (empty($user)) continue;
			
			if (in_array($comments['workspace'].'/'.$comments['link'],$pages)) continue;
			$pages[]=$comments['workspace'].'/'.$comments['link'];
			
			$gender='';
			if (!empty($user['gender']))
			{
				switch ($user['gender'])
				{
					case 'M' :
						$gender.='<img src="'.HOME.'/sawanna/images/male.gif" width="15" height="15" align="bottom" border="0" />&nbsp;';
						break;
					case 'F' :
						$gender.='<img src="'.HOME.'/sawanna/images/female.gif" width="15" height="15" align="bottom" border="0" />&nbsp;';
						break;
				}
			}
			$user_name=$gender.((!empty($user['name'])) ? $user['name'] : $user['login']);
			
			$co++;
			$html.='<span style="font-size:10px">'.date('d.m.Y',$comments['published']).'</span><br />[string]by[/string]:&nbsp;'.parent::build_anchor('user/view/'.$user['login'],'<span style="font-size:10px;font-weight:bold">'.$user_name.'</span>');
			$html.='<br />';
			$html.='<span class="news_short">'.$response['name'].'</span>';
			$html.='<div style="float:right;height:15px">'.parent::build_anchor($comments['workspace'].'/'.$comments['link'],'<span  class="read_more">[string]read_more[/string]</span>').'</div>';
			$html.='<br /><br />';
			if ($co>=$this->count) break;
			$html.='<br />';
		}
		
		if (!empty($html))
		{
			echo '<div class="field_caption">[string]last_comments[/string]</div>';
			echo '<div class="field_body">'.$html.'</div>';
			echo '<div style="width:100%" class="shadow_1"></div>';
		}
	}
}

function lastComments_init($env)
{
	global $SawannaLastComments;
	
	$SawannaLastComments=new CSawannaLastComments();
	$SawannaLastComments->session=&$env['session'];
	$SawannaLastComments->language=&$env['language'];
	$SawannaLastComments->node=&$env['node'];
	$SawannaLastComments->db=&$env['db'];
	$SawannaLastComments->user=&$env['user'];
}

function lastComments_exec()
{
	global $SawannaLastComments;
	
	$SawannaLastComments->build();
}

function lastComments_clear()
{
	global $SawannaLastComments;
	
	unset(
		$SawannaLastComments->session,
		$SawannaLastComments->language,
		$SawannaLastComments->node,
		$SawannaLastComments->db,
		$SawannaLastComments->user,
		$SawannaLastComments->count
		);
}
?>