<?php
$language_name="English";

$language_words=array(
'guest' => 'Guest',
'register_failed' => 'Registration failed.',
'invalid_login' => 'Invalid login !',
'invalid_password' => 'Invalid password !',
'invalid_mail' => 'Invalid e-mail !',
'login_exists' => 'User with such login already exists !',
'database_error' => 'An error occured ! Please try later.',
'register_success' => 'Registration complete.',
'login' => 'Login',
'password' => 'Password',
'password_re' => 'Password again',
'mail' => 'E-mail',
'send' => 'Send',
'passwords_does_not_match' => 'Passwords does not match !',
'all_fields_are_required' => 'All fields are required !',
'user_cabinet' => 'Personal Cabinet',
'i_accept_agreement' => 'I accept terms and conditions',
'agreement_is_required' => 'You have to accept a license agreement to continue registration !',
'registration' => 'Registration',
'mail_confirmation_sent' => 'Message with activation link sent to your e-mail address !',
'mail_confirmation_not_sent' => 'Sorry, activation message cannot be sent ! Try later.',
'registration_note_1' => 'Please read the terms and conditions below and fill out the fields.',
'registration_note_2' => 'Login, password and e-mail address should contain only latin characters and numbers. Also login should contain 3-64 simbols and password 6-255 simbols.',
'my_profile' => 'My Profile',
'name' => 'Name',
'information' => 'Information',
'new_password' => 'New Password',
'new_password_re' => 'New Password again',
'current_password' => 'Current Password',
'information_note_1' => 'Here you can type your name, information about yourself, change your password any time, if necessary.',
'information_note_2' => 'If you do not want to change your password just keep the new password field unfilled.',
'information_note_3' => 'To save any changes you made, you have to type your current password !',
'current_password_is_required' => 'Your current password is required !',
'wrong_password' => 'Typed incorrect current password !',
'invalid_name' => 'Could not save name. Maybe it contains invalid character.',
'joined' => 'Joined',
'authorization' => 'Authorization',
'wrong_login_or_password' => 'Wrong login or password !',
'did_not_recieve_activation_message' => 'Did not recieve activation message ?',
'photo' => 'Photo',
'invalid_file_uploaded' => 'Invalid file uploaded !',
'could_not_save_file' => 'An error occured ! Could not save file. Try later.',
'information_note_4' => 'You can upload your foto to the server. Uploading file must be an image in one of the following formats : JPEG,PNG,GIF and its size must not be greater than 100kB.',
'information_note_5' => 'If your photo not changed after uploading, just refresh it in your browser.',
'could_not_delete_file' => 'An error occured ! Could not delete file. Try later.',
'delete_photo' => 'Delete current photo',
'information_note_6' => 'If new photo will be uploaded, the old one will be deleted.',
'file_not_found' => 'File not found !',
'logout' => 'Log out',
'hello' => 'Hello',
'password_changed' => 'Your password was changed successfully !',
'user_profile' => 'User Profile',
'user_not_found' => 'User not found !',
'group' => 'Group',
'group_1' => 'Administrators',
'group_2' => 'Users',
'group_3' => 'Banned',
'registration_stopped' => 'Sorry, but registration currently is stopped on this site !',
'page' => 'Page',
'new_page' => 'New Page',
'edit_page' => 'Edit Page',
'article' => 'Article',
'new_article' => 'New Article',
'edit_article' => 'Edit Article',
'menu' => 'Menu',
'menu_editor' => 'Menu Editor',
'link_name' => 'Menu text',
'link_text' => 'Link text',
'parent' => 'Parent',
'weight' => 'Weight',
'title' => 'Title',
'keywords' => 'Keywords',
'access' => 'Access',
'full_access' => 'All',
'user_access' => 'Users',
'no_access' => 'No',
'root' => 'Root',
'paste_from_page'  => 'Paste Content from Page',
'invalid_link' => 'Invalid Link Text !',
'link_text_already_exists' => 'Typed Link Text already exists !',
'page_title_required' => 'Page Title is required !',
'article_title_required' => 'Article Title is required !',
'link_text_required' => 'Link Text is required !',
'link_name_required' => 'Menu Text is required !',
'delete_page' => 'Delete Page',
'delete_article' => 'Delete Article',
'delete' => 'Delete',
'page_delete_confirm' => 'Are you sure, that you want to delete page',
'article_delete_confirm' => 'Are you sure, that you want to delete article',
'choose' => 'Please choose',
'new_item' => 'New Item',
'upload_files' => 'Upload files',
'uploads'  => 'Uploads',
'file' => 'File',
'upload_text' => 'NOTE ! All uploaded files will be saved in the folders in `upload` directory in your host root. All image files will be saved in `images` folder. All flash files will be saved in `banners` folder. Other allowed file types will be saved in `docs` folder.',
'filename_cyr_ex' => 'Filename contains invalid character !',
'filename_exists' => 'File with such name already exists !',
'filesize_unknown' => 'Could not consider file size !',
'filesize_2m_larger' => 'File size greater than 2M !',
'flash_file_upload_ok' => "Flash file was saved successfully.",
'flash_file_upload_failed' => 'An error ocurred while saving flash file !',
'word_file_upload_ok' => 'MS Word file was saved successfully.',
'word_file_upload_failed' => 'An error ocurred while saving MS Word file !',
'excel_file_upload_ok' => 'MS Excel file was saved successfully.',
'excel_file_upload_failed' => 'An error ocurred while saving MS Excel file !',
'pdf_file_upload_ok' => 'PDF file saved successfully.',
'pdf_file_upload_failed' => 'An error ocurred while saving PDF file !',
'txt_file_upload_ok' => 'Text file was saved successfully.',
'txt_file_upload_failed' => 'An error ocurred while saving text file !',
'image_file_upload_ok' => 'Image file was saved successfully',
'image_file_upload_failed' => 'An error ocurred while saving image file !',
'file_upload_ok' => 'File was saved successfully',
'file_upload_failed' => 'An error ocurred while saving file !',
'invalid_file_type' => 'Invalid file type !',
'feedback_text' => 'Note ! Your e-mail address will be attached to the message.',
'feedback_send_failed_str' => 'Message not sent ! Please check out the fields',
'feedback_send_success_str' => 'Your message sent.',
'feedback_already_sent_str' => 'Could not send your message. Please try later.',
'enter_code' => 'Enter security code',
'captcha_not_match' => 'Typed security code is incorrect !',
'page_not_created' => 'Page not found ! Please be sure that it was created.',
'article_not_created' => 'Article not found ! Please be sure that it was created.',
'users' => 'Users',
'edit_users' => 'Edit Users',
'user' => 'User',
'status' => 'Status',
'active' => 'Active',
'not_active' => 'Not active',
'edit_users_text' => 'NOTE! To disactivate user change user group to \"Banned\". If you change user status to \"Not active\", user will be not active until e-mail confirmation only.',
'not_chosen' => 'Not chosen',
'user_deleted' => 'User was deleted successfully.',
'user_edited' => 'User was edited successfully.',
'user_not_chosen' => 'User not chosen !',
'search' => 'Search',
'search_not_found' => 'Requested keywords not found.',
'administer' => 'Administer',
'phpinfo' => 'PHP Information',
'statistics' => 'Statistics',
'date' => 'Date',
'ip' => 'IP-address',
'query' => 'Query',
'referer' => 'Referer',
'user_agent' => 'Client',
'status' => 'Status',
'visits' => 'Visits',
'today' => 'Today',
'this_month' => 'This month',
'this_year' => 'This year',
'server_software' => 'Server Software',
'welcome_text' => 'Welcome to Sawanna Content Management System !',
'your_ip' => 'Your IP',
'please_login' => 'Please log in to view this page.',
'access_denied' => '403. Access denied !',
'page_not_found' => '404. Page not found !',
'article_not_found' => '404. Article not found !',
'news_str' => 'Here you can publish news on your web-site.',
'news' => 'News',
'create_news' => 'Publish News',
'short_description' => 'Short description',
'news_title_required' => 'Title is required !',
'news_short_required' => 'Short description is required !',
'news_content_required' => 'Content field should be filled out !',
'news_created' => "News block was created successfully.",
'news_not_found' => 'Requested news not found !',
'news_edited' => 'News block was edited successfully.',
'edit' => 'Edit',
'delete' => 'Delete',
'news_delete_confirm' => 'Are you sure, that you want to delete this news block ?',
'news_deleted' => 'News block was deleted successfully.',
'sitemap' => 'Site Map',
'feedback' => 'Feedback',
'read_more' => 'Read more ...',
'archive' => 'Archive',
'page_str' => 'Here you can create, edit or delete your web-site pages.',
'create_page' => 'Create Page',
'page_deleted' => 'Page was deleted successfully.',
'create_article' => 'Create Article',
'article_deleted' => 'Article was deleted successfully.',
'remind_text' => 'Please type your login and E-Mail address.',
'wrong_login_or_mail' => 'Wrong login or E-Mail address !',
'remind_sent' => 'Your new password sent to your E-Mail address.',
'remind_not_sent' => 'Cannot execute your request. Try later.',
'your_new_password' => 'Your new password',
'forgot_your_password' => 'Forgot your password ?',
'files' => 'Files',
'support' => 'Support',
'delete_file_failed' => 'Could not delete file !',
'delete_file_success' => 'File was deleted successfully.',
'file_delete_confirm' => 'Are you sure, that you want to delete this file ?',
'files_str' => 'Here you can find all files that you`ve uploaded to web-server.',
'send_comment' => 'Send comment',
'comment_required' => 'Comment text is required !',
'comment_created' => 'Your comment was saved successfully.',
'comment_delete_confirm' => 'Are you sure, that you want to delete this comment ?',
'comment_not_found' => 'Comment not found !',
'comment' => 'Comment',
'comments' => 'Comments',
'deleted' => 'Deleted',
'article_str' => 'Here you can create, edit or delete your web-site articles. Articles can be commented by your web-site signed in users.',
'new_articles' =>  'New articles',
'page_cannot_be_parent_to_itself' => 'Page cannot be a parent to itself.',
'article_cannot_be_parent_to_itself' => 'Article cannot be a parent to itself.',
'item_cannot_be_parent_to_itself' => 'Item cannot be a parent to itself.',
'clear_database' => 'Clear database',
'clear_database_confirm' => 'All records older than a month will be deleted. Are you sure, that you want to do this ?',
'records' => 'Records',
'records_deleted' => 'Database cleaned successfully',
'invalid_file_extension' => 'Invalid file extension.',
'configuration' => 'Configuration',
'configuration_str' => 'Here you can change your site main configuration.<br /> Remember that you will not see `Clean URLs` mode changed until your cookies expired. You can clean your browser cookies manually.<br /> If you enabled `Emulate sessions` option, you can define a session life time (in seconds).<br /> Site logo may be changed typing a path to the image you uploaded. (For example: upload/images/logo.gif).<br /> If gzip output enabled, all outgoing data will be compressed (must be supported by your web-server).<br /> For additional information please visit our <a style="font-size:11px" href="http://sawanna.org">web site</a>.<br /><b>Attention! If `Check users cookies` option enabled, it is not guaranteed that search engines will be able to access your site. Enable it on your own risk!</b>',
'THEME' => 'Site theme',
'CHECK_IF_COOKIES_ENABLED' => 'Check users cookies',
'CLEAN_URL' => 'Clean URLs',
'ALLOW_USER_REGISTER' => 'Allow users to register',
'GZIP_OUT' => 'Use gzip output',
'SESSION_EMULATE' => 'Emulate sessions',
'SESSION_LIFE_TIME' => 'Session life time in sec. (only if emulated)',
'DEFAULT_LANGUAGE' => 'Default language',
'ADMIN_MAIL' => 'Administrator email address',
'SEND_MAIL_FROM' => 'Send mail from (email address)',
'SEND_MAIL_FROM_NAME' => 'Send mail from (name)',
'USER_E_MAIL_CHECK' => 'Verify user email',
'SITE_NAME' => 'Site name',
'SITE_SLOGAN' => 'Site slogan',
'SITE_LOGO' => 'Site logo path',
'ALLOW_COMMENTS' => 'Allow post comments',
'COMMENTS_APPROVE' => 'Put comments to moderation',
'yes' => 'yes',
'no' => 'no',
'addons_str' => 'Attention! Do not switch on modules you don`t trust. It may cause your Sawanna initialization failure.',
'cannot_assign_tpl' => 'Could not assign theme.',
'cannot_assign_lng' => 'Could not assign default language.',
'cannot_assign_logo' => 'Could not assign site logo.',
'config_save_success' => 'Site configuration was saved successfully.',
'addons' => 'Add-Ons',
'changes_save_success' => 'Changes applied successfully.',
'changes_save_failed' => 'Could not apply some changes.',
'refresh_page' => 'Some changes will take effect on the next page load.',
'language_packs' => 'Language Packs',
'links_need_update' => 'Attention! Links will be updated.',
'languages_str' => 'Note, that language switching panel will appear only if at least two languges enabled.',
'themes' => 'Themes',
'themes_str' => 'Here you can change you site theme just as you do it in site configuration section.',
'ghost_page' => 'Ghost-page',
'installation_wizzard' => 'Sawanna installation wizzard.',
'choose_language' => 'Choose language',
'root_dir' => 'Site root directory',
'site_host' => 'Site host',
'db_type' => 'Database type',
'db_host' => 'Database server',
'db_name' => 'Database name',
'db_user' => 'Database user',
'db_pass' => 'Database password',
'db_prefix' => 'Database prefix',
'admin_login' => 'Administrator login',
'admin_pass' => 'Administrator password',
'admin_pass_re' => 'Repeat administrator password',
'settings_file_not_writable' => 'Warning! File settings.php should be writable.',
'could_not_write_settings' => 'Could not write settings. Please be sure, that settings.php file is writable.',
'sawanna_installed_successfully' => 'Sawanna was installed successfully.',
'check_database_settings' => 'Please check your database settings.',
'protect_settings_str' => 'Please protect now settings.php file from writing and remove install.php file.',
'user_not_found' => 'User not found',
'only_super_admin_can_create_or_edit_admins' => 'Only Super-administrator can create or edit administrative accounts',
'cannot_delete_superadmin' => 'Cannot delete Super-administrative account.',
'bad_login_detected' => 'Typed login is not allowed.',
'author' => 'Author',
'you_cant_post_comments' => 'You cannot post comments. To post comments you have to be logged in and your account must be activated.',
'sitemap' => 'Site map',
'feedback' => 'Feedback',
'comment_putted_to_moderation' => 'Your comment is waiting for moderation.',
'language' => 'Language',
'activate' => 'Activate',
'deactivate' => 'Deactivate',
'comment_activated' => 'Comment was activared successfully.',
'comment_deactivated' => 'Comment was deactivared successfully.',
'comment_deleted'  =>  'Comment was deleted successfully.',
'comment_edited'  =>  'Comment was edited successfully.',
'gender' => 'Gender',
'dob'   =>  'Date of birth',
'country'  =>  'Country',
'icq'    =>  'ICQ',
'msn'    =>  'MSN',
'skype'  =>  'Skype',
'dont_show_gender' => 'Hidden',
'male'   =>  'Male',
'female'  =>  'Female',
'january' => 'January',
'february' => 'February',
'march' => 'March',
'april' => 'April',
'may' => 'May',
'june' => 'June',
'july' => 'July',
'august' => 'August',
'september' => 'September',
'october' => 'October',
'november' => 'November',
'december' => 'December',
'day'  => 'Day',
'month'  => 'Month',
'year'  =>  'Year',
'invalid_dob' => 'Invalid date of birth.',
'invalid_icq' => 'Invalid icq number.',
'not_defined' => 'Not defined',
'profile_updated' => 'Your profile updated successfully.',
'users_str'  => 'Here you can edit or delete user accounts.',
'marked_fields_are_required' => 'Fields marked with (*) simbol are required.',
'user_updated' => 'User was updated successfully.',
'user_delete_confirm' => 'Are you sure, that you want to delete this user ?',
'comments_str' => 'Here you can manage comments posted by active users.',
'no_files' => 'No files uploaded to this directory.',
'all_users' => 'All registered users',
'view_profile' => 'View profile',
'view_users' => 'All users',
'menu_edited' => 'Menu was edited successfully.',
'navigation' => 'Navigation',
'navigation_str' => 'Here you can add additional items to navigation menu such as an external links or reserved fields such as "article","news","users" or any other element.<br />To edit the item linked to some page or article use page or article editor accordingly.',
'menu_not_found' => 'Requested item not found !',
'create_menu_element' => 'Create new menu element',
'menu_created' => 'Menu item created successfully.',
'menu_delete_confirm' => 'Are you sure, that you want to delete this menu item ?',
'menu_deleted' => 'Menu item was deleted successfully.',
'build_graphs' => 'Build graphics',
'hourly_graph' => 'Hourly graphic',
'daily_graph' => 'Daily graphic',
'click_to_zoom' => 'Click to zoom in',
'statistics_str' => 'Here you can see your web-site last access log.'
);
?>