<?php
$language_name="Русский";

$language_words=array(
'guest' => 'Гость',
'register_failed' => 'Регистрация не произведена.',
'invalid_login' => 'Некорректный логин !',
'invalid_password' => 'Некорректный пароль !',
'invalid_mail' => 'Некорректный e-mail !',
'login_exists' => 'Пользователь с указанным логином уже существует !',
'database_error' => 'Возникла ошибка ! Пожалуйста попробуйте позже.',
'register_success' => 'Регистрация завершена.',
'login' => 'Логин',
'password' => 'Пароль',
'password_re' => 'Пароль еще раз',
'mail' => 'E-mail',
'send' => 'Отправить',
'passwords_does_not_match' => 'Пароли не совпадают !',
'all_fields_are_required' => 'Все поля обязательны для заполнения !',
'user_cabinet' => 'Персональный кабинет',
'i_accept_agreement' => 'Я принимаю пользовательское соглашение',
'agreement_is_required' => 'Вы должны принять лицензионное соглашение для продолжения регистрации !',
'registration' => 'Регистрация',
'mail_confirmation_sent' => 'Письмо с активационной ссылкой отправлено на ваш e-mail адрес !',
'mail_confirmation_not_sent' => 'К сожалению, активационное письмо не может быть отправлено ! Попробуйте позже.',
'registration_note_1' => 'Пожалуйста прочтите пользовательское соглашение и заполните поля ниже.',
'registration_note_2' => 'Логин, пароль и e-mail должны содержать только латинские буквы и цифры. Логин должен состоять из 3-64 символов, пароль из 6-255 символов.',
'my_profile' => 'Мой профайл',
'name' => 'Имя',
'information' => 'Информация',
'new_password' => 'Новый пароль',
'new_password_re' => 'Новый пароль еще раз',
'current_password' => 'Текущий пароль',
'information_note_1' => 'Здесь вы можете указать свое имя, информацию о себе, поменять пароль в любое время, если понадобится.',
'information_note_2' => 'Если вы не хотите менять пароль, просто оставьте поле с новым паролем не заполненным.',
'information_note_3' => 'Чтобы сохранить любые изменения вы должны указать свой текущий пароль !',
'current_password_is_required' => 'Необходимо указать ваш текущий пароль !',
'wrong_password' => 'Указан неверный текущий пароль !',
'invalid_name' => 'Не удалось сохранить имя. Возможно оно содержит некорректный символ.',
'joined' => 'Присоединился',
'authorization' => 'Авторизация',
'wrong_login_or_password' => 'Неверный логин или пароль !',
'did_not_recieve_activation_message' => 'Активационное письмо не пришло ?',
'photo' => 'Фото',
'invalid_file_uploaded' => 'Загружен некорректный файл !',
'could_not_save_file' => 'Возникла ошибка ! Невозможно сохранить файл. Попробуйте позже.',
'information_note_4' => 'Вы можете загрузить свое фото на сервер. Загружаемый файл должен быть изображением следующих форматов : JPEG,PNG,GIF, а его размер не должен превышать 100 кБ.',
'information_note_5' => 'Если ваше фото не изменилось после загрузки, просто обновите его в вашем браузере.',
'could_not_delete_file' => 'Возникла ошибка ! Невозможно удалить файл. Попробуйте позже.',
'delete_photo' => 'Удалить текущую фотографию',
'information_note_6' => 'При загрузке новой фотографии, старая будет удалена',
'file_not_found' => 'Файл не найден !',
'logout' => 'Выйти',
'hello' => 'Привет',
'password_changed' => 'Ваш пароль успешно изменён !',
'user_profile' => 'Профайл пользователя',
'user_not_found' => 'Пользователь не найден !',
'group' => 'Группа',
'group_1' => 'Администраторы',
'group_2' => 'Пользователи',
'group_3' => 'Забаненные',
'registration_stopped' => 'К сожалению, регистрация в данный момент прекращена !',
'page' => 'Страница',
'new_page' => 'Новая страница',
'edit_page' => 'Редактирование страницы',
'article' => 'Статья',
'new_article' => 'Новая статья',
'edit_article' => 'Редактирование статьи',
'menu' => 'Меню',
'menu_editor' => 'Редактор Меню',
'link_name' => 'Текст меню',
'link_text' => 'Текст ссылки',
'parent' => 'Родитель',
'weight' => 'Вес',
'title' => 'Название',
'keywords' => 'Ключевые слова',
'access' => 'Доступ',
'full_access' => 'Все',
'user_access' => 'Пользователи',
'no_access' => 'Закрыт',
'root' => 'Корень',
'paste_from_page'  => 'Вставить содержимое со страницы',
'invalid_link' => 'Некорректный текст ссылки !',
'link_text_already_exists' => 'Указанный текст ссылки уже существует !',
'page_title_required' => 'Необходимо указать название страницы !',
'article_title_required' => 'Необходимо указать название статьи !',
'link_text_required' => 'Необходимо указать текст ссылки !',
'link_name_required' => 'Необходимо указать текст меню !',
'delete_page' => 'Удаление страницы',
'delete_article' => 'Удаление статьи',
'delete' => 'Удалить',
'page_delete_confirm' => 'Вы уверены, что хотите удалить страницу',
'article_delete_confirm' => 'Вы уверены, что хотите удалить статью',
'choose' => 'Пожалуйста выберите',
'new_item' => 'Новый элемент',
'upload_files' => 'Загрузка файлов',
'uploads'  => 'Загрузка',
'file' => 'Файл',
'upload_text' => 'Внимание! Все загруженные файлы сохраняются в папках директории `upload` в корне вашего хоста. Файлы изображений сохраняются в папке `images`. Все флэш-файлы сохраняются в папке `banners`. Остальные разрешённые типы файлов сохраняются в папке `docs`.',
'filename_cyr_ex' => 'Имя файла содержит некорректный символ !',
'filename_exists' => 'Файл с таким именем уже существует !',
'filesize_unknown' => 'Невозможно определить размер файла !',
'filesize_2m_larger' => 'Размер файла превышает 2M !',
'flash_file_upload_ok' => "Флэш файл сохранен успешно.",
'flash_file_upload_failed' => 'Возникла ошибка при сохранении флэш файла !',
'word_file_upload_ok' => 'MS Word файл сохранен успешно.',
'word_file_upload_failed' => 'Возникла ошибка при сохранении MS Word файла !',
'excel_file_upload_ok' => 'MS Excel файл сохранен успешно.',
'excel_file_upload_failed' => 'Возникла ошибка при сохранении MS Excel файла !',
'pdf_file_upload_ok' => 'PDF файл сохранен успешно.',
'pdf_file_upload_failed' => 'Возникла ошибка при сохранении PDF файла !',
'txt_file_upload_ok' => 'Текстовый файл сохранен успешно.',
'txt_file_upload_failed' => 'Возникла ошибка при сохранении текстового файла !',
'image_file_upload_ok' => 'Файл изображения сохранен успешно',
'image_file_upload_failed' => 'Возникла ошибка при сохранении файла изображения !',
'file_upload_ok' => 'Файл сохранен успешно',
'file_upload_failed' => 'Возникла ошибка при сохранении файла !',
'invalid_file_type' => 'Неразрешённый тип файла !',
'feedback_text' => 'Внимание ! Ваш e-mail адрес будет прикреплен к сообщению.',
'feedback_send_failed_str' => 'Сообщение не отправлено ! Проверьте правильность заполнения формы.',
'feedback_send_success_str' => 'Ваше сообщение отправлено.',
'feedback_already_sent_str' => 'Ваше сообщение не отправлено. Пожалуйста попробуйте позже',
'enter_code' => 'Введите код безопасности',
'captcha_not_match' => 'Введенный код безопасности неверен !',
'page_not_created' => 'Страница не найдена ! Возможно она не создана.',
'article_not_created' => 'Статья не найдена ! Возможно она не создана.',
'users' => 'Пользователи',
'edit_users' => 'Редактирование пользователей',
'user' => 'Пользователь',
'status' => 'Статус',
'active' => 'Активен',
'not_active' => 'Не активен',
'edit_users_text' => 'Внимание! Чтобы дезактивировать пользователя смените его группу на \"Забаненные\". Если вы меняете статус пользователя на \"Не активен\", то пользователь будет не активен только до подтверждения e-mail адреса.',
'not_chosen' => 'Не выбран',
'user_deleted' => 'Пользователь удален успешно.',
'user_edited' => 'Пользователь отредактирован успешно.',
'user_not_chosen' => 'Пользователь не выбран !',
'search' => 'Поиск',
'search_not_found' => 'Запрошенные ключевые слова нигде не встречаются.',
'administer' => 'Администрирование',
'phpinfo' => 'Информация PHP',
'statistics' => 'Статистика',
'date' => 'Дата',
'ip' => 'IP-адрес',
'query' => 'Запрос',
'referer' => 'Реферер',
'user_agent' => 'Клиент',
'status' => 'Статус',
'visits' => 'Посещения',
'today' => 'Сегодня',
'this_month' => 'В этом месяце',
'this_year' => 'В этом году',
'server_software' => 'Сервер',
'welcome_text' => 'Добро пожаловать в Систему Управления Sawanna !',
'your_ip' => 'Ваш IP',
'please_login' => 'Требуется авторизация для просмотра данной страницы.',
'access_denied' => '403. Доступ запрещён !',
'page_not_found' => '404. Страница не найдена !',
'article_not_found' => '404. Статья не найдена  !',
'news_str' => 'Здесь вы можете опубликовать новости на вашем сайте.',
'news' => 'Новости',
'create_news' => 'Опубликовать',
'short_description' => 'Краткое описание',
'news_title_required' => 'Название не указано !',
'news_short_required' => 'Краткое описание не указано !',
'news_content_required' => 'Поле контента необходимо заполнить !',
'news_created' => "Блок новостей создан успешно.",
'news_not_found' => 'Запрошенные новости не найдены !',
'news_edited' => 'Блок новостей отредактирован успешно.',
'edit' => 'Редактировать',
'delete' => 'Удалить',
'news_delete_confirm' => 'Вы уверены, что хотите удалить этот блок новостей ?',
'news_deleted' => 'Блок новостей был удалён успешно.',
'sitemap' => 'Карта сайта',
'feedback' => 'Обратная связь',
'read_more' => 'Читать дальше ...',
'archive' => 'Архив',
'page_str' => 'Здесь вы можете создать, отредактировать или удалить страницы вашего веб-сайта.',
'create_page' => 'Создать',
'page_deleted' => 'Страница удалена успешно.',
'create_article' => 'Создать',
'article_deleted' => 'Статья удалена успешно.',
'remind_text' => 'Пожалуйста введите ваш логин и E-Mail адрес.',
'wrong_login_or_mail' => 'Неверный логин или E-Mail адрес !',
'remind_sent' => 'Ваш новый пароль выслан на ваш E-Mail адрес.',
'remind_not_sent' => 'Невозможно выполнить ваш запрос. Попробуйте позже.',
'your_new_password' => 'Ваш новый пароль',
'forgot_your_password' => 'Забыли пароль ?',
'files' => 'Файлы',
'support' => 'Поддержка',
'delete_file_failed' => 'Невозможно удалить файл !',
'delete_file_success' => 'Файл удален успешно.',
'file_delete_confirm' => 'Вы уверены, что хотите удалить этот файл ?',
'files_str' => 'Здесь вы можете видеть все файлы, которые вы загрузили на веб-сервер.',
'send_comment' => 'Оставить комментарий',
'comment_required' => 'Текст комментария отсутствует !',
'comment_created' => 'Ваш комментарий сохранен успешно.',
'comment_delete_confirm' => 'Вы уверены, что хотите удалить этот комментарий ?',
'comment_not_found' => 'Комментарий не найден !',
'comment' => 'Комментарий',
'comments' => 'Комментарии',
'deleted' => 'Удалён',
'article_str' => 'Здесь вы можете создать, отредактировать или удалить статьи вашего веб-сайта. Статьи в отличие от страниц сайта могут комментировать зарегистрированные пользователи.',
'new_articles' =>  'Новые статьи',
'page_cannot_be_parent_to_itself' => 'Страница не может быть родителем самой себя.',
'article_cannot_be_parent_to_itself' => 'Статья не может быть родителем самой себя.',
'item_cannot_be_parent_to_itself' => 'Элемент не может быть родителем самого себя.',
'clear_database' => 'Очистить базу данных',
'clear_database_confirm' => 'Все записи старше месяца будут удалены. Вы уверены, что хотите сделать это ?',
'records' => 'Записей',
'records_deleted' => 'База данных очищена успешно.',
'invalid_file_extension' => 'Недопустимое расширение файла.',
'configuration' => 'Конфигурация',
'configuration_str' => 'Здесь вы можете изменить основную конфигурацию вашего сайта.<br /> Помните что, вы не увидите изменение режима `ЧПУ` до тех пор пока не истечет срок жизни cookie. Вы можете очистить cookie вашего браузера вручную.<br /> Если вы включили опцию `Эмулировать сессии`, то вы можете задать срок жизни сессии (в секундах).<br /> Логотип сайта можно изменить указанием пути к изображению, которое вы загрузили. (Например: upload/images/logo.gif).<br /> Если используется gzip вывод, то все данные передаваемые с сервера будут сжаты (должно поддерживаться веб-сервером).<br /> Для дополнительной информации посетите наш <a style="font-size:11px" href="http://sawanna.org">веб сайт</a>.<br /><b>Внимание! Если опция `Проверять cookie` включена, то нет гарантии, что поисковые роботы смогут посещать ваш сайт. Включайте её на свой страх и риск!</b>',
'THEME' => 'Тема сайта',
'CHECK_IF_COOKIES_ENABLED' => 'Проверять cookie',
'CLEAN_URL' => 'ЧПУ',
'ALLOW_USER_REGISTER' => 'Разрешать регистрацию пользователей',
'GZIP_OUT' => 'Использовать gzip вывод',
'SESSION_EMULATE' => 'Эмулировать сессии',
'SESSION_LIFE_TIME' => 'Период жизни сессии в сек. (только при эмуляции)',
'DEFAULT_LANGUAGE' => 'Язык по умолчанию',
'ADMIN_MAIL' => 'Email администратора',
'SEND_MAIL_FROM' => 'Отправлять письма от (адрес email)',
'SEND_MAIL_FROM_NAME' => 'Отправлять письма от (имя)',
'USER_E_MAIL_CHECK' => 'Проверять email адреса пользователей',
'SITE_NAME' => 'Имя сайта',
'SITE_SLOGAN' => 'Слоган сайта',
'SITE_LOGO' => 'Путь к логотипу сайта',
'ALLOW_COMMENTS' => 'Разрешить оставлять комментарии',
'COMMENTS_APPROVE' => 'Ставить комментарии на модерацию',
'yes' => 'да',
'no' => 'нет',
'addons_str' => 'Внимание! Не включайте модули, которым вы не доверяете. Это может вызвать сбой в работе системы.',
'cannot_assign_tpl' => 'Невозможно назначить тему.',
'cannot_assign_lng' => 'Невозможно назначить язык по умолчанию.',
'cannot_assign_logo' => 'Невозможно назначить логотип сайта.',
'config_save_success' => 'Конфигурация сайта сохранена успешно.',
'addons' => 'Дополнения',
'changes_save_success' => 'Изменения сохранены успешно.',
'changes_save_failed' => 'Невозможно применить некоторые изменения.',
'refresh_page' => 'Некоторые изменения вступят в силу при следующей загрузке страницы.',
'language_packs' => 'Языковые пакеты',
'languages_str' => 'Помните, что панель переключения языков видна, только когда хотя-бы два языка включены.',
'links_need_update' => 'Внимание! Ссылки будут обновлены.',
'themes' => 'Темы',
'themes_str' => 'Здесь вы можете изменить тему сайта, точно также, как и в секции конфигурации сайта.',
'ghost_page' => 'Страница-призрак',
'installation_wizzard' => 'Мастер установки Sawanna.',
'choose_language' => 'Выберите язык',
'root_dir' => 'Корневая директория сайта',
'site_host' => 'Хост сайта',
'db_type' => 'Тип базы данных',
'db_host' => 'Сервер базы данных',
'db_name' => 'Имя базы данных',
'db_user' => 'Пользователь базы данных',
'db_pass' => 'Пароль базы данных',
'db_prefix' => 'Префикс базы данных',
'admin_login' => 'Логин администратора',
'admin_pass' => 'Пароль администратора',
'admin_pass_re' => 'Пароль администратора ещё раз',
'settings_file_not_writable' => 'Внимание! Файл settings.php должен быть доступен для записи.',
'could_not_write_settings' => 'Невозможно записать настройки. Пожалуйста проверьте, что файл settings.php доступен для записи.',
'sawanna_installed_successfully' => 'Sawanna установлена успешно.',
'check_database_settings' => 'Пожалуйста проверьте ваши настройки базы данных.',
'protect_settings_str' => 'Пожалуйста теперь защитите файл settings.php от записи и удалите файл install.php.',
'user_not_found' => 'Пользователь не найден',
'only_super_admin_can_create_or_edit_admins' => 'Только Супер-администратор может создавать или редактировать административные аккаунты.',
'cannot_delete_superadmin' => 'Невозможно удалить аккаунт Супер-администратора.',
'bad_login_detected' => 'Указанный логин запрещён.',
'author' => 'Автор',
'you_cant_post_comments' => 'Вы не можете оставлять комментарии. Для того, чтобы иметь возможность оставлять комментарии, вы должны быть авторизованы и ваш аккаунт должен быть активирован.',
'sitemap' => 'Карта сайта',
'feedback' => 'Обратная связь',
'comment_putted_to_moderation' => 'Ваш комментарий поставлен на модерацию.',
'language' => 'Язык',
'activate' => 'Активировать',
'deactivate' => 'Деактивировать', 
'comment_activated' => 'Комментарий активирован успешно.',
'comment_deactivated' => 'Комментарий деактивирован успешно.',
'comment_deleted'  =>  'Комментарий удален успешно.',
'comment_edited'  =>  'Комментарий отредактирован успешно.',
'gender' => 'Пол',
'dob'   =>  'Дата рождения',
'country'  =>  'Страна',
'icq'    =>  'ICQ',
'msn'    =>  'MSN',
'skype'  =>  'Skype',
'dont_show_gender' => 'Скрывать',
'male'   =>  'Мужской',
'female'  =>  'Женский',
'january' => 'Январь',
'february' => 'Февраль',
'march' => 'Март',
'april' => 'Апрель',
'may' => 'Май',
'june' => 'Июнь',
'july' => 'Июль',
'august' => 'Август',
'september' => 'Сентябрь',
'october' => 'Октябрь',
'november' => 'Ноябрь',
'december' => 'Декабрь',
'day'  => 'День',
'month'  => 'Месяц',
'year'  =>  'Год',
'invalid_dob' => 'Некорректная дата рождения.',
'invalid_icq' => 'Некорректный номер icq.',
'not_defined' => 'Не определено',
'profile_updated' => 'Ваш профиль отредактирован успешно.',
'users_str'  => 'Здесь вы можете отредактировать или удалить пользовательские аккаунты.',
'marked_fields_are_required' => 'Поля помеченные символом (*) обязательны.',
'user_updated' => 'Пользователь отредактирован успешно.',
'user_delete_confirm' => 'Вы уверены, что хотите удалить этого пользователя ?',
'comments_str' => 'Здесь вы можете редактировать комментарии, оставленные активными пользователями.',
'no_files' => 'Нет файлов, загруженных в эту директорию.',
'all_users' => 'Зарегистрированные пользователи',
'view_profile' => 'Смотреть профиль',
'view_users' => 'Все пользователи',
'menu_edited' => 'Меню отредактировано успешно.',
'navigation' => 'Навигация',
'navigation_str' => 'Здесь вы можете добавить дополнительные элементы в навигационное меню, такие как внешние ссылки, либо зарезервированные поля с адресами "article","news","users" либо другие элементы.<br />Для редактирования элементов навигации ссылающихся на страницу или статью воспользуйтесь редактором страниц или статей соответственно.',
'menu_not_found' => 'Элемент не найден !',
'create_menu_element' => 'Создать новый элемент меню',
'menu_created' => 'Элемент меню создан успешно.',
'menu_delete_confirm' => 'Вы уверены, что хотите удалить этот элемент меню ?',
'menu_deleted' => 'Элемент меню удален успешно.',
'build_graphs' => 'Построить графики',
'hourly_graph' => 'Почасовой график',
'daily_graph' => 'Посуточный график',
'click_to_zoom' => 'Нажмите, чтобы увеличить',
'statistics_str' => 'Здесь вы можете просмотреть лог посещений вашего сайта.'
);
?>