<?php
defined("SAWANNA") or die();

class CNavigatorAdmin extends CSawanna 
{
	var $language;
	var $session;
	var $navigator;
	var $db;
	var $tpl;
	var $error;
	var $message;
	
	function CNavigatorAdmin()
	{
		$this->language=null;
		$this->session=null;
		$this->navigator=null;
		$this->db=null;
		$this->error='';
		$this->tpl=null;
		$this->message='';
	}
	
	function build_create_form()
	{
		$name=isset($_POST['name']) ? $_POST['name'] : '';
		$link=isset($_POST['link']) ? $_POST['link'] : '';
		$weight=isset($_POST['weight']) ? $_POST['weight'] : '0';
		
		$html='';
		
		$elems=array(
					'text',
					'custom',
					'text',
					'text',
					'custom',
					'submit'
					);
		
		$desc=array(
					'[string]link_name[/string]',
					'[string]parent[/string]',
					'[string]link_text[/string]',
					'[string]weight[/string]',
					'[string]access[/string]',
					' '
					);
					
		$attr=array(
					'name="name" style="width:250px" value="'.$name.'"',
					'',
					'name="link" style="width:250px" value="'.$link.'"',
					'name="weight" style="width:100px" value="'.$weight.'"',
					'',
					'value="[string]send[/string]"'
					);
					
		$data=$this->build_navigator_tree();
		$tree=$data[0];
		$map=$data[1];
				
		$parent='<select name="parent" style="width:250px">';
		$parent.='<option value="0">[string]root[/string]</option>';
		foreach($tree as $id=>$name)
		{
			if (isset($_POST['parent']) && $_POST['parent']==$id)
				$parent.='<option value="'.$id.'" selected>'.$name.'</option>';
			else
				$parent.='<option value="'.$id.'">'.$name.'</option>';
		}
		$parent.="</select>";
		
		if (isset($_POST['access']))
		{
			$access='<select name="access" style="width:200px">';
			switch ($_POST['access'])
			{
				case 1:
					$access.='<option value="1" selected>[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';
					break;
				case 2:
					$access.='<option value="1">[string]full_access[/string]</option><option value="2" selected>[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';
					break;
				case 0:
					$access.='<option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0" selected>[string]no_access[/string]</option>';
					break;
				default:
					$access.='<option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';
					break;
			}
		} else 
		{
			$access='<select name="access" style="width:200px">';
			$access.='<option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';	
			$access.='</select>';
		}
		
		$custom=array(
					'',
					$parent,
					'',
					'',
					$access
					);
		
		$html.='<div style="width:400;height:230px">'.parent::build_form(ADMIN_WORKSPACE.'/&component=menu&act=docreate',$elems,400,$desc,$attr,$custom,'',false).'</div>';
		
		echo $html;
	}
	
	function build_edit_form()
	{
		$html='';
		$script='';
		
		$elems=array(
					'custom',
					'text',
					'custom',
					'text',
					'text',
					'custom',
					'checkbox',
					'submit'
					);
		
		$desc=array(
					'[string]choose[/string]',
					'[string]link_name[/string]',
					'[string]parent[/string]',
					'[string]link_text[/string]',
					'[string]weight[/string]',
					'[string]access[/string]',
					'[string]delete[/string]',
					' '
					);
					
		$attr=array(
					'',
					'name="name" style="width:250px"',
					'',
					'name="link" style="width:250px"',
					'name="weight" style="width:100px"',
					'',
					'name="del" disabled',
					'value="[string]send[/string]"'
					);
					
		$data=$this->build_navigator_tree();
		$tree=$data[0];
		$map=$data[1];
				
		$choose='<select name="choose" style="width:250px">';
		$choose.='<option value="0">[string]new_item[/string]</option>';
		foreach($tree as $id=>$name)
		{
			$choose.='<option value="'.$id.'">'.$name.'</option>';
		}
		$choose.="</select>";
		
		$parent='<select name="parent" style="width:250px">';
		$parent.='<option value="0">[string]root[/string]</option>';
		foreach($tree as $id=>$name)
		{
			$parent.='<option value="'.$id.'">'.$name.'</option>';
		}
		$parent.="</select>";
		
		$custom=array(
					$choose,
					'',
					$parent,
					'',
					'',
					'<select name="access" style="width:200px"><option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option></select>'
					);
		
		$html.='<div style="width:100%;height:230px;overflow:hidden">'.parent::build_form(ADMIN_WORKSPACE.'/&component=menu&act=doedit',$elems,450,$desc,$attr,$custom,'',false).'</div>';
		
		$script.='Navigator=new Array();';
		$script.='Navigator[0]=new Array(\'\',\'0\',\'\',\'0\',\'1\');';
		foreach($map as $id=>$arr)
		{
			$script.='Navigator['.$id.']=new Array(\''.$arr['name'].'\',\''.$arr['parent'].'\',\''.$arr['link'].'\',\''.$arr['weight'].'\',\''.$arr['access'].'\');';
		}
		
		$script.='document.all.choose.onchange=function() { var id=document.all.choose.options[document.all.choose.selectedIndex].value; document.all.name.value=Navigator[id][0]; document.all.link.value=Navigator[id][2]; document.all.weight.value=Navigator[id][3]; for (i=0;i<document.all.parent.options.length;i++) { if (document.all.parent.options[i].value==Navigator[id][1]) { document.all.parent.selectedIndex=i; break; }; }; for (i=0;i<document.all.access.options.length;i++) { if (document.all.access.options[i].value==Navigator[id][4]) { document.all.access.selectedIndex=i; break; }; }; if (id>0) document.all.del.disabled=false; else { document.all.del.checked=false; document.all.del.disabled=true; }; };';
		$script.='document.all.del.onchange=function() { if (document.all.del.checked==true) { document.all.name.disabled=true; document.all.link.disabled=true; document.all.parent.disabled=true; document.all.link.disabled=true; document.all.weight.disabled=true; document.all.access.disabled=true; } else { document.all.name.disabled=false; document.all.link.disabled=false; document.all.parent.disabled=false; document.all.link.disabled=false; document.all.weight.disabled=false; document.all.access.disabled=false; }; };';
		
		echo '{html:"'.addslashes($html).'",exec:"'.addslashes($script).'"}'; 
	}
	
	function build_edit_form_alt()
	{
		if (isset($_POST['choose'])) $_GET['id']=$_POST['choose'];
		
		if (!isset($_GET['id']) || !is_numeric($_GET['id']))
		{
			$this->error='[string]menu_not_found[/string]';
			return;
		}
		
		$res=$this->navigator->get(array('id'=>$_GET['id']));
		$menu=$this->db->fetch_array($res);
		if (empty($menu)){
			$this->error='[string]menu_not_found[/string]';
			return;
		}
		
		$html='';
		
		$elems=array(
					'text',
					'custom',
					'text',
					'text',
					'custom',
					'submit'
					);
		
		$desc=array(
					'[string]link_name[/string]',
					'[string]parent[/string]',
					'[string]link_text[/string]',
					'[string]weight[/string]',
					'[string]access[/string]',
					' '
					);
					
		$attr=array(
					'name="name" style="width:250px" value="'.$menu['name'].'"',
					'',
					'name="link" style="width:250px" value="'.$menu['link'].'"',
					'name="weight" style="width:100px" value="'.$menu['weight'].'"',
					'',
					'value="[string]send[/string]"'
					);
					
		$data=$this->build_navigator_tree();
		$tree=$data[0];
		$map=$data[1];
				
		$parent='<select name="parent" style="width:250px">';
		$parent.='<option value="0">[string]root[/string]</option>';
		foreach($tree as $id=>$name)
		{
			if ($id==$menu['parent'])
				$parent.='<option value="'.$id.'" selected>'.$name.'</option>';
			else 
				$parent.='<option value="'.$id.'">'.$name.'</option>';
		}
		$parent.="</select>";
		
		$access='<select name="access" style="width:200px">';
		switch ($menu['access'])
		{
			case 1:
				$access.='<option value="1" selected>[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';
				break;
			case 2:
				$access.='<option value="1">[string]full_access[/string]</option><option value="2" selected>[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';
				break;
			case 0:
				$access.='<option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0" selected>[string]no_access[/string]</option>';
				break;
			default:
				$access.='<option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option>';
				break;
		}
		
		
		$access.='</select>';
		
		
		$custom=array(
					'',
					$parent,
					'',
					'',
					$access
					);
		
		$html.='<div style="width:400;height:230px">'.parent::build_form(ADMIN_WORKSPACE.'/&component=menu&act=doedit_alt&id='.$_GET['id'],$elems,400,$desc,$attr,$custom,'',false).'</div>';
		
		echo $html;
	}
	
	function build_delete_form($id)
	{
		$html='';
		
		$result=$this->navigator->get(array('id'=>$id));
		$menu=$this->db->fetch_array($result);
		
		if (!empty($menu))
		{
			$html.='<div align="left" style="padding:10px">';
			$html.='<b>[string]link_name[/string] : '.$menu['name'].'</b>';
			$html.='<br /><span>[string]link_text[/string] : '.$menu['link'].'</span>';
			$html.='<p style="color:red">[string]menu_delete_confirm[/string]</p>';
			$html.=parent::build_anchor(ADMIN_WORKSPACE.'/&component=menu&act=dodel&id='.$id,'<b>[string]delete[/string]</b>');
			$html.='</div>';
		} else 
		{
			$this->error='[string]menu_not_found[/string]';
		}
		
		echo $html; 
	}
	
	function build_navigator_tree($parent=0,$co=0)
	{
		static $arr=array(),$_arr=array();
		
		$offset=str_repeat("-- ",$co);
		
		$result=$this->db->sub_query("select * from ".DB_PREFIX."_navigation where parent='".$this->db->escape_string($parent)."' and language='".$this->db->escape_string($this->language->current)."' order by weight");
		while($menu=$this->db->fetch_array($result))
		{
			if (strpos($menu['link'],'public/') === 0 || strpos($menu['link'],'article/') === 0) continue;
			
			if ($co==0) $_offset='&bull; '; else $_offset=$offset.' &rarr; ';
			$arr[$menu['id']]=$_offset.$menu['name'];
			$_arr[$menu['id']]=array('name'=>$menu['name'],'parent'=>$menu['parent'],'link'=>$menu['link'],'weight'=>$menu['weight'],'access'=>$menu['access']);
			$this->build_navigator_tree($menu['id'],$co+1);
		}
		return array($arr,$_arr);
	}
	
	function show_tree($parent=0,$co=0)
	{
		static $html='',$arr=array(),$_arr=array();
		
		$offset=str_repeat("&nbsp;&nbsp;&nbsp;&nbsp; ",$co);
		
		$result=$this->db->sub_query("select * from ".DB_PREFIX."_navigation where parent='".$this->db->escape_string($parent)."' and language='".$this->db->escape_string($this->language->current)."' order by weight");
		while($menu=$this->db->fetch_array($result))
		{
			if (strpos($menu['link'],'public/') === 0 || strpos($menu['link'],'article/') === 0) continue;
			
			if ($co==0) $html.='<div style="border-top:1px solid #DDDDDD;border-bottom:1px solid #DDDDDD;background-color:#EFEFEF;margin:5px;padding:2px 5px">';
			else $html.='<div style="border-top:1px solid #DDDDDD;border-bottom:1px solid #DDDDDD;margin:5px;padding:2px">';
			if ($co==0) $_offset=''; else $_offset=$offset.' &rarr; ';
			$html.= $_offset.parent::build_anchor(ADMIN_WORKSPACE.'/&component=menu&act=edit_alt&id='.$menu['id'],'<img src="'.HOME.'/sawanna/images/edit.png" width="20" height="20" title="[string]edit[/string]" border="0" align="absmiddle" />').'&nbsp;&nbsp;'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=menu&act=del&id='.$menu['id'],'<img src="'.HOME.'/sawanna/images/delete.png" width="20" height="20" title="[string]delete[/string]" border="0" align="absmiddle" />').'&nbsp;&nbsp;'.$menu['name'].'</div>';
			$this->show_tree($menu['id'],$co+1);
		}
		
		return $html;
	}
	
	function show()
	{
		$html='<div align="left">';
		$html.= '&nbsp;&nbsp;&nbsp;'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=menu&act=create','<img src="'.HOME.'/sawanna/images/create.png" width="20" height="20" border="0" align="absmiddle" hspace="5" /><b>[string]create_menu_element[/string]</b>');
		$html.= '<div style="border-bottom:1px solid #000000">&nbsp;</div><br />';
		$html.='</div>';
		
		$tree=$this->show_tree();
		if (!empty($tree))
		{
			$html.= '<div class="map" align="left">';
			$html.= $tree;
			$html.= '</div>';
		}
		
		echo $html;
	}
	
	function create()
	{
		
		if (empty($_POST['name']))
		{
			$this->error='[string]link_name_required[/string]';
			$this->build_create_form();
			return ;
		}
		$name=$_POST['name'];
		
		if (empty($_POST['link']))
		{
			$this->error='[string]link_text_required[/string]';
			$this->build_create_form();
			return ;
		}
		$link=$_POST['link'];
		
		if (!$this->validate_link($link))
		{
			$this->error='[string]invalid_link[/string]';
			$this->build_create_form();
			return ;
		}
		
		$parent=(isset($_POST['parent']) && !empty($_POST['parent'])) ? $_POST['parent'] : 0;
		$weight=(isset($_POST['weight']) && !empty($_POST['weight'])) ? $_POST['weight'] : 0;
		$access=(isset($_POST['access']) && !empty($_POST['access'])) ? $_POST['access'] : 0;
		
		
		if (!$this->navigator->create($name,$parent,$link,'',$weight,$access))
		{
			$this->error='[string]database_error[/string]';
			$this->build_create_form();
			return;
		}


		$this->message='[string]menu_created[/string]';
		$this->show();
	}
	
	function edit()
	{
		if (isset($_POST['del']) && $_POST['del']=='on' && isset($_POST['choose']) && !empty($_POST['choose']))
		{
			if(!$this->navigator->delete(array('id'=>$_POST['choose'])))
			{
				$this->error='[string]database_error[/string]';
				
				echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
				echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
				echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
				$this->show();
				echo '</div>';
				return;
			}
			parent::redirect(parent::build_url(FRONT_PAGE_WORKSPACE));
		} 
		
		if (empty($_POST['name']))
		{
			$this->error='[string]link_name_required[/string]';
			
			echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
			echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
			echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';					
			if (!empty($_POST['choose'])) $this->build_edit_form_alt();
			else $this->build_create_form();
			echo '</div>';
			return ;
		}
		$name=$_POST['name'];
		
		if (empty($_POST['link']))
		{
			$this->error='[string]link_text_required[/string]';
			
			echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
			echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
			echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
			if (!empty($_POST['choose'])) $this->build_edit_form_alt();
			else $this->build_create_form();
			echo '</div>';
			return ;
		}
		$link=$_POST['link'];
		
		if (!$this->validate_link($link))
		{
			$this->error='[string]invalid_link[/string]';
			
			echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
			echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
			echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
			if (!empty($_POST['choose'])) $this->build_edit_form_alt();
			else $this->build_create_form();
			echo '</div>';
			return ;
		}
		
		$parent=(isset($_POST['parent']) && !empty($_POST['parent'])) ? $_POST['parent'] : 0;
		$weight=(isset($_POST['weight']) && !empty($_POST['weight'])) ? $_POST['weight'] : 0;
		$access=(isset($_POST['access']) && !empty($_POST['access'])) ? $_POST['access'] : 0;
		
		if (isset($_POST['choose']) && !empty($_POST['choose']))
		{
			if ($_POST['choose'] == $parent)
			{
				$this->error='[string]item_cannot_be_parent_to_itself[/string]';
				
				echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
				echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
				echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
				if (!empty($_POST['choose'])) $this->build_edit_form_alt();
				else $this->build_create_form();
				echo '</div>';
				return ;
			}
			if(!$this->navigator->update(array('name'=>$name,'link'=>$link,'parent'=>$parent,'weight'=>$weight,'access'=>$access),array('id'=>$_POST['choose'])))
			{
				$this->error='[string]database_error[/string]';
				
				echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
				echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
				echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
				if (!empty($_POST['choose'])) $this->build_edit_form_alt();
				else $this->build_create_form();
				echo '</div>';
				return;
			}
			
		} else 
		{
			if (!$this->navigator->create($name,$parent,$link,'',$weight,$access))
			{
				$this->error='[string]database_error[/string]';
				
				echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
				echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
				echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
				if (!empty($_POST['choose'])) $this->build_edit_form_alt();
				else $this->build_create_form();
				echo '</div>';
				return;
			}
		}
		
		if (strpos($link,'http://')!==0 && strpos($link,'https://')!==0) parent::redirect(parent::build_url($link));
		else $this->message='[string]menu_edited[/string]';

	}
	
	function edit_alt()
	{
		if (!isset($_GET['id']) || !is_numeric($_GET['id']))
		{
			$this->error='[string]menu_not_found[/string]';
			$this->build_edit_form_alt();
			return;
		}
		
		if (empty($_POST['name']))
		{
			$this->error='[string]link_name_required[/string]';
			$this->build_edit_form_alt();
			return ;
		}
		$name=$_POST['name'];
		
		if (empty($_POST['link']))
		{
			$this->error='[string]link_text_required[/string]';
			$this->build_edit_form_alt();
			return ;
		}
		$link=$_POST['link'];
		
		if (!$this->validate_link($link))
		{
			$this->error='[string]invalid_link[/string]';
			$this->build_edit_form_alt();
			return ;
		}
		
		$parent=(isset($_POST['parent']) && !empty($_POST['parent'])) ? $_POST['parent'] : 0;
		$weight=(isset($_POST['weight']) && !empty($_POST['weight'])) ? $_POST['weight'] : 0;
		$access=(isset($_POST['access']) && !empty($_POST['access'])) ? $_POST['access'] : 0;
		
		
		if ($_GET['id'] == $parent)
		{
			$this->error='[string]item_cannot_be_parent_to_itself[/string]';
			$this->build_edit_form_alt();
			return ;
		}
		if(!$this->navigator->update(array('name'=>$name,'link'=>$link,'parent'=>$parent,'weight'=>$weight,'access'=>$access),array('id'=>$_GET['id'])))
		{
			$this->error='[string]database_error[/string]';
			$this->build_edit_form_alt();
			return;
		}

		$this->message='[string]menu_edited[/string]';
		$this->show();
	}
	
	function delete($id)
	{
		
		if(!$this->navigator->delete(array('id'=>$id)))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
	
		$this->message='[string]menu_deleted[/string]';
	}
	
	function validate_link($link)
	{
		 if (empty($link)) return false;
		 if (strpos($link, ' ') !== false) return false;
		 
		 if (preg_match('/^(http:\/\/)([0-9a-z\.\/&\?#_-])+$/',$link)) return true;
		 if (preg_match('/^(https:\/\/)([0-9a-z\.\/&\?#_-])+$/',$link)) return true;
		 if (preg_match('/[^0-9a-zA-Z_-]/',$link)) return false;
		
		 if (strlen($link) > 255) return false;
		 return true;
	}
}

function menuAdmin_init($env)
{
	global $NavigatorAdmin;
	
	$NavigatorAdmin=new CNavigatorAdmin();
	$NavigatorAdmin->language=&$env['language'];
	$NavigatorAdmin->session=&$env['session'];
	$NavigatorAdmin->navigator=&$env['navigator'];
	$NavigatorAdmin->db=&$env['db'];
	$NavigatorAdmin->tpl=&$env['tpl'];
	$NavigatorAdmin->ok=&$env['ok'];
}

function menuAdmin_exec()
{
	global $NavigatorAdmin;
	
	if (isset($_GET['component']) && $_GET['component']=='menu')
	{
		if (isset($_GET['act']))
		{
			switch ($_GET['act'])
			{
				case 'create' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
					echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					$NavigatorAdmin->build_create_form();
					echo '</div>';
					break;
				case 'docreate' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
					echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					$NavigatorAdmin->create();
					echo '</div>';
					break;
				case 'edit' :
					$NavigatorAdmin->build_edit_form();
					break;
				case 'doedit' :
					$NavigatorAdmin->edit();
					break;
				case 'edit_alt' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
					echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					$NavigatorAdmin->build_edit_form_alt();
					echo '</div>';
					break;
				case 'doedit_alt' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
					echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					$NavigatorAdmin->edit_alt();
					echo '</div>';
					break;
				case 'del' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
					echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					if (isset($_GET['id'])) $NavigatorAdmin->build_delete_form($_GET['id']);
					
					$tree=$NavigatorAdmin->show_tree();
					if (!empty($tree))
					{
						echo  '<div class="map" align="left">';
						echo  $tree;
						echo  '</div>';
					}
					echo '</div>';
					break;
				case 'dodel' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
					echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					if (isset($_GET['id'])) $NavigatorAdmin->delete($_GET['id']);
					
					$NavigatorAdmin->show();
					echo '</div>';
					break;
			}
		} else 
		{
			echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]navigation[/string] :</h2>';
			echo '<p style="padding:10px">[string]navigation_str[/string]</p>';
			echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
			
			echo $NavigatorAdmin->show();
			echo '</div>';
		}
	}
	
	return array($NavigatorAdmin->message,$NavigatorAdmin->error,'');
}

function menuAdmin_clear()
{
	global $NavigatorAdmin;
	
	unset(
		$NavigatorAdmin->language,
		$NavigatorAdmin->session,
		$NavigatorAdmin->navigator,
		$NavigatorAdmin->db,
		$NavigatorAdmin->tpl,
		$NavigatorAdmin->error,
		$NavigatorAdmin->ok,
		$NavigatorAdmin->message
		);
}
?>