<?php
defined("SAWANNA") or die();

class CNavigatorAlter extends CSawanna 
{
	var $db;
	var $language;
	var $session;
	var $user;
	var $navigator;
	
	function CNavigatorAlter()
	{
		$this->db=null;
		$this->language=null;
		$this->session=null;
		$this->user=null;
		$this->navigator=null;
	}
	
	function build()
	{
		$conditions=array('parent' => 0);
		
		$result=$this->navigator->get($conditions);
		echo '<div class="alter_menu"><ul id="alter_menu">';
		$co=0;
		while($menu=$this->db->fetch_array($result))
		{
			if ($menu['mark'] == 'ghost') continue;
			
			if ($co!=0) echo '<li>|</li>';
			$co++;
			
			$menu_link=(strpos($menu['link'],'http://')===0 || strpos($menu['link'],'https://')===0) ? '<a href="'.$menu['link'].'" target="_blank">'.$menu['name'].'</a>' : parent::build_anchor($menu['link'],$menu['name']);
			
			if ($menu['link'] == $this->navigator->current)
				echo '<li class="active">'.$menu_link.'</li>';
			else 
				echo '<li>'.$menu_link.'</li>';
		}
		echo '</ul></div>';
	}
}

function alter_navigator_init($env)
{
	global $NavigatorAlter;
	
	$NavigatorAlter=new CNavigatorAlter();
	$NavigatorAlter->db=&$env['db'];
	$NavigatorAlter->language=&$env['language'];
	$NavigatorAlter->session=&$env['session'];
	$NavigatorAlter->user=&$env['user'];
	$NavigatorAlter->navigator=&$env['navigator'];
}

function alter_navigator_exec()
{
	global $NavigatorAlter;
	
	$NavigatorAlter->build();
}

function alter_navigator_clear()
{
	global $NavigatorAlter;
	
	unset(
		  $NavigatorAlter->db,
		  $NavigatorAlter->language,
		  $NavigatorAlter->session,
		  $NavigatorAlter->user,
		  $NavigatorAlter->navigator
		 );
}
?>