<?php
defined("SAWANNA") or die();

class CSawannaPictograms extends CSawanna 
{
	var $session;
	var $language;
	
	function CSawannaPictograms()
	{
		$this->session=null;
		$this->language=null;
	}
	
	function build()
	{
		$html='<div class="header_panel_picto"><div class="pictograms">&nbsp;';
		$html.=parent::build_anchor('home','<img src="'.HOME.'/sawanna/images/home.gif" width="15" height="15" border="0" />');
		$html.='&nbsp;';
		$html.=parent::build_anchor('feedback','<img src="'.HOME.'/sawanna/images/feedback.gif" width="15" height="15" border="0" />');
		$html.='&nbsp;';
		$html.=parent::build_anchor('map','<img src="'.HOME.'/sawanna/images/map.gif" width="15" height="15" border="0" />');
		$html.='</div></div>';
		
		echo $html;
	}
}

function pictograms_init($env)
{
	global $SawannaPictograms;
	
	$SawannaPictograms=new CSawannaPictograms();
	$SawannaPictograms->session=&$env['session'];
	$SawannaPictograms->language=&$env['language'];
}

function pictograms_exec()
{
	global $SawannaPictograms;
	
	$SawannaPictograms->build();
}

function pictograms_clear()
{
	global $SawannaPictograms;
	
	unset(
		$SawannaPictograms->session,
		$SawannaPictograms->language	
		);
}
?>