<?php
defined("SAWANNA") or die();

class CSawannaSitelogo extends CSawanna 
{
	var $language;
	var $session;
	
	function CSawannaSitelogo()
	{
		$this->language=null;
		$this->session=null;
	}
	
	function build()
	{
		$html='';
		
		$html.='<div class="site_logo_panel">';
		$html.=parent::build_anchor('home','<div class="site_name"><h1>'.SITE_NAME.'</h1></div><div class="site_name_bottom"><h1>'.SITE_NAME.'</h1></div>','site_logo_link');
		$html.='<div class="site_slogan"><h2>'.SITE_SLOGAN.'</h2></div><div class="site_slogan_bottom"><h2>'.SITE_SLOGAN.'</h2></div>';
		$html.=parent::build_anchor('home','<img src="'.HOME.'/'.SITE_LOGO.'" width="100" height="80" alt="'.SITE_NAME.'" border="0" />','site_logo_link');
		$html.='</div>';
		echo $html;
	}
}

function sitelogo_init($env)
{
	global $SawannaSitelogo;
	
	$SawannaSitelogo=new CSawannaSitelogo();
	$SawannaSitelogo->language=&$env['language'];
	$SawannaSitelogo->session=&$env['session'];
}

function sitelogo_exec()
{
	global $SawannaSitelogo;
	
	$SawannaSitelogo->build();
}

function sitelogo_clear()
{
	global $SawannaSitelogo;
	
	unset(
		$SawannaSitelogo->language,
		$SawannaSitelogo->session
		);
}
?>