<?php
defined("SAWANNA") or die();

class CSawannaUpload extends CSawanna 
{
	var $language;
	var $session;
	var $response;
	
	function CSawannaUpload()
	{
		$this->language=null;
		$this->session=null;
		$this->response='';
	}
	
	function build_upload_frame()
	{
		$html='';
		$script='';
		
		$html.='<iframe width="462" height="250" src="'.parent::build_url('ajax/upload/&act=upload').'" style="border:0px"></iframe>';
		
		echo "{html:'".addslashes($html)."',exec:'".addslashes($script)."'}";
	}
	
	function build_upload_form()
	{
		$html='';
		$response='';
		
		$elems=array(
					'file',
					'file',
					'file',
					'submit'
					);
					
		$desc=array(
					'<span style="font-family:Tahoma;font-size:12px">[string]file[/string] 1</span>',
					'<span style="font-family:Tahoma;font-size:12px">[string]file[/string] 2</span>',
					'<span style="font-family:Tahoma;font-size:12px">[string]file[/string] 3</span>',
					' '
					);
					
		$attr=array(
					'name="file1" style="width:250px"',
					'name="file2" style="width:250px"',
					'name="file3" style="width:250px"',
					'value="[string]send[/string]"'
					);
				
		if (!empty($this->response))
		{	
			$response.='<div style="width:410px;background-color:#FDF8AD;border:1px solid #000000;font-family:Tahoma;font-size:12px;text-align:center">'.$this->response.'</div>';	
		}
		$html.=$response.'<p style="font-family:Tahoma;font-size:11px">[string]upload_text[/string]</p>'.parent::build_form('ajax/upload/&component=upload&act=doupload',$elems,'410px',$desc,$attr,'','',false,'','_self');
		
		echo $html;
	}
	
	function upload()
	{
		foreach ($_FILES as $uploaded_file) {
		
		$filename=$uploaded_file ['name'];
		if (empty($filename)) continue;
		
		$this->response.='<b>'.$filename." : </b>";
		
		if (substr($filename,-4) == '.php' || substr($filename,-3) == '.pl' || substr($filename,-4) == '.exe')
		{
			$this->response.= '[string]invalid_file_type[/string]';
			continue;
		}
		
		$filetype=$uploaded_file ['type'];
		$filesize=$uploaded_file ['size'];
		
		$cyr_ex=false;
		for ($i=0;$i<strlen($filename);$i++) {
			if (ord(substr($filename,$i))>127) {
				$cyr_ex=true;
				break;
			}
		}
		if ($cyr_ex!=true) {
			if (strpos($filename," ")!==false)
				$cyr_ex=true;
		}
		if ($cyr_ex==true) { 
			$this->response.= '[string]filename_cyr_ex[/string]<br />';
			continue;
		}
		if (file_exists(ROOT_DIR."/upload/images/".$uploaded_file['name'])) {
			$this->response.= '[string]filename_exists[/string]<br />';
			continue;
		}
		if (file_exists(ROOT_DIR."/upload/banners/".$uploaded_file['name'])) {
			$this->response.= '[string]filename_exists[/string]<br />';
			continue;
		}
		if (file_exists(ROOT_DIR."/upload/docs/".$uploaded_file['name'])) {
			$this->response.= '[string]filename_exists[/string]<br />';
			continue;
		}
		if (!$filesize) {
			$this->response.= '[string]filesize_unknown[/string]<br />';
			continue;
		}
		if ($filesize>2097152) {
			$this->response.= '[string]filesize_2m_larger[/string]<br />';
			continue;
		}
		if ($filetype=='application/x-shockwave-flash') {
			if (substr($filename,-4) != '.swf') 
			{
				$this->response.= '[string]invalid_file_extension[/string]';
				continue;
			}
			$path=ROOT_DIR."/upload/banners/".$filename;
			if (copy($uploaded_file['tmp_name'],$path))
				$this->response.= '[string]flash_file_upload_ok[/string]';
			else
				$this->response.= '[string]flash_file_upload_failed[/string]';
		} elseif ($filetype=='application/msword') {
			if (substr($filename,-4) != '.doc') 
			{
				$this->response.= '[string]invalid_file_extension[/string]';
				continue;
			}
			$path=ROOT_DIR."/upload/docs/".$filename;
			if (copy($uploaded_file['tmp_name'],$path))
				$this->response.= '[string]word_file_upload_ok[/string]';
			else 
				$this->response.= '[string]word_file_upload_failed[/string]';
		} elseif ($filetype=='application/x-excel' || $filetype=='application/vnd.ms-excel') {
			if (substr($filename,-4) != '.xls') 
			{
				$this->response.= '[string]invalid_file_extension[/string]';
				continue;
			}
			$path=ROOT_DIR."/upload/docs/".$filename;
			if (copy($uploaded_file['tmp_name'],$path))
				$this->response.= '[string]excel_file_upload_ok[/string]';
			else
				$this->response.= '[string]excel_file_upload_failed[/string]';
		} elseif ($filetype=='application/pdf') {
			if (substr($filename,-4) != '.pdf') 
			{
				$this->response.= '[string]invalid_file_extension[/string]';
				continue;
			}
			$path=ROOT_DIR."/upload/docs/".$filename;
			if (copy($uploaded_file['tmp_name'],$path))
				$this->response.= '[string]pdf_file_upload_ok[/string]';
			else
				$this->response.= '[string]pdf_file_upload_failed[/string]';
		} elseif ($filetype=='text/plain') {
			if (substr($filename,-4) != '.txt' && substr($filename,-4) != '.doc') 
			{
				$this->response.= '[string]invalid_file_extension[/string]';
				continue;
			}
			$path=ROOT_DIR."/upload/docs/".$filename;
			if (copy($uploaded_file['tmp_name'],$path))
				$this->response.= '[string]txt_file_upload_ok[/string]';
			else
				$this->response.= '[string]txt_file_upload_failed[/string]';
		} else {
				if (strpos($filetype,"image")!==false) {
					if (substr($filename,-4) != '.jpg' && substr($filename,-4) != '.JPG' && substr($filename,-4) != '.gif' && substr($filename,-4) != '.GIF' && substr($filename,-4) != '.png' && substr($filename,-4) != '.PNG') 
					{
						$this->response.= '[string]invalid_file_extension[/string]';
						continue;
					}
					$path=ROOT_DIR."/upload/images/".$filename;
					if (copy($uploaded_file['tmp_name'],$path))
						$this->response.= '[string]image_file_upload_ok[/string]';
					else
						$this->response.= '[string]image_file_upload_failed[/string]';
				} elseif (ALLOW_UPLOAD_ALL==1) {
					$path=ROOT_DIR."/upload/docs/".$filename;
					if (copy($uploaded_file['tmp_name'],$path))
						$this->response.= '[string]file_upload_ok[/string]';
					else
						$this->response.= '[string]file_upload_failed[/string]';
				} else
					$this->response.= '[string]invalid_file_type[/string] : <b>'.$filetype.'</b>';
		}
		$this->response.="<br />";
		}
	}
}

function upload_init($env)
{
	global $SawannaUpload;
	
	$SawannaUpload=new CSawannaUpload();
	$SawannaUpload->language=&$env['language'];
	$SawannaUpload->session=&$env['session'];
}

function upload_exec()
{
	global $SawannaUpload;
	
	if (isset($_GET['act']))
	{
		switch ($_GET['act'])
		{
			case 'upload' :
				$SawannaUpload->build_upload_form();
				break;
			case 'doupload' :
				if (isset($_GET['component']) && $_GET['component'] == 'upload')
					$SawannaUpload->upload();
				$SawannaUpload->build_upload_form();
				break;
		}
	} else 
	{
		$SawannaUpload->build_upload_frame();
	}
}

function upload_clear()
{
	global $SawannaUpload;
	
	unset(
		$SawannaUpload->language,
		$SawannaUpload->session,
		$SawannaUpload->response
		);
}
?>
