<?php
defined("SAWANNA") or die();

class CSawannaUsers extends CSawanna
{
	var $session;
	var $language;
	var $user;
	var $db;
	var $limit;
	var $get;
	
	function CSawannaUsers()
	{
		$this->session=null;
		$this->language=null;
		$this->user=null;
		$this->db=null;
		$this->limit=10;
		$this->get=(isset($_GET['get']) && !empty($_GET['get']) && is_numeric($_GET['get']) && $_GET['get']>0 ) ? $_GET['get'] : 1;
	}
	
	function display()
	{
		$html='<h4>&nbsp;&nbsp;[string]all_users[/string]</h4>';
		$html.='<div align="left" style="padding:10px;border-top:1px solid #000000">';
		
		$current=(intval($this->get)-1)*$this->limit+1;
		$co=0;
		$this->db->query("select * from ".DB_PREFIX."_users where login <> '' and active='1' order by joined desc");
		while ($user=$this->db->fetch_array()) {
			$co++;
			if ($co<$current) continue;
			
			$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
			if (file_exists($ava_path))
			{
				$image=@getimagesize($ava_path);
				$image_size=!empty($image) ? $image[3] : '';
				$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/upload/user/'.md5($user['login']).'.ava" '.$image_size.' align="left" />';
			} else 
			{
				$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/sawanna/images/user.jpg" width="100" height="100" align="left" />';
			}
			
			$gender='';
			if (!empty($user['gender']))
			{
				switch ($user['gender'])
				{
					case 'M' :
						$gender.='<img src="'.HOME.'/sawanna/images/male.gif" width="15" height="15" align="left" border="0" />&nbsp;&nbsp;';
						break;
					case 'F' :
						$gender.='<img src="'.HOME.'/sawanna/images/female.gif" width="15" height="15" align="left" border="0" />&nbsp;&nbsp;';
						break;
				}
			}
			$name_str=!empty($user['name']) ? '<b>[string]name[/string] : </b>&nbsp;&nbsp;<span class="users_name">'.$user['name'].'</span><br />' : '';
			$group_str=$user['group_id']==1 ? '<b>[string]group[/string] : </b>&nbsp;&nbsp;<span class="users_group">[string]group_'.$user['group_id'].'[/string]</span><br />' : '<b>[string]group[/string] : </b>&nbsp;&nbsp;[string]group_'.$user['group_id'].'[/string]<br />';
			
			$html.='<div style="border-bottom:1px solid #DDDDDD;padding:5px">';
			$html.='<table width="500"><tr><td width="100" height="100" align="center" valign="top">'.$photo.'</td><td valign="top" class="users_txt">';
			$html.='<div style="border-bottom:1px solid #DDDDDD;padding-bottom:2px">'.$gender.'<span class="users_cap">'.$user['login'].'</span></div><br clear="all" />'.$name_str.$group_str.'<b>[string]joined[/string] : </b>&nbsp;&nbsp;'.date('d.m.Y',$user['joined']);
			$html.='<div style="float:right">'.parent::build_anchor('user/view/'.$user['login'],'<span  class="view_profile_link">[string]view_profile[/string]</span>').'</div>'; 
			$html.='</td></tr></table>';
			$html.='</div>';
			
			if ($co>=$this->limit+$current-1) break;
		}
		
		$count=$this->db->num_rows();
		if ($count > $this->limit)
		{
			$html.='<br /><br />';
			$html.=parent::build_limiter($count,$this->limit,'users',$this->get);
		}
		
		$html.='</div>';
		
		echo $html;
	}
}

function users_init($env)
{
	global $SawannaUsers;
	
	if (isset($env['query']) && is_numeric($env['query'])) $_GET['get']=$env['query'];
	
	$SawannaUsers=new CSawannaUsers();
	$SawannaUsers->session=&$env['session'];
	$SawannaUsers->language=&$env['language'];
	$SawannaUsers->user=&$env['user'];
	$SawannaUsers->db=&$env['db'];
}

function users_exec()
{
	global $SawannaUsers;
	
	$SawannaUsers->display();
	
	return array('','','[string]all_users[/string]');
}

function users_clear()
{
	global $SawannaUsers;
	
	unset(
		$SawannaUsers->session,
		$SawannaUsers->language,
		$SawannaUsers->user,
		$SawannaUsers->db,
		$SawannaUsers->limit,
		$SawannaUsers->get
		);
}
?>