<?php
defined("SAWANNA") or die();

class CLog
{
	var $db;
	var $ip;
	var $error;
	
	function CLog(&$db)
	{
		$this->db=&$db;
		
		$x_forward=getenv('HTTP_X_FORWARDED_FOR');
		$this->ip=!empty($x_forward) ? $this->db->escape_string($x_forward) : $this->db->escape_string($_SERVER['REMOTE_ADDR']);
		
		$this->error='';
	}
	
	function register($status)
	{
		$referer=isset($_SERVER['HTTP_REFERER']) ? $this->db->escape_string($_SERVER['HTTP_REFERER']) : '-';
		$query=!empty($_SERVER['QUERY_STRING']) ? $this->db->escape_string($_SERVER['QUERY_STRING']) : '-';
		$user_agent=!empty($_SERVER['HTTP_USER_AGENT']) ? $this->db->escape_string($_SERVER['HTTP_USER_AGENT']) : '-';
		$access_time=time();
		$status=($status) ? 'ok' : 'bad';
		if (!($this->db->query("insert into ".DB_PREFIX."_log (ip,referer,query,user_agent,status,access_time) values ('".$this->ip."','".$referer."','".$query."','".$user_agent."','".$status."','".$access_time."')")))
		{
			$this->error=$this->db->error;
			return false;
		}
		return true;
	}
	
	function is_bot()
	{
		$time=time()-10;
		$this->db->query("select access_time from ".DB_PREFIX."_log where ip='".$this->ip."' and access_time > ".$time);
		
		$access_1=array();
		$access_10=array();
		while ($accesses=$this->db->fetch_array()) {
			if ($accesses['access_time'] > $time+9) $access_1[]=$accesses['access_time'];
			$access_10[]=$accesses['access_time'];
		}
		
		if (count($access_1) > ALLOW_ACCESS_IN_1_SECOND)
		{
			$this->error=count($access_1).' times in 1 sec.';
			return true;
		}
		if (count($access_10) > ALLOW_ACCESS_IN_10_SECONDS)
		{
			$this->error=count($access_10).' times in 10 sec.';
			return true;
		}
		
		return false;
	}
}
?>