<?php
defined("SAWANNA") or die();

class CSawannaAJAXer extends CSawanna
{
	var $session;
	var $language;
	var $db;
	var $user;
	var $tpl;
	var $workspace;
	var $node;
	var $navigator;
	var $body_space;
	var $child_navigator_space;
	var $current_tree;
	var $parent_id;
	var $current_id;
	var $current_parent_id;
	var $get;
	var $display_rss_link;
	var $new_limit;
	var $com_limit;
	var $message;
	
	function CSawannaAJAXer()
	{
		$this->session=null;
		$this->language=null;
		$this->db=null;
		$this->tpl=null;
		$this->user=null;
		$this->node=null;
		$this->navigator=null;
		$this->workspace='';
		$this->body_space='body';
		$this->child_navigator_space='left';
		$this->current_tree=array();
		$this->parent_id=0;
		$this->current_id=0;
		$this->current_parent_id=0;
		$this->new_limit=5;
		$this->com_limit=5;
		$this->display_rss_link=true;
		$this->get=(isset($_POST['pager']) && !empty($_POST['pager']) && is_numeric($_POST['pager']) && $_POST['pager']>0) ? $_POST['pager'] : 1;
		$this->message='';
	}
	
	function build()
	{
		global $searchBots;

		if ($this->user->group==1) {
			$this->message='[string]ajaxer_is_sleeping[/string]';
			return;
		}
		
		if (!empty($_SERVER['HTTP_USER_AGENT']) && in_array($_SERVER['HTTP_USER_AGENT'],$searchBots)) return ;
		
		if (!isset($this->tpl->javascript['jquery']) || !$this->tpl->javascript['jquery'])
		{
			echo '<script language="JavaScript" src="'.HOME.'/addons/ajaxer/jquery-1.3.2.min.js"></script>';
			$this->tpl->javascript['jquery']=true;
		}
		
		$addresses=array();
		$this->db->query("select value from ".DB_PREFIX."_global where name='ajaxer_addresses' and mark='ajaxer'");
		$vals=$this->db->fetch_array();
		if (!empty($vals))
			$addresses=unserialize($vals['value']);
			
		$disabled='';
		if (!empty($addresses))
		{
			foreach ($addresses as $i=>$address)
			{
				$disabled.='disabledAddresses['.$i.']="'.str_replace("\r",'',$address).'";';
			}
		}
		
		$url=parent::build_url('ajax/ajaxer');
		$session_emulate=SESSION_EMULATE ? 'true' : 'false';
		$session_id=SESSION_EMULATE ? $this->session->sid : session_id();
		$home=FRONT_PAGE_WORKSPACE;
		
		$url_pref=parent::build_url(FRONT_PAGE_WORKSPACE);
		$url_pref=substr($url_pref,0,strrpos($url_pref,FRONT_PAGE_WORKSPACE));
		
		$ishome=$this->workspace==FRONT_PAGE_WORKSPACE ? 'true' : 'false';
		$askReturn=(!isset($_GET['ajaxer']) || $_GET['ajaxer']!='false') ? 'true' :'false';
		$noajax=(isset($_GET['ajaxer']) && $_GET['ajaxer']=='false') ? 'true' : 'false';
		
		$ajaxer_default_page=(isset($_GET['ajaxerGet']) && !empty($_GET['ajaxerGet'])) ? $_GET['ajaxerGet'] : '';
		
		$html='<div id="ajaxer_body">';
		
		if ($noajax=='false') {
			$html.='<div id="ajaxer_status"></div><div id="ajaxer_status_r"></div>';
		}
		
		$home=HOME;
		$front=FRONT_PAGE_WORKSPACE;
		$html.=<<<HTML
		<script language="JavaScript">
		
		ajaxerWaiter=new Image();
		ajaxerWaiter.src='{$home}/addons/ajaxer/images/waiter.gif';
		
		if (!{$noajax}) {
			$("#ajaxer_status").css({'position':'absolute','width':'400px','heigth':'20px','overflow':'hidden','background-color':'#EFEFEF','background-image':"url('/addons/ajaxer/images/status_bg.png')",'padding':'0px'});
			$("#ajaxer_status_r").css({'position':'absolute','width':'10px','heigth':'20px','overflow':'hidden','background-image':"url('/addons/ajaxer/images/status_r.png')",'padding':'0px'});
			window.setInterval("ajaxer_update_status_pos();",100);
			$("#ajaxer_status_r").append("<span style=\"height:20px;line-height:20px\">&nbsp;</span>");
			$("#ajaxer_status").append("<img src=\"\" width=\"20\" height=\"20\" align=\"absmiddle\" />&nbsp;<span style=\"height:20px;line-height:20px;font-size:11px\">[string]ajaxer_is_loading[/string]</span>");
			$("#ajaxer_status > img").get(0).src=ajaxerWaiter.src;
		}
		
		function ajaxer_update_status_pos(){
			$("#ajaxer_status").get(0).style.left=0+"px";
			$("#ajaxer_status").get(0).style.top=$(window).height()+$(document.body).scrollTop()-20+"px";
			$("#ajaxer_status_r").get(0).style.left=400+"px";
			$("#ajaxer_status_r").get(0).style.top=$(window).height()+$(document.body).scrollTop()-20+"px";
		}
		
		function ajaxer_status_hide()
		{
			$("#ajaxer_status").css('display','none');
			$("#ajaxer_status_r").css('display','none');
		}
		
		function ajaxer_status_show()
		{
			$("#ajaxer_status").css('display','');
			$("#ajaxer_status_r").css('display','');
		}
		
		ajaxerLock=false;
		
		disabledAddresses=new Array();
		{$disabled}
		
		$(document).mousemove(function(e) {
			if (document.getElementById("waiter_cursor")) {
			$("#waiter_cursor").get(0).style.left=e.pageX+10;
			$("#waiter_cursor").get(0).style.top=e.pageY-10;
			}
		});
		
		function AJAXerPageDisabled(page)
		{
			for (i in disabledAddresses)
			{ 
				if (disabledAddresses[i].indexOf('/*')==disabledAddresses[i].length-2)
				{
					if (disabledAddresses[i]==page || page.indexOf(disabledAddresses[i].substr(0,disabledAddresses[i].length-2))==0) { 
						return true;
						break;
					}
				} else {
					if (disabledAddresses[i]==page) {
						return true;
						break;
					}
				}
			}
			return false;
		}
		
		function AJAXerGetPage(page) {
			if (ajaxerLock) return;
			if (page.length<=0) return;
			
			if (AJAXerPageDisabled(page)) {
				window.location.href="{$url_pref}"+page;
				return;
			}
			
			var page_workspace=page.indexOf('/')>0 ? page.substr(0,page.indexOf('/')) : page;
			var page_link=page.indexOf('/')>0 ? page.substr(page.indexOf('/')+1) : '';
			//$.post('{$url}',{workspace:page_workspace,link:page_link,space:'{$this->body_space}'},AJAXerShowPage);
			$.post('{$url}',{workspace:page_workspace,link:page_link,space:'{$this->child_navigator_space}'},AJAXerShowNav);
			
			$.ajax({
			type:"POST",
			url:"{$url}",
			data:"workspace="+encodeURIComponent(page_workspace)+"&link="+encodeURIComponent(page_link)+"&space="+encodeURIComponent("{$this->body_space}"),
			dataType:"html",
			success:AJAXerShowPage,
			error:function(xmlhttp,status,thrown){alert('[string]ajaxer_error[/string]'); ajaxerLock=false; $("#waiter_cursor").remove(); $("#ajaxer_status").empty(); ajaxer_status_hide();}
			});
			
			$(document.body).append('<div id="waiter_cursor" style="position:absolute;width:20px;height:20px;"><img src="" height="20" width="20" /></div>');
			$("#waiter_cursor > img").get(0).src=ajaxerWaiter.src;
			//$("#waiter_cursor > img").css({opacity:.8});
			ajaxerLock=true;
			
			$("#ajaxer_status").append("<img src=\"\" width=\"20\" height=\"20\" align=\"absmiddle\" />&nbsp;<span style=\"height:20px;line-height:20px;font-size:11px\">[string]loading[/string] {$url_pref}"+page+" ...</span>");
			$("#ajaxer_status > img").get(0).src=ajaxerWaiter.src;
			ajaxer_status_show();
		}
		
		function AJAXerShowPage(data) {
			$('#{$this->body_space}').animate({opacity:'.1'},300,function() {
			$('#{$this->body_space}').empty();
			$('#{$this->body_space}').append(data);
			$('#{$this->body_space}').animate({opacity:'1'},300,function() { ajaxerLock=false; $("#waiter_cursor").remove();});
			});
			
			$("#ajaxer_status").empty();
			ajaxer_status_hide();
		}
		
		function AJAXerShowNav(data) {
		          if ($('.child_menu').length)
		          {
		                  $('.child_menu').slideUp(100,function() {
                                    	$('.child_menu').remove();	
                                    	$('#{$this->child_navigator_space}').prepend(data);
				$('#{$this->child_navigator_space} > #ajax_child_navigator').slideDown(300);
                                        });
                                } else
                                {
            			if ($('#{$this->child_navigator_space} > #ajax_child_navigator').length > 0) {
            				$('#{$this->child_navigator_space} > #ajax_child_navigator').slideUp(100,function() {
            				$('#{$this->child_navigator_space} > #ajax_child_navigator').remove();
            				$('#{$this->child_navigator_space}').prepend(data);
            				$('#{$this->child_navigator_space} > #ajax_child_navigator').slideDown(300);
            				});
            			} else {
            				$('#{$this->child_navigator_space}').prepend(data);
            				$('#{$this->child_navigator_space} > #ajax_child_navigator').slideDown(300);
            			}
                                }
		}
		
		function AJAXerGoPager(page,query) {
			if (ajaxerLock) return;
			if (page.length<=0) return;
			
			if (AJAXerPageDisabled(page)) {
				window.location.href="{$url_pref}"+page+"/&get="+query;
				return;
			}
			
			var page_workspace=page.indexOf('/')>0 ? page.substr(0,page.indexOf('/')) : page;
			var page_link=page.indexOf('/')>0 ? page.substr(page.indexOf('/')+1) : '';
			//$.post('{$url}',{workspace:page_workspace,link:page_link,pager:query},AJAXerShowPage);
			
			$.ajax({
			type:"POST",
			url:"{$url}",
			data:"workspace="+encodeURIComponent(page_workspace)+"&link="+encodeURIComponent(page_link)+"&pager="+encodeURIComponent(query),
			dataType:"html",
			success:AJAXerShowPage,
			error:function(xmlhttp,status,thrown){alert('[string]ajaxer_error[/string]'); ajaxerLock=false; $("#waiter_cursor").remove();}
			});
			
			$(document.body).append('<div id="waiter_cursor" style="position:absolute;width:20px;height:20px;"><img src="" height="20" width="20" /></div>');
			$("#waiter_cursor > img").get(0).src=ajaxerWaiter.src;
			//$("#waiter_cursor > img").css({opacity:.8});
			ajaxerLock=true;
			
			$("#ajaxer_status").append("<img src=\"\" width=\"20\" height=\"20\" align=\"absmiddle\" />&nbsp;<span style=\"height:20px;line-height:20px;font-size:11px\">[string]loading[/string] {$url_pref}"+page+"/&get="+query+" ...</span>");
			$("#ajaxer_status > img").get(0).src=ajaxerWaiter.src;
			ajaxer_status_show();
		}
		
		$(document).ready(function(){
			$("a").each(function() {
				if (!navigator.cookieEnabled) return;
				
				$("#ajaxer_status").appendTo("body");
				$("#ajaxer_status_r").appendTo("body");
				
				ajaxer_default_page="{$ajaxer_default_page}";
				if (ajaxer_default_page.length>0) {
					AJAXerGetPage(ajaxer_default_page);
				}
				
				if ({$session_emulate}) {
					if ($(this).attr("href").indexOf('&sid={$session_id}')>0) {
						$(this).attr({'href':$(this).attr("href").replace('&sid={$session_id}','')});
					}
				} else
				{ 
					if ($(this).attr("href").indexOf('&PHPSESSID={$session_id}')>0) {
						$(this).attr({'href':$(this).attr("href").replace('&PHPSESSID={$session_id}','')});
					}
				}
				
				if ($(this).attr("href").substr($(this).attr("href").length-1)=='/') {
					$(this).attr({'href':$(this).attr("href").substr(0,$(this).attr("href").length-1)});
				}
				
				if ({$ishome} && !{$noajax}) {
					
					if ($(this).attr("href").indexOf("public/")>0) {
						$(this).attr({"href":"javascript:AJAXerGetPage('"+'public/'+$(this).attr("href").substr($(this).attr("href").indexOf("public/")+7)+"')"});	
					}
					if ($(this).attr("href").substr($(this).attr("href").length-7)=='/public' || $(this).attr("href").substr($(this).attr("href").length-7)=='?public') {
						$(this).attr({"href":"javascript:AJAXerGetPage('public')"});	
					}
					if ($(this).attr("href").indexOf("article/")>0) {
						$(this).attr({"href":"javascript:AJAXerGetPage('"+'article/'+$(this).attr("href").substr($(this).attr("href").indexOf("article/")+8)+"')"});	
					}
					if ($(this).attr("href").substr($(this).attr("href").length-8)=='/article' || $(this).attr("href").substr($(this).attr("href").length-8)=='?article') {
						$(this).attr({"href":"javascript:AJAXerGetPage('article')"});	
					}
					
					if ($(this).attr("href").indexOf("news/")>0) {
						$(this).attr({"href":"javascript:AJAXerGetPage('"+'news/'+$(this).attr("href").substr($(this).attr("href").indexOf("news/")+5)+"')"});	
					}
					if ($(this).attr("href").substr($(this).attr("href").length-5)=='/news' || $(this).attr("href").substr($(this).attr("href").length-5)=='?news') {
						$(this).attr({"href":"javascript:AJAXerGetPage('news')"});	
					}
					
					if ($(this).attr("href").indexOf("{$front}/")>0) {
						if ($(this).attr("href").indexOf("&get=")>0) {
							var pager=$(this).attr("href").substr($(this).attr("href").indexOf("&get=")+5);
							if (pager.indexOf("&")>0) {
								pager=pager.substr(0,pager.indexOf("&"));
							}
							$(this).attr({"href":"javascript:AJAXerGoPager('{$front}','"+pager+"')"});	
						}
					}
					if ($(this).attr("href").substr($(this).attr("href").length-5)=='/{$home}' || $(this).attr("href").substr($(this).attr("href").length-5)=='?{$home}') {
						if ($(this).parent("div").get(0).className != 'languages_panel') {
							$(this).attr({"href":"javascript:AJAXerGetPage('{$home}')"});	
						}
					}
					
					if ($(this).attr("href").substr($(this).attr("href").length-4)=='/map' || $(this).attr("href").substr($(this).attr("href").length-4)=='?map') {
						$(this).attr({"href":"javascript:AJAXerGetPage('map')"});	
					}
					
					if ($(this).attr("href").substr($(this).attr("href").length-9)=='/feedback' || $(this).attr("href").substr($(this).attr("href").length-9)=='?feedback') {
						$(this).attr({"href":"javascript:AJAXerGetPage('feedback')"});	
					}
				
				} else if ({$askReturn})
				{
					if ($(this).attr("href").indexOf("public")>0 || $(this).attr("href").indexOf("article")>0 || $(this).attr("href").indexOf("news")>0 || $(this).attr("href").indexOf("map")>0 || $(this).attr("href").indexOf("feedback")>0) {
						var ajaxerURLpath=$(this).attr("href").replace('{$url_pref}','');
						if (ajaxerURLpath.substr(0,1)=='/' || ajaxerURLpath.substr(0,1)=='?') { ajaxerURLpath=ajaxerURLpath.substr(1); };
						if (ajaxerURLpath.indexOf("&")>0) { ajaxerURLpath=ajaxerURLpath.substr(0,ajaxerURLpath.indexOf("&")); };
						if (ajaxerURLpath.substr(ajaxerURLpath.length-1,1)=='/') { ajaxerURLpath=ajaxerURLpath.substr(0,ajaxerURLpath.length-1); };
						if (!AJAXerPageDisabled(ajaxerURLpath)) {
							$(this).click(function(){ 
								if (confirm('[string]return_to_ajax_mode[/string]')) {
									window.location.href="{$url_pref}{$front}/&ajaxerGet="+ajaxerURLpath; 
									return false;
								}else{
									if ($(this).attr("href").indexOf("&")>0) {
										$(this).attr({"href":$(this).attr("href")+'&ajaxer=false'});
									} else
									{
										$(this).attr({"href":$(this).attr("href")+'/&ajaxer=false'});
									}
								}
							});
						}
					}
				} else
				{
					if ($(this).attr("href").indexOf("&")>0) {
						$(this).attr({"href":$(this).attr("href")+'&ajaxer=false'});
					} else
					{
						$(this).attr({"href":$(this).attr("href")+'/&ajaxer=false'});
					}
				}
			});
			
			$("#ajaxer_status").empty();
			ajaxer_status_hide();
		});
		</script>
HTML;

		$html.='</div>';
		
		echo $html;
	}
	
	function getContent($workspace,$link='',$space='')
	{	
		if ($space==$this->body_space) {
			
			$this->build_pre_blocks($workspace,$link);
			
			switch ($workspace) {
				case FRONT_PAGE_WORKSPACE :
				                      $this->build_breadcrumbs($workspace,$link);
						$this->getPage(FRONT_PAGE_WORKSPACE,'');
						$this->show_new_articles(FRONT_PAGE_WORKSPACE);
					break;
				case 'public' :
				           $this->build_breadcrumbs($workspace,$link);
					if (!empty($link))
						$this->getPage($workspace,$link);
					else 
						$this->show_page_links();
					break;
				case 'article' :
				           $this->build_breadcrumbs($workspace,$link);
					if (!empty($link))
						$this->getArticle($workspace,$link);
					else 
						$this->show_new_articles();
						
					if (!defined('NO_COMMENTS') && ALLOW_COMMENTS) {
						$this->comments_build('article',$link);
					}
					break;
				case 'news' :
				            $this->build_breadcrumbs($workspace,$link);
					 $this->news_display($link);
					if (empty($link)) 
						$this->news_build_linker();
						
					if (!defined('NO_COMMENTS') && ALLOW_COMMENTS) {
						$this->comments_build('news',$link);
					}
					break;
				case 'map' :
				          $this->build_breadcrumbs($workspace,$link);
					$this->map_build();
					break;
				case 'feedback' :
				            $this->build_breadcrumbs($workspace,$link);
					$this->build_feedback_form();
					break;
			}
			
			$this->build_post_blocks($workspace,$link);
			
		} elseif ($space==$this->child_navigator_space) {
			$this->getNavigator($workspace,$link);
		}
	}
	
	function getNavigator($workspace,$query) 
	{
		$this->navigator->current=!empty($query) ? $workspace.'/'.$query : $workspace;
		$conditions=array('link' => $this->navigator->current);
		$result=$this->navigator->get($conditions);
		$current=$this->db->fetch_array($result);
		if (!empty($current))
		{
			$this->current_id=$current['id'];
			$this->current_parent_id=$current['parent'];
			if ($current['parent'] != 0) $this->get_parent($current['parent']);
			else $this->parent_id=$current['id'];
			
			$child='';
			$this->construct_navigator($child,$this->parent_id);
			$child=str_replace('<ul></ul>','',$child);
			if (!empty($child))
			{
				echo '<div id="ajax_child_navigator" style="display:none"><div class="child_menu">'.$child.'</div></div>';
			}
		}
	}
	
	function construct_navigator(&$html,$parent)
	{

		$conditions=array('parent' => $parent);
		
		$result=$this->navigator->get($conditions);
		
		$html.='<ul>';
		while($menu=$this->db->fetch_array($result))
		{
			if ($menu['mark'] == 'ghost') continue;
			
			if ($menu['parent']==$this->parent_id || in_array($menu['id'],$this->current_tree) || $menu['id']==$this->current_id || $menu['parent']==$this->current_parent_id || $menu['parent']==$this->current_id)
			{
				if ($menu['link'] == $this->navigator->current)
				{
				           $menu_link=(strpos($menu['link'],'http://')===0 || strpos($menu['link'],'https://')===0) ? '<a class="active" href="'.$menu['link'].'" target="_blank">'.$menu['name'].'</a>' : "<a class=\"active\" href=\"javascript:AJAXerGetPage('".$menu['link']."')\">".$menu['name'].'</a>';
					$html.= '<li class="active">'.$menu_link;
				} else 
				{
				           $menu_link=(strpos($menu['link'],'http://')===0 || strpos($menu['link'],'https://')===0) ? '<a href="'.$menu['link'].'" target="_blank">'.$menu['name'].'</a>' : "<a href=\"javascript:AJAXerGetPage('".$menu['link']."')\">".$menu['name'].'</a>';
					$html.= '<li>'.$menu_link;
				}
			}
			
			$this->construct_navigator($html,$menu['id']);
			
			if ($menu['parent']==$this->parent_id || in_array($menu['id'],$this->current_tree) || $menu['id']==$this->current_id || $menu['parent']==$this->current_parent_id || $menu['parent']==$this->current_id)
			{
			         $html.='</li>';
			}
		}
		$html.='</ul>';
	}
	
	function get_parent($parent)
	{
		while (true) {	
			$this->current_tree[]=$parent;
			$conditions=array('id' => $parent);
			$result=$this->navigator->get($conditions);
			$menu=$this->db->fetch_array($result);
			if ($menu['parent'] != 0)
			{
				$parent=$menu['parent'];
			} else
			{
				$this->parent_id=$parent;
				break;
			}
		}
	}
	
	
	function getPage($workspace,$query)
	{
		echo '<div class="node" id="node">';
		
		if ($workspace==FRONT_PAGE_WORKSPACE)
		{
			$_result=$this->navigator->get(array('parent'=>0));
			while ($menu=$this->db->fetch_array($_result)) {
				if (($p=strpos($menu['link'],'/'))===false) continue;
				if (substr($menu['link'],0,$p) != 'public') continue;
				
				$node=array('workspace'=>'public','link'=>substr($menu['link'],$p+1),'mark'=>'');
				$result=$this->node->get($node);
				if (!empty($result)) break;
			}
		} else
		{
			$node=array('workspace'=>'public','link'=>$query,'mark'=>'');
			$result=$this->node->get($node);
		}
		
		if (isset($result) && !empty($result)) $node=$this->db->fetch_array($result);
		
		if (isset($node) && !empty($node))
		{
			$this->title=$node['name'];
			if (!empty($node['content']))
			{
				echo $node['content'];
			} else
			{
				$_res=$this->db->sub_query("select id from ".DB_PREFIX."_navigation where link='".$this->db->escape_string('public/'.$node['link'])."'");
				$menu=$this->db->fetch_array($_res);
				
				echo '<div class="map">'.$this->build_page_navigator_tree($menu['id']).'</div>';
			}
		} elseif ($this->workspace != FRONT_PAGE_WORKSPACE)
		{
			$this->db->query("select access from ".DB_PREFIX."_nodes where workspace='public' and link='".$this->db->escape_string($query)."' and language='".$this->db->escape_string($this->language->current)."'");
			$node=$this->db->fetch_array();
			if (!empty($node))
			{
				switch ($node['access'])
				{
					case 2 :
						$error='[string]please_login[/string]';
						break;
					case 0 :
						$error='[string]access_denied[/string]';
						break;
				}
			} elseif (!empty($query)) 
			{
				$error='[string]page_not_found[/string]';
			}
			if (!empty($error)) echo '<div id="error"><div style="padding:5px">'.$error.'</div></div>';
		}
		
		echo '</div>';
	}
	
	function show_page_links()
	{
		echo '<div class="map">';
		echo $this->build_page_navigator_tree();
		echo '</div>';
	}
	
	function build_page_navigator_tree($parent=0,$co=0)
	{
		static $map;
		
		$offset=str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ",$co);
		
		$result=$this->navigator->get(array('parent'=>$parent));
		while($menu=$this->db->fetch_array($result))
		{
			if (strpos($menu['link'],'public/')===false) continue;
			
			if ($co==0) $_offset='<br />&bull; '; else $_offset=$offset.' &rarr; ';
			$map.=$_offset.'<a href="javascript:AJAXerGetPage(\''.$menu['link'].'\')" class="map_link" >'.$menu['name'].'</a><br />';
			$this->build_page_navigator_tree($menu['id'],$co+1);
		}
		return $map;
	}
	
	function getArticle($workspace,$query)
	{
		
		if ($workspace==FRONT_PAGE_WORKSPACE)
		{
			$_result=$this->navigator->get(array('parent'=>0));
			while ($menu=$this->db->fetch_array($_result)) {
				if (($p=strpos($menu['link'],'/'))===false) continue;
				if (substr($menu['link'],0,$p) != $workspace) continue;
				
				$node=array('workspace'=>$workspace,'link'=>substr($menu['link'],$p+1),'mark'=>'');
				$result=$this->node->get($node);
				if (!empty($result)) break;
			}
		} else
		{
			$node=array('workspace'=>'article','link'=>$query,'mark'=>'');
			$result=$this->node->get($node);
		}
		
		if (isset($result) && !empty($result)) $node=$this->db->fetch_array($result);
		
		if (isset($node) && !empty($node))
		{
			if (!empty($node['content']))
			{
				$_res=$this->db->sub_query("select name,login,gender from ".DB_PREFIX."_users where id = '".$this->db->escape_string($node['author_id'])."'");
				$user=$this->db->fetch_array($_res);
				$author=(!empty($user['name'])) ? $user['name'] : $user['login'];
				
				$gender='';
				if (!empty($user['gender']))
				{
					switch ($user['gender'])
					{
						case 'M' :
							$gender.='<img src="'.HOME.'/sawanna/images/male.gif" width="15" height="15" align="bottom" border="0" />&nbsp;';
							break;
						case 'F' :
							$gender.='<img src="'.HOME.'/sawanna/images/female.gif" width="15" height="15" align="bottom" border="0" />&nbsp;';
							break;
					}
				}
	
				echo  '<div style="width:150px;height:15px;line-height:15px;font-size:11px;margin-top:3px;font-weight:bold;float:left;padding-left:10px;">[string]date[/string] : '.date('d.m.Y',$node['published']).'</div><br clear="all" />';
				echo '<div class="node" id="node">';
				$this->title=$node['name'];
				echo preg_replace('/\[break\]/','<!--[break]-->',$node['content'],1);
				echo '</div>';
				echo '<br clear="all" /><div style="width:50%;height:15px;line-height:15px;font-size:11px;text-align:right;margin-top:3px;font-weight:bold;float:right;margin-right:10px">[string]author[/string] : '.$gender.parent::build_anchor('user/view/'.$user['login'],'<span style="font-size:11px;height:15px;line-height:15px;color:#572D09;cursor:pointer">'.$author.'</span>').'</div><br clear="all" />';
			} else
			{
				$_res=$this->db->sub_query("select id from ".DB_PREFIX."_navigation where link='".$this->db->escape_string('article/'.$node['link'])."'");
				$menu=$this->db->fetch_array($_res);
				
				echo '<div class="map">'.$this->build_article_childs($menu['id']).'</div>';
			}
		} elseif ($this->workspace != FRONT_PAGE_WORKSPACE)
		{
			$this->db->query("select access from ".DB_PREFIX."_nodes where workspace='article' and link='".$this->db->escape_string($query)."' and language='".$this->db->escape_string($this->language->current)."'");
			$node=$this->db->fetch_array();
			if (!empty($node))
			{
				switch ($node['access'])
				{
					case 2 :
						$error='[string]please_login[/string]';
						break;
					case 0 :
						$error='[string]access_denied[/string]';
						break;
				}
			} elseif (!empty($this->query)) 
			{
				$error='[string]article_not_found[/string]';
				if (!defined('NO_COMMENTS')) define('NO_COMMENTS',1);
			}
			
			if (!empty($error)) echo '<div id="error"><div style="padding:5px">'.$error.'</div></div>';
		}
		
	}
	
	function show_new_articles($show_in='article')
	{
		$html='';
		
	//	$node=array('workspace'=>'article','mark'=>'');
	//	$result=$this->node->get($node);
	
		$condition="language='".$this->db->escape_string($this->language->current)."'";
		
		$condition.=' and ';
		$condition.="workspace='article'";
		$condition.=' and ';
		$condition.="mark=''";
		$condition.=' and ';
		$condition.="content<>''";
		
		switch ($this->user->group)
		{
			case 1 :
				$condition.='';
				break;
			case 2 :
				$condition.=' and ';
				$condition.="access <> '0'";
				break;
			default:
				$condition.=' and ';
				$condition.="access = '1'";
				break;
		}
		
		$result=$this->db->sub_query("select * from ".DB_PREFIX."_nodes where ".$condition." order by published desc");
	
		if (isset($result) && !empty($result)) 
		{
			$current=(intval($this->get)-1)*$this->new_limit+1;
			$co=0;
			while ($node=$this->db->fetch_array($result))
			{
				$co++;
				if ($co<$current) continue;
				
				$thumb='';
				$link=str_replace('/','_',$node['link']);
				if (file_exists(ROOT_DIR.'/upload/thumbs/article_'.$link.'.jpg'))
				{
					$thumb_size=@getimagesize(ROOT_DIR.'/upload/thumbs/article_'.$link.'.jpg');
					$dimm=(array_key_exists(3,$thumb_size)) ? $thumb_size[3] : 'width="80" height="60"';
					$thumb='<img src="'.HOME.'/upload/thumbs/article_'.$link.'.jpg" '.$dimm.' class="thumbnail" align="left" style="margin-right:10px;margin-top:5px;margin-bottom:5px" />';
				}
				
				$this->title='';
				$html.= "<a href=\"javascript:AJAXerGetPage('article/".$node['link']."')\"><div style=\"font-weight:bold;margin-bottom:3px\">".$node['name'].'</div></a>';
				
				if (($teaser=strpos($node['content'],'[break]')) !== false)
				{
					$content=strip_tags(substr($node['content'],0,$teaser),'<p><P><br /><BR /><br><BR>');
				} elseif (function_exists('mb_substr'))
				{
					$content=mb_substr(strip_tags($node['content'],'<p><P><br /><BR /><br><BR>'),0,1000);
				} else 
				{
					$content=substr(strip_tags($node['content'],'<p><P><br /><BR /><br><BR>'),0,1000);
				}
				$html.= $thumb.$content.'<br clear="all" />';
				
				$comments=array('workspace'=>'article','link'=>$node['link'],'mark'=>'comment','access'=>'1');
				$res=$this->node->get($comments);
				$count=$this->db->num_rows($res);
				
				$_res=$this->db->sub_query("select name,login,gender from ".DB_PREFIX."_users where id = '".$this->db->escape_string($node['author_id'])."'");
				$user=$this->db->fetch_array($_res);
				$author=(!empty($user['name'])) ? $user['name'] : $user['login'];
				$gender='';
				if (!empty($user['gender']))
				{
					switch ($user['gender'])
					{
						case 'M' :
							$gender.='<img src="'.HOME.'/sawanna/images/male.gif" width="10" height="10" align="bottom" border="0" />&nbsp;';
							break;
						case 'F' :
							$gender.='<img src="'.HOME.'/sawanna/images/female.gif" width="10" height="10" align="bottom" border="0" />&nbsp;';
							break;
					}
				}
	
				$html.='<div style="width:100%;border-bottom:1px solid #DDDDDD;text-align:right;height:15px">'."<a href=\"javascript:AJAXerGetPage('article/".$node['link']."')\"><span  class=\"read_more\">[string]read_more[/string]</span></a>".'</div>';
				$html.= '<div style="width:50%;font-size:10px;text-align:left;margin-top:3px;float:left">[string]author[/string]:&nbsp;'.$gender.parent::build_anchor('user/view/'.$user['login'],'<span style="font-size:10px;cursor:pointer">'.$author.'</span>').'</div><div style="width:200px;font-size:10px;text-align:right;margin-top:3px;float:right"><font color="#963A16">[string]date[/string]: '.date('d.m.Y',$node['published']).'</font>&nbsp;&nbsp;&nbsp;<font color="#163196">[string]comments[/string]: '.((!empty($count)) ? $count : 0).'</font></div>';
				$html.= '<br /><br /><br />';
				
				if ($co>=$this->new_limit+$current-1) break;
			}
			
			$count=$this->db->num_rows($result);
			if ($count > $this->new_limit)
			{
				$html.='<br /><br />';
				$html.=$this->build_limiter($count,$this->new_limit,$show_in,$this->get,true);
			}
		}
		
		if (!empty($html))
		{
			echo '<br clear="all" />';
			echo '<div style="padding:5px">';
			if ($show_in==FRONT_PAGE_WORKSPACE)
				echo '<div class="section"><div style="float:left">[string]new_articles[/string]</div>';
			else 
				echo '<div style="height:20px;margin-bottom:10px">';
			if ($this->display_rss_link)
			{
				echo '<div style="float:right">';
				echo parent::build_anchor('rss/article','<img src="'.HOME.'/sawanna/images/rss.png" width="80" height="15" border="0" hspace="10" />');	
				echo '</div>';
			}
			echo '</div>';
			echo '<div style="padding:5px">';
			echo $html;
			echo '</div>';
			echo '</div>';
		}
	}
	
	function build_article_childs($parent=0,$co=0)
	{
		static $childs;
		
		$offset=str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ",$co);
		
		$result=$this->navigator->get(array('parent'=>$parent));
		while($menu=$this->db->fetch_array($result))
		{
			if ($menu['mark'] == 'ghost') continue;
			
			if ($co==0) $_offset='<br />&bull; '; else $_offset=$offset.' &rarr; ';
			
			$menu_link=(strpos($menu['link'],'http://')===0 || strpos($menu['link'],'https://')===0) ? '<a href="'.$menu['link'].'" target="_blank" class="map_link">'.$menu['name'].'</a>' : parent::build_anchor($menu['link'],$menu['name'],'map_link');
			
			$childs.=$_offset.$menu_link.'<br />';
			$this->build_article_childs($menu['id'],$co+1);
		}
		return $childs.'<br />';
	}
	
	function comments_build($workspace,$query)
	{
		if (empty($query)) return ;
		
		switch ($this->user->group)
		{
			case 1 :
				$access='';
				break;
			case 2 :
				$access=' and ';
				$access.="access <> '0'";
				break;
			default:
				$access=' and ';
				$access.="access = '1'";
				break;
		}
		$this->db->query("select id from ".DB_PREFIX."_nodes where workspace='".$this->db->escape_string($workspace)."' and link='".$this->db->escape_string($query)."' and mark<>'comment' and language='".$this->db->escape_string($this->language->current)."'".$access);
		if (!$this->db->num_rows()) return;
		
		$html='';
		
		$current=(intval($this->get)-1)*$this->com_limit+1;
		$co=0;
		$this->db->query("select * from ".DB_PREFIX."_nodes where workspace='".$this->db->escape_string($workspace)."' and link='".$this->db->escape_string($query)."' and mark='comment' and language='".$this->db->escape_string($this->language->current)."' and access<>'0' order by published");
		while($node=$this->db->fetch_array())
		{
			$co++;
			if ($co<$current) continue;
			
			$html.='<div class="comment">'.$this->build_comment_form($node['content'],$node['author_id']).'</div>';
			
			if ($this->user->group == 1)
			{
				$html.=parent::build_anchor(ADMIN_WORKSPACE.'/&component=commentsAdmin&workspace='.$this->workspace.'&query='.$this->query.'&act=del_alt&id='.$node['id'],'<img src="'.HOME.'/sawanna/images/delete.png" width="20" height="20" title="[string]delete[/string]" border="0" align="absmiddle" />&nbsp;<b>[string]delete[/string]</b>').'<br />';
			}
			
			$html.='<br />';

			if ($co>=$this->com_limit+$current-1) break;
		}
		
		$count=$this->db->num_rows();
		if ($count > $this->com_limit)
		{
			$html.='<br /><br />';
			$html.=$this->build_limiter($count,$this->com_limit,$workspace.'/'.$query,$this->get);
		}
		
		if (!empty($html))
		{
			echo '<br clear="all" /><br /><h3>[string]comments[/string] : </h3><div align="left" style="padding:10px">';
			echo $html;
			echo '</div>';
		}
		
		if (isset($_POST['comment']) && empty($this->error))
		{
			unset($_POST['comment']);
		}
		
		$this->build_comments_create_form($workspace,$query);
		
		if ($this->user->group == 0 || $this->user->group == 3 || $this->user->active == 0) 
		{
			echo '<br /><br /><div align="center" style="border-top:1px solid #DDDDDD;"><br />[string]you_cant_post_comments[/string]</div><br />';
		}
	}
	
	function build_comment_form(&$comment,$author_id)
	{
		$html='';
		$result=$this->db->sub_query("select * from ".DB_PREFIX."_users where id='".$this->db->escape_string($author_id)."'");
		$user=$this->db->fetch_array($result);
		if (!empty($user))
		{
			$name=!empty($user['name']) ? $user['name'] : $user['login'];
			$user_link=!empty($user['login']) ? parent::build_anchor('user/view/'.$user['login'],$name) : $name;
			$gender='';
			if (!empty($user['gender']))
			{
				switch ($user['gender'])
				{
					case 'M' :
						$gender.='<img src="'.HOME.'/sawanna/images/male.gif" width="15" height="15" align="bottom" border="0" style="margin-top:2px" />&nbsp;';
						break;
					case 'F' :
						$gender.='<img src="'.HOME.'/sawanna/images/female.gif" width="15" height="15" align="bottom" border="0" style="margin-top:2px" />&nbsp;';
						break;
				}
			}
			$this->id=$user['id'];
			$group=($user['group_id']!=0) ? '[string]group[/string] : [string]group_'.$user['group_id'].'[/string]' : '[string]deleted[/string]';
			$joined=($user['group_id']!=0) ? '[string]joined[/string] : '.date('d.m.Y',$user['joined']) : '';
			$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
			if (file_exists($ava_path))
			{
				$image=@getimagesize($ava_path);
				$image_size=!empty($image) ? $image[3] : '';
				$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/upload/user/'.md5($user['login']).'.ava" '.$image_size.' />';
			} else 
			{
				$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/sawanna/images/user.jpg" width="100" height="100" />';
			}
			
			$html.='<div class="comment_caption">'.$user_link.'</div>';
			$html.='<table cellspacing="5"><tr>';
			$html.='<td width="100">'.$photo.'<br />'.$gender.'<br /><b style="font-size:10px">'.$group.'</b><br /><span style="font-size:9px">'.$joined.'</span></td><td valign="top" style="border-left:1px solid #000000;padding-left:5px;font-size:12px">'.$comment.'</td>';
			$html.='</tr></table>';
		}
				
		return $html;
	}
	
	function build_comments_create_form($workspace,$query)
	{
		if (empty($query)) return ;
		
		if ($this->user->group == 0 || $this->user->group == 3 || $this->user->active == 0) return ;
		if (empty($query)) return ;
		
		$comment=isset($_POST['comment']) ? htmlspecialchars($_POST['comment']) : '';
		
		$html='';
		
		$elems=array(
					'custom',
					'custom',
					'text',
					'submit'
					);
					
		$desc=array(
					'',
					' ',
					'[string]enter_code[/string]',
					' '
					);
					
		$attr=array(
					'',
					'',
					'name="captcha" style="width:100px"',
					'value="[string]send[/string]"'
					);
					
		$custom=array(
					'<textarea name="comment" cols="70" rows="10" style="width:100%">'.$comment.'</textarea>',
					'<img src="'.parent::build_url('captcha').'" width="100" height="30" border="1" />'
					);
		
		$html.= '<div align="center"><p style="width:500px;font-weight:bold;text-align:left">[string]send_comment[/string]</p>'.parent::build_form($workspace.'/'.$query,$elems,'500px',$desc,$attr,$custom,'form',true).'</div>';
		
		echo $html;
	}
	
	function news_build_linker()
	{
		$html='<br clear="all" />';
		
		if ($this->display_rss_link)
		{
			$html.='<div style="float:right">';
			$html.=parent::build_anchor('rss/news','<img src="'.HOME.'/sawanna/images/rss.png" width="80" height="15" border="0" hspace="10" />');	
			$html.='</div>';
		}
		
		$html.='<div align="left" style="padding:10px">';
		$html.='<div style="width:100px;border-bottom:1px solid #000000">&nbsp;</div>';
		
		$html.='<br />';
		
		$current=(intval($this->get)-1)*$this->new_limit+1;
		$co=0;
		$result=$this->node->get(array('workspace'=>'news','mark'=>'short'));
		while ($news=$this->db->fetch_array($result)) {
			$co++;
			if ($co<$current) continue;
			
			$comments=array('workspace'=>'news','link'=>$news['link'],'mark'=>'comment','access'=>'1');
			$res=$this->node->get($comments);
			$count=$this->db->num_rows($res);
			
			$html.='<div style="height:20px;border-bottom:1px solid #DDDDDD;margin-bottom:3px">'.date('d.m.Y',$news['published']).'&nbsp;&nbsp;<a href="javascript:AJAXerGetPage(\'news/'.$news['link'].'\')"><b style="fonr-size:11px">'.$news['name'].'</b></a></div>';
			$html.='<span class="news_short">'.$news['content'].'</span>';
			$html.= '<br /><div style="width:100%;font-size:10px;text-align:right;margin-top:3px;color:#163196">[string]comments[/string] : '.((!empty($count)) ? $count : 0).'</div>';
			$html.='<br /><br />';
			if ($co>=$this->new_limit+$current-1) break;
		}
		
		$count=$this->db->num_rows($result);
		if ($count > $this->new_limit)
		{
			$html.='<br /><br />';
			$html.=$this->build_limiter($count,$this->new_limit,'news/',$this->get);
		}
		
		$html.='</div>';
		
		echo $html;
	}
	
	function news_display($query='')
	{
		$html='<div align="left" style="padding:10px">';
		
		$result=0;
		if (!empty($query))
		{
			$result=$this->node->get(array('workspace'=>'news','link'=>$query,'mark'=>'full'));
		} else 
		{
			$result=$this->node->get(array('workspace'=>'news','mark'=>'full'));
		}
		
		$news=$this->db->fetch_array($result);
		
		if (!empty($news))
		{
			$html.='<div style="height:20px;margin-top:5px">'.date('d.m.Y',$news['published']).'&nbsp;&nbsp;'.'<b style="fonr-size:12px">'.$news['name'].'</b></div>';
			$html.=$news['content'];
		} elseif (!empty($query)) 
		{
			$this->error='[string]news_not_found[/string]';
			if (!defined('NO_COMMENTS')) define('NO_COMMENTS',1);
			return ;
		}
		
		$html.='</div>';
		
		echo $html;
	}
	
	function map_build()
	{
		echo '<div class="node">';
		echo '<div class="map">';
		echo $this->map_build_navigator_tree();
		echo '</div>';
		echo '</div>';
	}
	
	function map_build_navigator_tree($parent=0,$co=0)
	{
		static $map;
		
		$offset=str_repeat("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ",$co);
		
		$result=$this->navigator->get(array('parent'=>$parent));
		while($menu=$this->db->fetch_array($result))
		{
			if ($menu['mark'] == 'ghost') continue;
			
			if ($co==0) $_offset='<br />&bull; '; else $_offset=$offset.' &rarr; ';
			
			$menu_link=(strpos($menu['link'],'http://')===0 || strpos($menu['link'],'https://')===0) ? '<a href="'.$menu['link'].'" target="_blank" class="map_link">'.$menu['name'].'</a>' : "<a href=\"javascript:AJAXerGetPage('".$menu['link']."')\" class=\"map_link\">".$menu['name'].'</a>';
			
			$map.=$_offset.$menu_link.'<br />';
			$this->map_build_navigator_tree($menu['id'],$co+1);
		}
		return $map.'<br />';
	}
	
	function build_feedback_form()
	{
		$name=(isset($_POST['name'])) ? htmlspecialchars($_POST['name']) : '';
		$mail=(isset($_POST['mail'])) ? htmlspecialchars($_POST['mail']) : '';
		$text=(isset($_POST['message'])) ? htmlspecialchars($_POST['message']) : '';
		
		$elems=array();
		$desc=array();
		$attr=array();
		$custom=array();
		
		if ($this->user->group == 0)
		{
			$elems[]='text';
			$elems[]='text';
			
			$desc[]='[string]name[/string]';
			$desc[]='[string]mail[/string]';
			
			$attr[]='name="name" style="width:150px" value="'.$name.'"';
			$attr[]='name="mail" style="width:150px" value="'.$mail.'"';
			
			$custom[]='';
			$custom[]='';
		}
		
		$elems[]='custom';
		$elems[]='custom';
		$elems[]='text';
		$elems[]='submit';
		
		$desc[]='';
		$desc[]=' ';
		$desc[]='[string]enter_code[/string]';
		$desc[]=' ';
		
		$attr[]='';
		$attr[]='';
		$attr[]='name="captcha" style="width:100px"';
		$attr[]='value="[string]send[/string]"';
		
		$custom[]='<textarea name="message" cols="50" rows="10" style="width:100%">'.$text.'</textarea>';
		$custom[]='<img src="'.parent::build_url('captcha').'" width="100" height="30" border="1" />';
		
		echo '<div class="node"><p>[string]feedback_text[/string]</p><br /><div align="center">'.parent::build_form('feedback',$elems,'400px',$desc,$attr,$custom,'form',true).'</div></div>';
	}
	
	function build_limiter($count,$limit,$link,$query=1)
	{
		if ($query<1) return ;
		
		$html='';
		$c=ceil($count/$limit);

		if ($query>$c) return ;
			
		$begin=($query-9)>0 ? $query-9 : 0;
		
		$end=($query+9)<$c ? $query+9 : $c;
		
		if ($begin!=0)
		{
			$html.='<a href="javascript:AJAXerGoPager(\''.$link.'\',\'1\')">...</a>&nbsp;&nbsp;';
			//$html.= $this->build_anchor($link.'/1','...').'&nbsp;&nbsp;';
		}
		if ($query>1)
		{
			$html.='<a href="javascript:AJAXerGoPager(\''.$link.'\',\''.($query-1).'\')">&laquo;</a>&nbsp;&nbsp;';
			//$html.= $this->build_anchor($link.'/'.($query-1),'&laquo;').'&nbsp;&nbsp;';
		}
		
		for ($i=$begin;$i<$end;$i++)
		{
			if ($i+1==$query)
				$html.= '<span class="limiter-current"><b>'.($i+1).'</b></span>&nbsp;';
			else
			{
				$html.='<a href="javascript:AJAXerGoPager(\''.$link.'\',\''.($i+1).'\')" class="limiter">'.($i+1).'</a>&nbsp;&nbsp;';
				//$html.= $this->build_anchor($link.'/'.($i+1),'<b>'.($i+1).'</b>','limiter').'&nbsp;';
			}
		}
		
		if ($query<$c) 
		{
			$html.='&nbsp;&nbsp;<a href="javascript:AJAXerGoPager(\''.$link.'\',\''.($query+1).'\')">&raquo;</a>';
			//$html.= '&nbsp;&nbsp;'.$this->build_anchor($link.'/'.($query+1),'&raquo;');
		}
		if ($end<$c) 
		{
			$html.='&nbsp;&nbsp;<a href="javascript:AJAXerGoPager(\''.$link.'\',\''.$c.'\')">...</a>';
			//$html.= '&nbsp;&nbsp;'.$this->build_anchor($link.'/'.$c,'...');
		}
		
		return $html;
	}
	
	function build_pre_blocks($workspace,$query)
	{
		if ($workspace==FRONT_PAGE_WORKSPACE) return;
		
		$pre_block='';
		$this->db->query("select code from ".DB_PREFIX."_blocks where component='".$this->db->escape_string($this->body_space)."' and ( page = '".$this->db->escape_string($workspace)."' or page = '".$this->db->escape_string($workspace.'/'.$query)."' ) and weight < 0 order by weight ");
		while ($block=$this->db->fetch_array())
		{
			$pre_block.=$block['code'].'<br />';
		}
		echo $pre_block;
	}
	
	function build_post_blocks($workspace,$query)
	{
		if ($workspace==FRONT_PAGE_WORKSPACE) return;
		
		$post_block='';
		$this->db->query("select code from ".DB_PREFIX."_blocks where component='".$this->db->escape_string($this->body_space)."' and ( page = '".$this->db->escape_string($workspace)."' or page = '".$this->db->escape_string($workspace.'/'.$query)."' ) and weight >= 0 order by weight ");
		while ($block=$this->db->fetch_array())
		{
			$post_block.=$block['code'].'<br />';
		}
		echo $post_block;
	}
	
	function build_breadcrumbs($workspace,$query)
	{
		$html='';
		$crumbs=array();
		
		$crumbs[]=$workspace;
		
		if (!empty($query))
		{
			$_crumbs=explode('/',$query);
			$crumbs=array_merge($crumbs,$_crumbs);
		}
		
		$link='';
		$co=0;
		foreach ($crumbs as $crumb)
		{
			$link.=$crumb; 
			$result=$this->navigator->get(array('link'=>$link));
			$bread=$this->db->fetch_array($result);
			if (!empty($bread))
			{
				if (!empty($html)) $html.=' &rarr;&nbsp;';
				
				if (($link == $workspace.'/'.$query && $co==count($crumbs)-1) || ($link==$workspace && count($crumbs)==1))
					$html.='<span class="breadcrumbs_current">'.$bread['name'].'</span>';
				else 
					//$html.=parent::build_anchor($link,$bread['name']);
					$html.="<a href=\"javascript:AJAXerGetPage('".$link."')\">".$bread['name'].'</a>';
				
			} elseif ($workspace=='map')
			{
				$html.='<span class="breadcrumbs_current">[string]sitemap[/string]</span>';
			} elseif ($workspace=='feedback')
			{
				$html.='<span class="breadcrumbs_current">[string]feedback[/string]</span>';
			}
			
			$co++;
			$link.='/';
		}
		
		if (!empty($html))
		{
			echo '<div class="breadcrumbs">';
			echo $html;
			echo '</div>';
		}
	}
}

function ajaxer_init($env)
{
	global $SawannaAJAXer;
	
	$SawannaAJAXer=new CSawannaAJAXer();
	$SawannaAJAXer->session=&$env['session'];
	$SawannaAJAXer->language=&$env['language'];
	$SawannaAJAXer->db=&$env['db'];
	$SawannaAJAXer->tpl=&$env['tpl'];
	$SawannaAJAXer->user=&$env['user'];
	$SawannaAJAXer->node=&$env['node'];
	$SawannaAJAXer->navigator=&$env['navigator'];
	$SawannaAJAXer->workspace=$env['workspace'];
}

function ajaxer_exec()
{
	global $SawannaAJAXer;
	
	if ($SawannaAJAXer->workspace != 'ajax')
		$SawannaAJAXer->build();
	elseif (isset($_POST['workspace']) && isset($_POST['link']))
		$SawannaAJAXer->getContent($_POST['workspace'],$_POST['link'], isset($_POST['space']) ? $_POST['space'] : $SawannaAJAXer->body_space);
		
	return array($SawannaAJAXer->message,'','');
}

function ajaxer_clear()
{
	global $SawannaAJAXer;
	
	unset(
		$SawannaAJAXer->session,
		$SawannaAJAXer->language,
		$SawannaAJAXer->db,
		$SawannaAJAXer->user,
		$SawannaAJAXer->tpl,
		$SawannaAJAXer->node,
		$SawannaAJAXer->navigator,
		$SawannaAJAXer->workspace,
		$SawannaAJAXer->body_space,
		$SawannaAJAXer->child_navigator_space,
		$SawannaAJAXer->current_tree,
		$SawannaAJAXer->parent_id,
		$SawannaAJAXer->current_id,
		$SawannaAJAXer->current_parent_id,
		$SawannaAJAXer->display_rss_link,
		$SawannaAJAXer->new_limit,
		$SawannaAJAXer->com_limit,
		$SawannaAJAXer->get,
		$SawannaAJAXer->message
		);
}
?>