<?php
####################################################################
# NOTE! A `component` property is a template component name.
####################################################################
defined("SAWANNA") or die();

class CTinyMCEfull extends CSawanna 
{
	var $language;
	var $component;
	var $db;
	
	function CTinyMCEfull()
	{
		$this->language=null;
		$this->component='node';
		$this->db=null;
	}
	
	function build()
	{
		$html='';
		$html.='<table width="100%"><tr><td width="100%"><span style="font-size:11px;font-family:Tahoma">[string]editor_text[/string]</span></td></tr><tr><td align="center" valign="top" style="padding-top:30px">';
		$html.='<textarea name="tinyMCEfullEditor" id="tinyMCEfullEditor" cols="70" rows="15"></textarea>';
		$html.='</td></tr><tr><td align="center" style="padding-top:30px"><input type="button" onclick="pasteContent()" value="[string]paste_to_editor[/string]" style="width:250px;border:1px solid #000000" />&nbsp;<input type="button" onclick="getContent()" value="[string]paste_to_page[/string]" style="width:250px;border:1px solid #000000" /></td></tr></table>';
		
		$html.=parent::build_wysiwyg('tinyMCEfullEditor','alter',$this->component);
		
		echo $html;
	}
}


function editorFull_init($env)
{
	global $tinyMCEfull;
	
	$tinyMCEfull=new CTinyMCEfull();
	$tinyMCEfull->language=&$env['language'];
	$tinyMCEfull->db=&$env['db'];
}

function editorFull_exec()
{
	global $tinyMCEfull;
	
	$tinyMCEfull->build();
}

function editorFull_clear()
{
	global $tinyMCEfull;
	
	unset(
		$tinyMCEfull->language,
		$tinyMCEfull->db
		);
}
?>
