<?php
defined("SAWANNA") or die();

$editor_name='WYSIWYG';
$editor_description='Powered by TinyMCE';


$editor_common_html='<script language="javascript" type="text/javascript" src="'.HOME.'/addons/editor/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>';
$editor_common_html.='<script language="JavaScript">';
$editor_common_html.="tinyMCE.init({";
$editor_common_html.="theme : 'advanced',";
$editor_common_html.="mode : 'exact',";
$editor_common_html.="language : '<lng>',";
$editor_common_html.="elements : '<id>',";
$editor_common_html.="content_css : '".HOME."/theme/<theme>/main.css',";
$editor_common_html.="extended_valid_elements : 'a[href|target|name]',";
$editor_common_html.="plugins : 'table,media,paste,preview',";
$editor_common_html.="theme_advanced_toolbar_location : 'top',";
$editor_common_html.="theme_advanced_buttons1_add : 'fontsizeselect',";
$editor_common_html.="theme_advanced_buttons2_add : 'media,forecolor,backcolor,pastetext,pasteword,separator,preview',";
$editor_common_html.="theme_advanced_buttons3_add_before : 'tablecontrols,separator',";
$editor_common_html.="theme_advanced_styles : 'Header 1=header1;Header 2=header2;Header 3=header3;Table Row=tableRow',";
$editor_common_html.="convert_urls : false ,";
$editor_common_html.="force_br_newlines : true ,";
$editor_common_html.="force_p_newlines: false ,";
$editor_common_html.="theme_advanced_path_location : 'bottom',";
$editor_common_html.="theme_advanced_resize_horizontal : false,";
$editor_common_html.="theme_advanced_resizing : true,";
$editor_common_html.="debug : false";
$editor_common_html.="});";
$editor_common_html.='</script>';	

$editor_alter_html='<script language="javascript" type="text/javascript" src="'.HOME.'/addons/editor/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>';
$editor_alter_html.='<script language="JavaScript">';
$editor_alter_html.="tinyMCE.init({";
$editor_alter_html.="theme : 'advanced',";
$editor_alter_html.="mode : 'exact',";
$editor_alter_html.="language : '<lng>',";
$editor_alter_html.="elements : '<id>',";
$editor_alter_html.="content_css : '".HOME."/theme/<theme>/main.css',";
$editor_alter_html.="extended_valid_elements : 'a[href|target|name]',";
$editor_alter_html.="plugins : 'table,paste,fullscreen,preview',";
$editor_alter_html.="theme_advanced_buttons1_add : 'fontsizeselect',";
$editor_alter_html.="theme_advanced_buttons2_add : 'forecolor,backcolor,pastetext,pasteword,separator,preview',";
$editor_alter_html.="theme_advanced_buttons3_add_before : 'tablecontrols,separator',";
$editor_alter_html.="theme_advanced_buttons3_add : 'separator,fullscreen',";
$editor_alter_html.="theme_advanced_styles : 'Header 1=header1;Header 2=header2;Header 3=header3;Table Row=tableRow',";
$editor_alter_html.="convert_urls : false ,";
$editor_alter_html.="force_br_newlines : true ,";
$editor_alter_html.="force_p_newlines: false ,";
$editor_alter_html.="debug : false";
$editor_alter_html.="});";
$editor_alter_html.='function getContent() { var inst = tinyMCE.getInstanceById("tinyMCEfullEditor"); parent.document.getElementById("<component>").innerHTML=inst.getBody().innerHTML.replace(\'[break]\',\'<!--[break]-->\'); };';
$editor_alter_html.='function pasteContent() { document.getElementById("tinyMCEfullEditor").value=parent.document.getElementById("<component>").innerHTML.replace(\'<!--[break]-->\',\'[break]\'); tinyMCE.updateContent("tinyMCEfullEditor") };';
$editor_alter_html.='alert(\'[string]editor_warning[/string]\');';
$editor_alter_html.='</script>';
		
$editor_langs=array();
foreach ($this->language->languages as $lng=>$lng_name)
{
	if (file_exists(ROOT_DIR."/addons/editor/tinymce/jscripts/tiny_mce/langs/".$lng.".js")) {
		$editor_langs[]=$lng;
	}
}


$editor_global=array(
					'sawanna_ajax_components' => array(
													   'wysiwyg'      =>  'editor/index.php',
													   'editorFull'  =>  'editor/full.php'
														),
					'sawanna_admin_components' => array(
													    'wysiwyg',
														'editorFull'
														),
					'sawanna_admin_panel_elements' => array(
														'wysiwyg' => array(
																			'name' => 'wysiwyg',
																			'desc' => '[string]visual_editor[/string]',
																			'btn' => HOME.'/sawanna/images/wysiwyg.gif',
																			'winWidth' => '700px',
																			'winHeight' => '500px',
																			'winTitle' => '[string]wysiwyg[/string]',
																			'url' => 'ajax/wysiwyg',
																			'workspace' => array('public','article')
																			)
															),
					'sawanna_wysiwyg' => array(
											'common' => $editor_common_html,
											'alter' => $editor_alter_html
											),
					'sawanna_wysiwyg_langs' => $editor_langs
					);
?>