<?php
error_reporting(E_WARNING);
header("Content-type: text/html; charset=utf-8");
define("SAWANNA",1);

//-------------------------Checking template--------------------------------------
define('SAWANNA_INSTALLER',1);
require_once('./sawanna/config.php');
require_once('./sawanna/global.php');

foreach ($sawanna_workspaces[ADMIN_WORKSPACE] as $component_name => $component_elements)
{
	if (in_array('welcome',$component_elements))
	{
		$component=$component_name;
	}
}

if (!isset($component)) die('Global settings file corrupted.');


$themes_dir=opendir('./theme');
$themes=array();		
while (($file=readdir($themes_dir))!==false) {
	if (
	 is_dir('./theme/'.quotemeta($file)) 
	 && $file!='.' 
	 && $file!='..' 
	 && file_exists('./theme/'.quotemeta($file).'/'.$sawanna_templates[ADMIN_WORKSPACE].'.tpl')
	 )
	 {
		$themes[]=$file;
	 }
}		

closedir($themes_dir);
if (empty($themes)) die('It must be at least one theme exist');

$theme=(in_array('default',$themes)) ? 'default' : $themes[0];

//--------------------------Checking languages--------------------------------
if (!isset($sawanna_languages)) die('Global settings file corrupted.');


$langpack_dir=opendir('./language');
		
while (($file=readdir($langpack_dir))!==false) {
	if (
	 is_dir('./language/'.quotemeta($file)) 
	 && $file!='.' 
	 && $file!='..' 
	 && file_exists('./language/'.quotemeta($file).'/lang.php')
	 && file_exists('./language/'.quotemeta($file).'/agreement.html')
	 && file_exists('./language/'.quotemeta($file).'/forgot_password.html')
	 && file_exists('./language/'.quotemeta($file).'/registration.html')
	 )
	 {
		if (isset($language_name,$language_words)) 
		{
			unset($language_name,$language_words);
		}
		require('./language/'.quotemeta($file).'/lang.php');
		
		if (isset($language_name,$language_words) && is_array($language_words))
		{
			$sawanna_languages[$file]=$language_name;
		}
	 } 	
}

closedir($langpack_dir);
if (empty($sawanna_languages)) die('It must be at least one language package exist');

//-----------------------------First step------------------------------------------

require_once('./sawanna/language.inc.php');
require_once('./sawanna/user.inc.php');

$db=null;
$language=new CLanguage($db);
if (!isset($_POST['lang']) || !array_key_exists($_POST['lang'],$sawanna_languages))
{
	$language->current=key($sawanna_languages);
} else
{
	$language->current=$_POST['lang'];
}

if (isset($language_name,$language_words)) 
{
	unset($language_name,$language_words);
}
require('./language/'.quotemeta($language->current).'/lang.php');
$language->words=&$language_words;

$template=file_get_contents('./theme/'.quotemeta($theme).'/'.$sawanna_templates[ADMIN_WORKSPACE].'.tpl');
$html='';

if (isset($_POST['DB_TYPE']) && $_POST['DB_TYPE'] == 'SQLite')
{
	$_POST['DB_NAME']='';
	$_POST['DB_USER']='';
	$_POST['DB_PASS']='';
}

if (isset($_POST['ROOT_DIR'],$_POST['SITE_HOST'],$_POST['DB_TYPE'],$_POST['DB_HOST'],$_POST['DB_NAME'],$_POST['DB_USER'],$_POST['DB_PASS'],$_POST['DB_PREFIX'],$_POST['admin_login'],$_POST['admin_password'],$_POST['admin_password_re']))
{
	if (!empty($_POST['ROOT_DIR']) && !empty($_POST['DB_TYPE']) && !empty($_POST['DB_HOST']) && (($_POST['DB_TYPE']=='MySQL' && !empty($_POST['DB_NAME']) && !empty($_POST['DB_USER'])) || $_POST['DB_TYPE']=='SQLite') && !empty($_POST['DB_PREFIX']) && !empty($_POST['admin_login']) && !empty($_POST['admin_password']) && !empty($_POST['admin_password_re']))
	{
		if ($_POST['admin_password'] == $_POST['admin_password_re'])
		{
			if (CUser::validate_word($_POST['admin_login'],3,64))
			{
				if (CUser::validate_word($_POST['admin_password'],6,255))
				{
					$site_host_dist=(isset($_POST['SITE_HOST']) && !empty($_POST['SITE_HOST'])) ? "\$_SERVER['HTTP_HOST'].'/".$_POST['SITE_HOST']."'" : "\$_SERVER['HTTP_HOST']";
					
					$settings_dist="<?php\n";
					$settings_dist.="defined('SAWANNA') or die();\n\n";
					$settings_dist.="define('ROOT_DIR','".$_POST['ROOT_DIR']."');\n";
					$settings_dist.="define('SITE_HOST',$site_host_dist);\n";
					$settings_dist.="define('PROTOCOL',\$_SERVER['SERVER_PORT']==443 ? 'https' : 'http');\n";
					$settings_dist.="define('HOME',PROTOCOL.'://'.SITE_HOST);\n\n";
					$settings_dist.="define('DB_TYPE','".$_POST['DB_TYPE']."');\n";
					$settings_dist.="define('DB_HOST','".$_POST['DB_HOST']."');\n";
					if (!empty($_POST['DB_NAME']))
					$settings_dist.="define('DB_NAME','".$_POST['DB_NAME']."');\n";
					if (!empty($_POST['DB_USER']))
					$settings_dist.="define('DB_USER','".$_POST['DB_USER']."');\n";
					if ($_POST['DB_TYPE'] != 'SQLite')
					$settings_dist.="define('DB_PASS','".$_POST['DB_PASS']."');\n";
					$settings_dist.="define('DB_PREFIX','".str_replace('-','_',$_POST['DB_PREFIX'])."');\n";
					$settings_dist.="?>";
					
					$settings_file=fopen('./settings.php','wb');
					if (!fwrite($settings_file,$settings_dist))
					{
						$error='[string]could_not_write_settings[/string]';
					}
					fclose($settings_file);
				} else 
				{
					$error.='[string]invalid_password[/string]';
				}
			} else 
			{
				$error='[string]invalid_login[/string]';
			}
		} else 
		{
			$error='[string]passwords_does_not_match[/string]';
		}
	} else 
	{
		$error='[string]all_fields_are_required[/string]';
	}
}

require_once("./settings.php");
$dirname=str_replace('\\','/',dirname(__FILE__));
$path=$_SERVER['DOCUMENT_ROOT']!=$dirname ? str_replace($_SERVER['DOCUMENT_ROOT'].'/','',$dirname) : '';

if (!defined('ROOT_DIR') || !defined('SITE_HOST') || !defined('HOME') || !defined('DB_TYPE') || !defined('DB_HOST') || (DB_TYPE!='SQLite' && (!defined('DB_NAME') || !defined('DB_USER') || !defined('DB_PASS'))) || !defined('DB_PREFIX'))
{
	$html.= '<table width="100%" height="100%"><tr><td width="100%" height="100%" align="center">';
	$html.= '<h3 align="left">[string]installation_wizzard[/string]</h3>';
	if (!is_writable('./settings.php'))
	{
		$error='[string]settings_file_not_writable[/string]';
	}
	$html.='<form name="language_selector" method="POST" action="install.php"><span>[string]choose_language[/string] : </span><select name="lang" style="width:100px" onchange="document.all.language_selector.submit()">';
	foreach($sawanna_languages as $lang_code => $lang_name)
	{
		if ($lang_code == $language->current)
			$html.='<option value="'.$lang_code.'" selected>'.$lang_name.'</option>';
		else 
			$html.='<option value="'.$lang_code.'">'.$lang_name.'</option>';
	}
	$html.='</select></form>';
	
	$root_dir=(isset($_POST['ROOT_DIR'])) ? $_POST['ROOT_DIR'] : dirname(__FILE__);
	$site_host=(isset($_POST['SITE_HOST'])) ? $_POST['SITE_HOST'] : $path;
	$db_type=(isset($_POST['DB_TYPE'])) ? $_POST['DB_TYPE'] : '';
	$db_host=(isset($_POST['DB_HOST'])) ? $_POST['DB_HOST'] : 'localhost';
	$db_name=(isset($_POST['DB_NAME'])) ? $_POST['DB_NAME'] : '';
	$db_user=(isset($_POST['DB_USER'])) ? $_POST['DB_USER'] : '';
	$db_pass=(isset($_POST['DB_PASS'])) ? $_POST['DB_PASS'] : '';
	$db_prefix=(isset($_POST['DB_PREFIX'])) ? $_POST['DB_PREFIX'] : 'pre';
	$admin_login=(isset($_POST['admin_login'])) ? $_POST['admin_login'] : '';
	
	$html.='<div class="section">[string]configuration[/string]</div>';
	$html.='<form method="POST" action="install.php"><input type="hidden" name="lang" value="'.$language->current.'" /><table>';
	$html.='<tr><td><span>[string]root_dir[/string] : </span></td><td><input type="text" value="'.$root_dir.'" name="ROOT_DIR" style="width:250px" /></td></tr>';
	$html.='<tr><td><span>[string]site_host[/string] : <b>'.$_SERVER['HTTP_HOST'].'<font color="red">&nbsp;/&nbsp;</font></b></span></td><td><input type="text" value="'.$site_host.'" name="SITE_HOST" style="width:250px" /></td></tr>';
	$html.='<tr><td>&nbsp;</td><td>&nbsp;</td></tr>';
	$html.='<tr><td><span>[string]db_type[/string] : </span></td><td><select name="DB_TYPE" style="width:100px" onchange="if(this.options[this.selectedIndex].value==\'SQLite\'){document.all.DB_HOST.value=\''.$_SERVER['DOCUMENT_ROOT'].'/../data.db\';document.all.DB_NAME.disabled=true;document.all.DB_USER.disabled=true;document.all.DB_PASS.disabled=true;}else{document.all.DB_HOST.value=\'localhost\';document.all.DB_NAME.disabled=false;document.all.DB_USER.disabled=false;document.all.DB_PASS.disabled=false;}">';
	if ($db_type=='MySQL')
	{
		$html.='<option value="MySQL" selected>MySQL</option>';
	} else
	{
		$html.='<option value="MySQL">MySQL</option>';
	}
	if ($db_type=='SQLite')
	{
		$html.='<option value="SQLite" selected>SQLite</option></select></td></tr>';
	} else
	{
		$html.='<option value="SQLite">SQLite</option></select></td></tr>';
	}
	$html.='<tr><td><span>[string]db_host[/string] : </span></td><td><input type="text" value="'.$db_host.'" name="DB_HOST" style="width:250px" /></td></tr>';
	$html.='<tr><td><span>[string]db_name[/string] : </span></td><td><input type="text" value="'.$db_name.'" name="DB_NAME" style="width:250px" /></td></tr>';
	$html.='<tr><td><span>[string]db_user[/string] : </span></td><td><input type="text" value="'.$db_user.'" name="DB_USER" style="width:250px" /></td></tr>';
	$html.='<tr><td><span>[string]db_pass[/string] : </span></td><td><input type="text" value="'.$db_pass.'" name="DB_PASS" style="width:250px" /></td></tr>';
	$html.='<tr><td><span>[string]db_prefix[/string] : </span></td><td><input type="text" value="'.$db_prefix.'" name="DB_PREFIX" style="width:100px" /></td></tr>';
	$html.='<tr><td>&nbsp;</td><td>&nbsp;</td></tr>';
	$html.='<tr><td><span>[string]admin_login[/string] : </span></td><td><input type="text" value="'.$admin_login.'" name="admin_login" style="width:100px" /></td></tr>';
	$html.='<tr><td><span>[string]admin_pass[/string] : </span></td><td><input type="password" value="" name="admin_password" style="width:100px" /></td></tr>';
	$html.='<tr><td><span>[string]admin_pass_re[/string] : </span></td><td><input type="password" value="" name="admin_password_re" style="width:100px" /></td></tr>';
	$html.='<tr><td>&nbsp;</td><td>&nbsp;</td></tr>';
	$html.='<tr><td></td><td><input type="submit" value="[string]send[/string]" style="width:100px" /></td></tr>';
	$html.='</table></form><br /><br />';
	$html.= '</td></tr></table>';
	
	out();
	exit();
}

//-----------------------------------Final step------------------------------------

$sql=array();
$pre=DB_PREFIX;
$admin_login=$_POST['admin_login'];
$admin_password=CUser::crypt_password($_POST['admin_password']);
$admin_mail='info@'.SITE_HOST;
$home=HOME;
$default_language=$language->current;
$time=time();

switch (DB_TYPE)
{
	case 'MySQL':
		include_once('./sawanna/mysql.inc.php');	

$sql[]=<<<SQL
CREATE TABLE `{$pre}_users` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NULL ,
`login` VARCHAR( 64 ) NOT NULL ,
`passwd` VARCHAR( 32 ) NOT NULL ,
`mail` VARCHAR( 255 ) NOT NULL ,
`info` VARCHAR( 255 ) NULL,
`joined` INT( 10 ) NOT NULL ,
`group_id` TINYINT( 2 ) ,
`gender` char(1) default NULL,
`dob` varchar(255) default NULL,
`country` varchar(255) default NULL,
`icq` varchar(255) default NULL,
`msn` varchar(255) default NULL,
`skype` varchar(255) default NULL,
`active` TINYINT( 1 ) ,
PRIMARY KEY ( `id` )
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_session` (
`id` VARCHAR( 32 ) NOT NULL ,
`value` TEXT,
`regtime` INT( 10 ) NOT NULL ,
UNIQUE (
`id` 
)
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_log` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`ip` VARCHAR( 255 ) NOT NULL ,
`referer` VARCHAR( 255 ) NOT NULL ,
`query` VARCHAR( 255 ) NOT NULL ,
`user_agent` VARCHAR( 255 ) NOT NULL ,
`status` CHAR( 3 ) NOT NULL ,
`access_time` INT( 10 ) NOT NULL ,
PRIMARY KEY ( `id` ) 
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_nodes` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NOT NULL ,
`content` TEXT NOT NULL ,
`language` CHAR( 4 ) NOT NULL ,
`author_id` INT( 10 ) NOT NULL ,
`published` INT( 10 ) NOT NULL ,
`keywords` VARCHAR( 255 ) ,
`workspace` VARCHAR( 255 ) NOT NULL ,
`link` VARCHAR( 255 ) NOT NULL ,
`mark` VARCHAR( 255 ) ,
`access` TINYINT( 1 ) NOT NULL ,
PRIMARY KEY ( `id` ) 
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_navigation` (
`id` INT( 4 ) NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NOT NULL ,
`language` CHAR( 4 ) NOT NULL ,
`parent` INT( 4 ) NOT NULL ,
`link` VARCHAR( 255 ) NOT NULL ,
`mark` VARCHAR( 255 ) NOT NULL ,
`weight` TINYINT( 3 ) NOT NULL ,
`access` TINYINT( 1 ) NOT NULL ,
PRIMARY KEY ( `id` ) 
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_blocks` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`code` TEXT NOT NULL ,
`component` VARCHAR( 255 ) NOT NULL ,
`page` VARCHAR( 255 ) ,
`weight` TINYINT( 3 ) NOT NULL ,
`mark` VARCHAR( 255 ) ,
PRIMARY KEY ( `id` ) 
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_configuration` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NOT NULL ,
`value` VARCHAR( 255 ) NOT NULL ,
`mark` VARCHAR( 255 ) ,
PRIMARY KEY ( `id` ) 
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
CREATE TABLE `{$pre}_global` (
`id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NOT NULL ,
`value` BLOB NOT NULL ,
`mark` VARCHAR( 255 ) ,
PRIMARY KEY ( `id` ) 
) CHARACTER SET utf8 COLLATE utf8_general_ci;
SQL;

$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"THEME","default",null),
(null,"CHECK_IF_COOKIES_ENABLED","0",null),
(null,"CLEAN_URL","0",null),
(null,"ALLOW_USER_REGISTER","0",null),
(null,"GZIP_OUT","0",null),
(null,"SESSION_EMULATE","0",null),
(null,"SESSION_LIFE_TIME","3600",null),
(null,"DEFAULT_LANGUAGE","{$default_language}",null),
(null,"ADMIN_MAIL","info@{$_SERVER['HTTP_HOST']}",null),
(null,"SEND_MAIL_FROM","support@{$_SERVER['HTTP_HOST']}",null),
(null,"SEND_MAIL_FROM_NAME","{$_SERVER['HTTP_HOST']}",null),
(null,"USER_E_MAIL_CHECK","1",null),
(null,"SITE_NAME","Sawanna",null),
(null,"ALLOW_COMMENTS","0",null),
(null,"COMMENTS_APPROVE","1",null),
SQL;
foreach ($sawanna_languages as $lang=>$lang_name)
{
	$sql[count($sql)-1].='(null,"SITE_SLOGAN","Reservation of power and simplicity","'.$lang.'"),';
}
$sql[count($sql)-1].='(null,"SITE_LOGO","sawanna/images/logo.gif",null);';

$sql[]="INSERT INTO {$pre}_global VALUES (null,'sawanna_languages','".serialize(array($language->current=>$sawanna_languages[$language->current]))."','')";

$sql[]=<<<SQL
INSERT INTO {$pre}_users VALUES (
NULL ,
'Administrator',
'{$admin_login}' ,
'{$admin_password}' ,
'{$admin_mail}' ,
'',
'{$time}' ,
'1' ,
'',
'',
'',
'',
'',
'',
'1'
);
SQL;


switch ($language->current)
{
	case 'ru':
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'Главная', 'ru', 0, 'public/home', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'Статьи', 'ru', 0, 'article', '', 1, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'Моя первая статья', 'ru', 2, 'article/first-article', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'Новости', 'ru', 0, 'news', '', 2, 1);
SQL;

		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'Главная страница', '<STRONG><FONT color="#993300">Добро пожаловать на Ваш новый веб-сайт !</FONT></STRONG><BR>Спасибо, что выбрали <STRONG>Sawanna CMS</STRONG>, как систему управления своим сайтом.<BR><BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV><BR><BR>Это образец страницы созданный для Вас Sawann''ой во время процесса установки.<BR>Вы сможете удалить его или отредактировать после того как авторизуетесь как администратор.<BR>Но сначала, Вам следует проверить настройки конфигурации <STRONG>Sawanna</STRONG>, которые во время установки были выставлены на минимум.<BR>После чего, возможно, Вы захотите включить некоторые дополнительные плагины для <STRONG>Sawanna</STRONG>.<BR>Вы можете сделать это в административной части <STRONG>Sawanna CMS</STRONG>.<BR><P>Если Вы испытываете трудности с эксплуатацией <STRONG>Sawanna CMS</STRONG>, посетите <A href="http://forum.sawanna.org" mce_href="http://forum.sawanna.org" target="_blank"><STRONG>форум поддержки Sawanna CMS</STRONG></A>. Вы также можете задать свои вопросы на <A href="http://sawanna.org" mce_href="http://sawanna.org" target="_blank"><STRONG>сайте Sawanna CMS</STRONG></A>, воспользовавшись обратной связью.<BR></P><P><STRONG>Желаем удачи !</STRONG></P>', 'ru', 1, '$time', '', 'public', 'home', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'Моя первая статья', 'Это пример статьи, созданный для Вас инсталлятором.<BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV>Обратите внимание, что данная статья имеет родитель под именем "article", расположенного в корне Вашего сайта. Это особая область зарезервированная для отображения последних опубликованных статей и предназначена для отделения статей от остального контента.<BR>[break]<BR>Используйте тег [break] для отделения части статьи, которая будет выведена как превью на главной странице.<BR>', 'ru', 1, '$time', '', 'article', 'first-article', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'Мы открылись !', 'Сегодня начал работать наш новый веб-сайт.', 'ru', 1, '$time', '', 'news', '19/04/2009-20/25/25', 'short', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'Мы открылись !', '<p>Сегодня был пущен в эксплуатацию наш новый веб-сайт.</p><div style="text-align: center"><img src="{$home}/sawanna/images/logo.png" alt="Sawanna" width="200" height="100" /></div><br /><p>&nbsp;</p><p align="right">Наш веб-сайт с гордостью работает на <a href="http://sawanna.org" target="_blank"><strong>Sawanna CMS</strong></a>.</p>', 'ru', 1, '$time', '', 'news', '19/04/2009-20/25/25', 'full', 1);
SQL;
        		
		break;
	default:
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'Home page', 'en', 0, 'public/home', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'Articles', 'en', 0, 'article', '', 1, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'My first article', 'en', 2, 'article/first-article', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_navigation` VALUES (null, 'News', 'en', 0, 'news', '', 2, 1);
SQL;

		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'Home page', '<P><STRONG><FONT color="#993300">Welcome to your new web site !</FONT></STRONG><BR>Thank you for choosing <STRONG>Sawanna CMS</STRONG> as your site content management system.<BR><BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV><BR><BR>This is an example page created for you by <STRONG>Sawanna</STRONG> during installation.<BR>You can remove it or modify after you log in as administrator.<BR>But first of all you should check out <STRONG>Sawanna</STRONG>''s configuration settings which were set up to minimum by installator.<BR>Then maybe you will need to switch on some additional plugins for <STRONG>Sawanna</STRONG>.<BR> You can do it in <STRONG>Sawanna</STRONG>''s administrative workspace.<BR><P></P><P>If you experiense some troubles with <STRONG>Sawanna</STRONG> exploitation, please visit <A href="http://forum.sawanna.org" mce_href="http://forum.sawanna.org" target="_blank"><STRONG>Sawanna''s Forum</STRONG></A>. Also you can ask your questions using <A href="http://sawanna.org" mce_href="http://sawanna.org" target="_blank"><STRONG>Sawanna website''s</STRONG></A> feedback.</P><P><STRONG>Good luck!</STRONG></P>', 'en', 1, '$time', '', 'public', 'home', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'My first article', 'This is an example article created for you by Sawanna during installation.<BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV><BR>Please note that this article has a parent item called "article" and located in your website root.<BR>This is a special workspace reserved to display last published articles and intented to separate articles from other content.<BR> [break]<BR>Use [break]   tag to separate part of your article which will be displayed as preview in front page.<BR>', 'en', 1, '$time', '', 'article', 'first-article', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'We are opened !', 'Today our new web site was putted in operation.', 'en', 1, '$time', '', 'news', '19/04/2009-19/39/32', 'short', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO `{$pre}_nodes` VALUES (null, 'We are opened !', 'Today our new web site was putted in operation.&nbsp;<br /><br /><div style="text-align: center"><img src="{$home}/sawanna/images/logo.png" alt="Sawanna" width="200" height="100" /></div><div align="right"><br /><br />It is proudly powered by <a href="http://sawanna.org" target="_blank">Sawanna CMS</a>.<br /></div>', 'en', 1, '$time', '', 'news', '19/04/2009-19/39/32', 'full', 1);
SQL;
		
		break;
}

		break;	
	case 'SQLite':
		include_once('./sawanna/sqlite.inc.php');
$sql[]=<<<SQL
CREATE TABLE {$pre}_users (
id INTEGER NOT NULL PRIMARY KEY ,
name CHAR( 255 ) NULL ,
login CHAR( 64 ) NOT NULL ,
passwd CHAR( 32 ) NOT NULL ,
mail CHAR( 255 ) NOT NULL ,
info CHAR( 255 ) NULL,
joined INTEGER NOT NULL ,
group_id INTEGER ,
gender CHAR(1) NULL,
dob CHAR(255) NULL,
country CHAR(255) NULL,
icq CHAR(255) NULL,
msn CHAR(255) NULL,
skype CHAR(255) NULL,
active INTEGER
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_session (
id CHAR( 32 ) NOT NULL ,
value CHAR ( 10000 ),
regtime INTEGER NOT NULL ,
UNIQUE (
id 
)
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_log (
id INTEGER NOT NULL PRIMARY KEY ,
ip CHAR( 255 ) NOT NULL ,
referer CHAR( 255 ) NOT NULL ,
query CHAR( 255 ) NOT NULL ,
user_agent CHAR( 255 ) NOT NULL ,
status CHAR( 3 ) NOT NULL ,
access_time INTEGER NOT NULL
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_nodes (
id INTEGER NOT NULL PRIMARY KEY ,
name CHAR( 255 ) NOT NULL ,
content CHAR ( 10000 ) NOT NULL ,
language CHAR( 4 ) NOT NULL ,
author_id INTEGER NOT NULL ,
published INTEGER NOT NULL ,
keywords CHAR( 255 ) ,
workspace CHAR( 255 ) NOT NULL ,
link CHAR( 255 ) NOT NULL ,
mark CHAR( 255 ) ,
access INTEGER NOT NULL 
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_navigation (
id INTEGER NOT NULL PRIMARY KEY ,
name CHAR( 255 ) NOT NULL ,
language CHAR( 4 ) NOT NULL ,
parent INTEGER NOT NULL ,
link CHAR( 255 ) NOT NULL ,
mark CHAR( 255 ) NOT NULL ,
weight INTEGER NOT NULL ,
access INTEGER NOT NULL
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_blocks (
id INTEGER NOT NULL PRIMARY KEY ,
code CHAR (10000) NOT NULL ,
component CHAR( 255 ) NOT NULL ,
page CHAR( 255 ) ,
weight INTEGER NOT NULL ,
mark CHAR( 255 )
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_configuration (
id INTEGER NOT NULL PRIMARY KEY ,
name CHAR( 255 ) NOT NULL ,
value CHAR( 255 ) NOT NULL ,
mark CHAR( 255 )
);
SQL;

$sql[]=<<<SQL
CREATE TABLE {$pre}_global (
id INTEGER NOT NULL PRIMARY KEY ,
name CHAR( 255 ) NOT NULL ,
value BLOB NOT NULL ,
mark CHAR( 255 )
);
SQL;

$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"THEME","default",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"CHECK_IF_COOKIES_ENABLED","0",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"CLEAN_URL","0",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"ALLOW_USER_REGISTER","0",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"GZIP_OUT","0",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"SESSION_EMULATE","0",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"SESSION_LIFE_TIME","3600",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"DEFAULT_LANGUAGE","{$default_language}",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"ADMIN_MAIL","info@{$_SERVER['HTTP_HOST']}",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"SEND_MAIL_FROM","support@{$_SERVER['HTTP_HOST']}",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"SEND_MAIL_FROM_NAME","{$_SERVER['HTTP_HOST']}",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"USER_E_MAIL_CHECK","1",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"SITE_NAME","Sawanna",null);
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"ALLOW_COMMENTS","0",null)
SQL;
$sql[]=<<<SQL
INSERT INTO {$pre}_configuration VALUES
(null,"COMMENTS_APPROVE","1",null)
SQL;

foreach ($sawanna_languages as $lang=>$lang_name)
{
	$sql[]='INSERT INTO '.$pre.'_configuration VALUES (null,"SITE_SLOGAN","Reservation of power and simplicity","'.$lang.'");';
}
$sql[]='INSERT INTO '.$pre.'_configuration VALUES (null,"SITE_LOGO","sawanna/images/logo.gif",null);';

$sql[]="INSERT INTO {$pre}_global VALUES (null,'sawanna_languages','".serialize(array($language->current=>$sawanna_languages[$language->current]))."','')";

$sql[]=<<<SQL
INSERT INTO {$pre}_users VALUES (
NULL ,
'Administrator',
'{$admin_login}' ,
'{$admin_password}' ,
'{$admin_mail}' ,
'',
'{$time}' ,
'1' ,
'',
'',
'',
'',
'',
'',
'1'
);
SQL;

switch ($language->current)
{
	case 'ru':
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'Главная', 'ru', 0, 'public/home', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'Статьи', 'ru', 0, 'article', '', 1, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'Моя первая статья', 'ru', 2, 'article/first-article', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'Новости', 'ru', 0, 'news', '', 2, 1);
SQL;

		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'Главная страница', '<STRONG><FONT color="#993300">Добро пожаловать на Ваш новый веб-сайт !</FONT></STRONG><BR>Спасибо, что выбрали <STRONG>Sawanna CMS</STRONG>, как систему управления своим сайтом.<BR><BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV><BR><BR>Это образец страницы созданный для Вас Sawann''ой во время процесса установки.<BR>Вы сможете удалить его или отредактировать после того как авторизуетесь как администратор.<BR>Но сначала, Вам следует проверить настройки конфигурации <STRONG>Sawanna</STRONG>, которые во время установки были выставлены на минимум.<BR>После чего, возможно, Вы захотите включить некоторые дополнительные плагины для <STRONG>Sawanna</STRONG>.<BR>Вы можете сделать это в административной части <STRONG>Sawanna CMS</STRONG>.<BR><P>Если Вы испытываете трудности с эксплуатацией <STRONG>Sawanna CMS</STRONG>, посетите <A href="http://forum.sawanna.org" mce_href="http://forum.sawanna.org" target="_blank"><STRONG>форум поддержки Sawanna CMS</STRONG></A>. Вы также можете задать свои вопросы на <A href="http://sawanna.org" mce_href="http://sawanna.org" target="_blank"><STRONG>сайте Sawanna CMS</STRONG></A>, воспользовавшись обратной связью.<BR></P><P><STRONG>Желаем удачи !</STRONG></P>', 'ru', 1, '$time', '', 'public', 'home', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'Моя первая статья', 'Это пример статьи, созданный для Вас инсталлятором.<BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV>Обратите внимание, что данная статья имеет родитель под именем "article", расположенного в корне Вашего сайта. Это особая область зарезервированная для отображения последних опубликованных статей и предназначена для отделения статей от остального контента.<BR>[break]<BR>Используйте тег [break] для отделения части статьи, которая будет выведена как превью на главной странице.<BR>', 'ru', 1, '$time', '', 'article', 'first-article', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'Мы открылись !', 'Сегодня начал работать наш новый веб-сайт.', 'ru', 1, '$time', '', 'news', '19/04/2009-20/25/25', 'short', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'Мы открылись !', '<p>Сегодня был пущен в эксплуатацию наш новый веб-сайт.</p><div style="text-align: center"><img src="{$home}/sawanna/images/logo.png" alt="Sawanna" width="200" height="100" /></div><br /><p>&nbsp;</p><p align="right">Наш веб-сайт с гордостью работает на <a href="http://sawanna.org" target="_blank"><strong>Sawanna CMS</strong></a>.</p>', 'ru', 1, '$time', '', 'news', '19/04/2009-20/25/25', 'full', 1);
SQL;
        		
		break;
	default:
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'Home page', 'en', 0, 'public/home', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'Articles', 'en', 0, 'article', '', 1, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'My first article', 'en', 2, 'article/first-article', '', 0, 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_navigation VALUES (null, 'News', 'en', 0, 'news', '', 2, 1);
SQL;

		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'Home page', '<P><STRONG><FONT color="#993300">Welcome to your new web site !</FONT></STRONG><BR>Thank you for choosing <STRONG>Sawanna CMS</STRONG> as your site content management system.<BR><BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV><BR><BR>This is an example page created for you by <STRONG>Sawanna</STRONG> during installation.<BR>You can remove it or modify after you log in as administrator.<BR>But first of all you should check out <STRONG>Sawanna</STRONG>''s configuration settings which were set up to minimum by installator.<BR>Then maybe you will need to switch on some additional plugins for <STRONG>Sawanna</STRONG>.<BR> You can do it in <STRONG>Sawanna</STRONG>''s administrative workspace.<BR><P></P><P>If you experiense some troubles with <STRONG>Sawanna</STRONG> exploitation, please visit <A href="http://forum.sawanna.org" mce_href="http://forum.sawanna.org" target="_blank"><STRONG>Sawanna''s Forum</STRONG></A>. Also you can ask your questions using <A href="http://sawanna.org" mce_href="http://sawanna.org" target="_blank"><STRONG>Sawanna website''s</STRONG></A> feedback.</P><P><STRONG>Good luck!</STRONG></P>', 'en', 1, '$time', '', 'public', 'home', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'My first article', 'This is an example article created for you by Sawanna during installation.<BR><DIV style="text-align: center"><IMG src="{$home}/sawanna/images/logo.png" mce_src="/sawanna/images/logo.png" alt="Sawanna" border="" hspace="" vspace="" width="200" height="100"></DIV><BR>Please note that this article has a parent item called "article" and located in your website root.<BR>This is a special workspace reserved to display last published articles and intented to separate articles from other content.<BR> [break]<BR>Use [break]   tag to separate part of your article which will be displayed as preview in front page.<BR>', 'en', 1, '$time', '', 'article', 'first-article', '', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'We are opened !', 'Today our new web site was putted in operation.', 'en', 1, '$time', '', 'news', '19/04/2009-19/39/32', 'short', 1);
SQL;
		$sql[]=<<<SQL
INSERT INTO {$pre}_nodes VALUES (null, 'We are opened !', 'Today our new web site was putted in operation.&nbsp;<br /><br /><div style="text-align: center"><img src="{$home}/sawanna/images/logo.png" alt="Sawanna" width="200" height="100" /></div><div align="right"><br /><br />It is proudly powered by <a href="http://sawanna.org" target="_blank">Sawanna CMS</a>.<br /></div>', 'en', 1, '$time', '', 'news', '19/04/2009-19/39/32', 'full', 1);
SQL;
		
		break;
}

		break;
}

$db=new CDatabase();
if ($db->init()) die('Sawanna is already installed !');

$db->error='';

foreach ($sql as $query)
{
	if (!$db->query($query)) $message=$db->error;
}

if (!$db->init())
{
	$settings_file=fopen('./settings.php','wb');
	fwrite($settings_file,'');
	fclose($settings_file);
	
	$error='[string]database_error[/string]';
	$html.='<table width="100%"><tr><td width="100%" align="center"><span>[string]check_database_settings[/string]</span></td></tr><tr><td align="center"><br /><br /><br /><br /><img src="'.HOME.'/sawanna/images/logo.png" width="200" height="100" /><br /><br /><br /><br /></td></tr></table>';
	$html.='<script language="JavaScript">window.setTimeout(\'window.location.href=\"'.HOME.'/install.php\";\',5000);</script>';
}

if (empty($error))
{
	$message='[string]sawanna_installed_successfully[/string]';
	$html.='<table width="100%"><tr><td width="100%" align="center"><span>[string]protect_settings_str[/string]</span></td></tr><tr><td align="center"><br /><br /><br /><br /><img src="'.HOME.'/sawanna/images/logo.png" width="200" height="100" /><br /><br /><br /><br /></td></tr></table>';
	$html.='<script language="JavaScript">window.setTimeout(\'window.location.href=\"'.HOME.'\";\',5000);</script>';
}

out();
exit();

function out()
{
	global $template,$component,$html,$message,$error,$language,$path;
	
	$protocol=$_SERVER['SERVER_PORT']==443 ? 'https' : 'http';
	$host=defined("HOME") ? HOME : !empty($path) ? $protocol.'://'.$_SERVER['HTTP_HOST'].'/'.$path : $protocol.'://'.$_SERVER['HTTP_HOST'];
	$template=str_replace('[HOST]',$host,$template);
	
	$template=str_replace("[component]title[/component]",'[string]installation_wizzard[/string]',$template);
	$content='';
	if (!empty($message)) $content.='<div id="message"><div style="padding:5px">'.$message.'</div></div>';
	if (!empty($error)) $content.='<div id="error"><div style="padding:5px">'.$error.'</div></div>';
	$template=str_replace("[component]message[/component]",$content,$template);
	
	$template=str_replace("[component]".$component."[/component]",'<div id="'.$component.'">'.$html."</div>",$template);

	$template=preg_replace('/\[component\].*\[\/component\]/','',$template);
	
	echo $language->parse_words($template);
}
?>