
function CAJAX () {
	this.varNames = new Array();
	this.varVals = new Array();
	this.varsCount=0;
	this.response=null;
	this.mode='text';
	this.method = "GET";
	this.url = "";
	this.data = null;
	this.send = CAJAX_send;
	this.setVar = CAJAX_setVar;
	this.setData = CAJAX_setData;
	this.updateReadyState = CAJAX_updateReadyState;
	this.getAnyway = false;
	
	try {
		this.xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
	} catch (error) {
		try {
			this.xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		} catch (err) {
			this.xmlhttp=false;
		}
	}
	if (!this.xmlhttp && typeof XMLHttpRequest !='undefined')
	 	this.xmlhttp=new XMLHttpRequest();
	 	
	if (!this.xmlhttp) {
		break_ajax();
	}
}

CAJAX_send = function () {
	if (this.xmlhttp.readyState!=4) this.xmlhttp.abort();
	if (this.url == null) return;
	if (this.method == "GET") {
 		this.xmlhttp.open("GET",this.url,true);
 		this.xmlhttp.onreadystatechange=this.update;
 		this.xmlhttp.send(null);
	} else if (this.method == "POST") {
		this.xmlhttp.open("POST",this.url,true);
 		this.xmlhttp.onreadystatechange=this.update;
 		this.xmlhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=utf-8");
		this.setData();
 		this.xmlhttp.send(this.data);
	}
	
}

CAJAX_setVar = function (name,value) {
		this.varNames[this.varsCount] = name;
		this.varVals[this.varsCount] = value;
		this.varsCount++;
}

CAJAX_setData = function () {
	var i;
	for (i=0;i<this.varNames.length;i++) {
		if (i==0) {
			this.data=this.varNames[i]+"="+encodeURIComponent(this.varVals[i]);
		} else {
			this.data+="&"+this.varNames[i]+"="+encodeURIComponent(this.varVals[i]);
		}
	}
}

CAJAX_updateReadyState = function () {
	if (this.xmlhttp.readyState==4 && this.xmlhttp.status==200) { 
		if (this.mode == 'text')
		{
			this.response=this.xmlhttp.responseText;
		} else if (this.mode == 'json')
		{
			this.response=eval( "(" + this.xmlhttp.responseText + ")" );
		} else if (this.mode == 'exec')
		{
			this.response=1;
			if (this.xmlhttp.responseText.length > 0)
			{
				eval( "(" + this.xmlhttp.responseText + ")" );
			}
		}
	} else if (this.xmlhttp.readyState==4)
	{
		if (this.getAnyway && navigator.appName!="Netscape")
		{
			this.send();
		}
	}
}
