
var Mouse = {
	x:0,
	y:0,
	getPos:function (event) 
	{
		try 
		{
			// Internet Explorer & Opera
			this.x = window.event.clientX + (document.documentElement.scrollLeft ? document.documentElement.scrollLeft : document.body.scrollLeft);
        	this.y = window.event.clientY + (document.documentElement.scrollTop ? document.documentElement.scrollTop : document.body.scrollTop);
		} catch (e) 
		{
			// Gecko
			this.x = event.clientX + window.scrollX;
	        this.y = event.clientY + window.scrollY;
		}
	},
	init:function () 
	{
		document.onmousemove=function (event) 
		{
			var event = event || window.event;
			Mouse.getPos(event);
		}
	}
}

var Popup = {
	elements:null,
	elems:null,
	div:null,
	timer:null,
	dx:15,
	dy:-10,
	init:function (element) 
	{
		Mouse.init();
		
		this.elements=new Array("span","img");
		this.elems=new Array();
		
		this.div=document.createElement("div");
		this.div.style.position="absolute";
		this.div.style.zIndex=100;
		this.div.style.fontFamily="Arial";
		this.div.style.fontSize="10px";
		this.div.style.textAlign="center";
		this.div.style.lineHeight="16px";
		this.div.style.border="1px solid #000000";
		this.div.style.background="#EFEDDE";
		this.div.style.whiteSpace="nowrap";
		this.div.style.padding="3px";
		this.div.style.display="none";
		document.body.appendChild(this.div);
		
		if (isNaN(element))
		{
			var alt,e,i;
			for (e=0;e<Popup.elements.length;e++) 
			{
				Popup.elems=document.getElementsByTagName(Popup.elements[e]);
				
				for (i=0;i<Popup.elems.length;i++) 
				{
					if (alt=Popup.elems[i].getAttribute("name")) 
					{
						if (alt.indexOf("popup:")==0) {
							Popup.elems[i].onmouseover=function () 
							{
								var _alt=this.getAttribute("name");
								_alt=_alt.substr(6,_alt.length-6);
								Popup.show(_alt);
							}
						}
					}
				}
				
				for (i=0;i<Popup.elems.length;i++) 
				{
					if (alt=Popup.elems[i].getAttribute("name")) 
					{
						if (alt.indexOf("popup:")==0) 
						{
							Popup.elems[i].onmousemove=function () 
							{
								var _alt=this.getAttribute("name");
								_alt=_alt.substr(6,_alt.length-6);
								Popup.hide();
								Popup.show(_alt);
							}
						}
					}
				}
				
				for (i=0;i<Popup.elems.length;i++) 
				{
					if (alt=Popup.elems[i].getAttribute("name")) 
					{
						if (alt.indexOf("popup:")==0) 
						{
							Popup.elems[i].onmouseout=function () 
							{
								Popup.timer=setTimeout('Popup.hide()',50);
							}
						}
					}
				}
			
			}
		} else
		{
			if (alt=element.getAttribute("name")) 
			{
				if (alt.indexOf("popup:")==0) {
					element.onmouseover=function () 
					{
						var _alt=this.getAttribute("name");
						_alt=_alt.substr(6,_alt.length-6);
						Popup.show(_alt);
					}
				}
			}
			
			if (alt=element.getAttribute("name")) 
			{
				if (alt.indexOf("popup:")==0) 
				{
					element.onmousemove=function () 
					{
						var _alt=this.getAttribute("name");
						_alt=_alt.substr(6,_alt.length-6);
						Popup.hide();
						Popup.show(_alt);
					}
				}
			}
			
			if (alt=element.getAttribute("name")) 
			{
				if (alt.indexOf("popup:")==0) 
				{
					element.onmouseout=function () 
					{
						Popup.timer=setTimeout('Popup.hide()',50);
					}
				}
			}
		}
	},
	show:function (text) 
	{
		if (this.timer != null) return;
		this.div.innerHTML="";
		this.div.appendChild(document.createTextNode(text));
		
		if (Mouse.x+this.dx<document.body.clientWidth-text.length*6)
			this.div.style.left=Mouse.x+this.dx;
		else this.div.style.left=Mouse.x-text.length*6-10;
		
		this.div.style.top=Mouse.y+this.dy;
		this.div.style.display="";
	},
	hide:function () 
	{
		this.div.innerHTML="";
		this.div.style.display="none";
		this.timer=null;
	}
}

Popup.init();
