<?php
defined("SAWANNA") or die();

class CArticleAdmin extends CSawanna 
{
	var $db;
	var $session;
	var $language;
	var $user;
	var $workspace;
	var $query;
	var $message;
	var $error;
	var $_workspace;
	var $node;
	var $navigator;
	var $tpl;
	var $utf8;
	var $component;
	var $limit;
	var $get;
	
	function CArticleAdmin()
	{
		$this->db=null;
		$this->session=null;
		$this->language=null;
		$this->user=null;
		$this->workspace='';
		$this->query='';
		$this->message='';
		$this->error='';
		$this->_workspace='article';
		$this->node=null;
		$this->navigator=null;
		$this->tpl=null;
		$this->utf8=null;
		$this->component='node';
		$this->limit=10;
		$this->get=(isset($_GET['get']) && !empty($_GET['get']) && is_numeric($_GET['get']) && $_GET['get']>0 ) ? $_GET['get'] : 1;
	}
	
	function build_linker()
	{
		$html='<div align="left" style="padding:10px">';
		
		if (isset($_GET['act']) && $_GET['act'] == 'show')
		{
			$html.='&nbsp;&nbsp;&nbsp;'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=article&act=create','<img src="'.HOME.'/sawanna/images/create.png" width="20" height="20" border="0" align="absmiddle" hspace="5" /><b>[string]create_article[/string]</b>');
		}
		$html.='<div style="border-bottom:1px solid #000000">&nbsp;</div><br />';
		
		$current=(intval($this->get)-1)*$this->limit+1;
		$co=0;
		$result=$this->node->get(array('workspace'=>$this->_workspace,'mark'=>''));
		while($node=$this->db->fetch_array($result))
		{
			$co++;
			if ($co<$current) continue;
			
			$html.='<div style="height:20px">'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=article&act=edit&link='.$node['link'],'<img src="'.HOME.'/sawanna/images/edit.png" width="20" height="20" title="[string]edit[/string]" border="0" align="absmiddle" />').'&nbsp;&nbsp;'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=article&act=del&link='.$node['link'],'<img src="'.HOME.'/sawanna/images/delete.png" width="20" height="20" title="[string]delete[/string]" border="0" align="absmiddle" />').'&nbsp;&nbsp;'.$node['name'].'</div>';

			if ($co>=$this->limit+$current-1) break;
		}
		
		$count=$this->db->num_rows($result);
		if ($count > $this->limit)
		{
			$html.='<br /><br />';
			$html.=parent::build_limiter($count,$this->limit,ADMIN_WORKSPACE.'/&component=article&act=show',$this->get,true);
		}
		
		$html.='</div>';
		
		echo $html;
	}
	
	function build_create_form()
	{
		$html='';
		$script='';
		
		$elems=array(
					'text',
					'text',
					'custom',
					'text',
					'text',
					'textarea',
					'checkbox',
					'text',
					'custom',
					'submit'
					);
					
		$desc=array(
					'[string]link_name[/string]',
					'[string]link_text[/string]',
					'[string]parent[/string]',
					'[string]weight[/string]',
					'[string]title[/string]',
					'',
					'[string]paste_from_page[/string]',
					'[string]keywords[/string]',
					'[string]access[/string]',
					' '
					);
		
		$attr=array(
					'name="link_name" style="width:100px"',
					'name="link_text" style="width:100px"',
					'',
					'name="weight" style="width:100px" value="0"',
					'name="title" style="width:250px"',
					'name="content" cols="40" rows="12" style="width:570px"',
					'name="paste" onclick="if (this.checked==true) document.all.content.value=document.getElementById(\''.$this->component.'\').innerHTML.replace(\'<!--[break]-->\',\'[break]\'); else document.all.content.value=\'\';"',
					'name="keywords" style="width:200px"',
					'',
					'value="[string]send[/string]"'
					);
			
		
		$tree=$this->build_navigator_tree();
				
		$parent='<select name="parent" style="width:250px">';
		$parent.='<option value="0">[string]root[/string]</option>';
		foreach($tree as $id=>$name)
		{
			$parent.='<option value="'.$id.'">'.$name.'</option>';
		}
		$parent.="</select>";
		
		
		$custom=array(
					'',
					'',
					$parent,
					'',
					'',
					'',
					'',
					'',
					'<select name="access" style="width:200px"><option value="1">[string]full_access[/string]</option><option value="2">[string]user_access[/string]</option><option value="0">[string]no_access[/string]</option></select>'
					);
					
		$html.='<div style="width:100%;height:450px;overflow:hidden">'.parent::build_form(ADMIN_WORKSPACE.'/&component=article&act=docreate',$elems,600,$desc,$attr,$custom,'',false,'articleCreateForm').'</div>';
		
		$script.="document.all.link_text.onkeypress=function(event) { var event=event || window.event; if ((event.keyCode < 97 || event.keyCode > 122) && (event.keyCode < 65 || event.keyCode > 90) && (event.keyCode < 48 || event.keyCode > 57) && event.keyCode != 45 && event.keyCode != 95 && event.keyCode != 8 ) event.returnValue=false; };";
		$script.="document.getElementById('articleCreateForm').onsubmit=function(event) { var event=event || window.event; for (i=0;i<document.getElementById('articleCreateForm').elements.length;i++) { document.getElementById('articleCreateForm').elements[i].style.background='#ffffff'; }; if (document.all.link_name.value.length == 0) { document.all.link_name.style.background='#FA7581'; event.returnValue=false; }; if (document.all.link_text.value.length == 0) { document.all.link_text.style.background='#FA7581'; event.returnValue=false; }; if (document.all.title.value.length == 0) { document.all.title.style.background='#FA7581'; event.returnValue=false; }; };";
		
		echo '{html:"'.addslashes($html).'",exec:"'.addslashes($script).'"}'; 
	}
	
	function build_create_form_alt()
	{
		$link_name=isset($_POST['link_name']) ? $_POST['link_name'] : '';
		$link_text=isset($_POST['link_text']) ? $_POST['link_text'] : '';
		$weight=isset($_POST['weight']) ? $_POST['weight'] : 0;
		$title=isset($_POST['title']) ? $_POST['title'] : '';
		$content=isset($_POST['content']) ? $_POST['content'] : '';
		$keywords=isset($_POST['keywords']) ? $_POST['keywords'] : '';
		$_parent=isset($_POST['parent']) ? $_POST['parent'] : 0;
		$_access=isset($_POST['access']) ? $_POST['access'] : 1;
		
		$html='';
		
		$elems=array(
					'text',
					'text',
					'custom',
					'text',
					'text',
					'custom',
					'text',
					'custom',
					'submit'
					);
					
		$desc=array(
					'[string]link_name[/string]',
					'[string]link_text[/string]',
					'[string]parent[/string]',
					'[string]weight[/string]',
					'[string]title[/string]',
					'',
					'[string]keywords[/string]',
					'[string]access[/string]',
					' '
					);
		
		$attr=array(
					'name="link_name" style="width:100px" value="'.$link_name.'"',
					'name="link_text" style="width:100px" value="'.$link_text.'"',
					'',
					'name="weight" style="width:100px" value="'.$weight.'"',
					'name="title" style="width:250px" value="'.$title.'"',
					'',
					'name="keywords" style="width:200px" value="'.$keywords.'"',
					'',
					'value="[string]send[/string]"'
					);
			
		
		$tree=$this->build_navigator_tree();
				
		$parent='<select name="parent" style="width:250px">';
		$parent.='<option value="0">[string]root[/string]</option>';
		foreach($tree as $id=>$name)
		{
			if ($id==$_parent)
				$parent.='<option value="'.$id.'" selected>'.$name.'</option>';
			else
				$parent.='<option value="'.$id.'">'.$name.'</option>';
		}
		$parent.="</select>";
		
		$access='<select name="access" style="width:200px">';
		for ($i=0;$i<3;$i++)
		{
			switch ($i)
			{
				case 0:
					if ($_access == 1)
						$access.='<option value="1" selected>[string]full_access[/string]</option>';
					else
						$access.='<option value="1">[string]full_access[/string]</option>';
					break;
				case 1:
					if ($_access == 2)
						$access.='<option value="2" selected>[string]user_access[/string]</option>';
					else
						$access.='<option value="2">[string]user_access[/string]</option>';
					break;
				case 2:
					if ($_access == 0)
						$access.='<option value="0" selected>[string]no_access[/string]</option>';
					else
						$access.='<option value="0">[string]no_access[/string]</option>';
					break;
			}
			
		}
		$access.='</select>';
		
		
		$custom=array(
					'',
					'',
					$parent,
					'',
					'',
					'<textarea name="content" id="articlefullEditor" cols="40" rows="20" style="width:100%">'.$content.'</textarea>',
					'',
					$access
					);
					
		$html.=parent::build_form(ADMIN_WORKSPACE.'/&component=article&act=docreate',$elems,600,$desc,$attr,$custom);
		$html.=parent::build_wysiwyg('articlefullEditor');
		
		echo $html; 
	}
	
	function build_navigator_tree($parent=0,$co=0)
	{
		static $arr=array();
		
		$offset=str_repeat("-- ",$co);
		
		$result=$this->db->sub_query("select id,name,link from ".DB_PREFIX."_navigation where parent='".$this->db->escape_string($parent)."' and language='".$this->db->escape_string($this->language->current)."' order by weight");
		while($menu=$this->db->fetch_array($result))
		{
			$pos=strpos($menu['link'],'/');
			if ($pos !== false)
			{
				$workspace=substr($menu['link'],0,$pos);
			} else 
			{
				$workspace=$menu['link'];
			}
			if ($workspace != $this->_workspace) continue;
			
			if ($co==0) $_offset='&bull; '; else $_offset=$offset.' &rarr; ';
			$arr[$menu['id']]=$_offset.$menu['name'];
			$this->build_navigator_tree($menu['id'],$co+1);
		}
		return $arr;
	}
	
	function create()
	{
		if (empty($_POST['link_name']))
		{
			$this->error='[string]link_name_required[/string]';
			return ;
		}
		$link_name=$_POST['link_name'];
		
		if (empty($_POST['link_text']))
		{
			$this->error='[string]link_text_required[/string]';
			return ;
		}
		$link_text=$_POST['link_text'];
		
		$parent=(isset($_POST['parent']) && !empty($_POST['parent'])) ? $_POST['parent'] : 0;
		$weight=(isset($_POST['weight']) && !empty($_POST['weight'])) ? $_POST['weight'] : 0;
		
		if (empty($_POST['title']))
		{
			$this->error='[string]article_title_required[/string]';
			return ;
		}
		$title=$_POST['title'];
		
		$content=(isset($_POST['content']) && !empty($_POST['content'])) ? $_POST['content'] : '';
		
		if (isset($_POST['keywords']) && !empty($_POST['keywords'])) {
			$keywords='';
			$_keywords=explode(',',$_POST['keywords']);
			$__keywords=array();
			
			foreach ($_keywords as $keyword)
			{
				$keyword=trim($keyword);
				
				$this->utf8->load_string($keyword);
				$this->utf8->to_lower();
				$keyword=$this->utf8->return_string();
				
				$__keywords[]=$keyword;
			} 
			$keywords=implode(',',$__keywords);
		} else 
		{
			$keywords='';
		}
		
		$access=(isset($_POST['access']) && !empty($_POST['access'])) ? $_POST['access'] : 0;
		
		$this->db->query("select value from ".DB_PREFIX."_global where mark='editor' and name='sawanna_wysiwyg'");
		$glob=$this->db->fetch_array();
		
		if (empty($glob))
		{
			$content=nl2br($content);
			$content=str_replace("\r",'',$content);
			$content=str_replace("\n",'',$content);
		}
		
		if (!$this->validate_link($link_text))
		{
			$this->error='[string]invalid_link[/string]';
			return ;
		}
		
		if ($parent != 0)
		{
			$this->db->query("select link from ".DB_PREFIX."_navigation where id='".$this->db->escape_string($parent)."'");
			$menu=$this->db->fetch_array();
			if (($pos=strpos($menu['link'],'/')) !== false )
				$link_text=substr($menu['link'],$pos+1).'/'.$link_text;
		}
		
		$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$link_text));
		$ex=$this->db->fetch_array($result);
		if (!empty($ex))
		{
			$this->error='[string]link_text_already_exists[/string]';
			return ;
		}
		
		if (!$this->node->create(strip_tags($title),$content,strip_tags($keywords),$this->_workspace,$link_text,'',$access))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
		
		if (!$this->navigator->create(strip_tags($link_name),$parent,$this->_workspace.'/'.$link_text,'',$weight,$access))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
		
		if (preg_match('/<[\x20]*img[^>]+src[\x20]*[=][\x20]*[\x22]([^\x22]+)[\x22][^>]*>/i',ini_get("magic_quotes_gpc") ? stripslashes($content) : $content,$matches))
		{
			$img_url=substr($matches[1],0,1)=='/' ? substr($matches[1],1) : $matches[1];
			
			if (file_exists(ROOT_DIR.'/'.$img_url) && function_exists('imagejpeg'))
			{
				$this->create_thumb(ROOT_DIR.'/'.$img_url,$this->_workspace.'_'.str_replace('/','_',$link_text));
			}
		}
		
		parent::redirect(parent::build_url($this->_workspace.'/'.$link_text));
	}
	
	function build_edit_form()
	{
		$html='';
		$script='';
			
		if (isset($this->session->var['clean_url']) && $this->session->var['clean_url'] == 'true')
		{
			$_SERVER['HTTP_REFERER']=HOME.'/index.php?'.str_replace(HOME.'/','',$_SERVER['HTTP_REFERER']);
		}
		$query_string=substr($_SERVER['HTTP_REFERER'],strpos($_SERVER['HTTP_REFERER'],'?')+1);
		$query=array();
		if (count($this->language->languages) > 1)
		{
			$query=explode("/",urldecode($query_string),3);
		} else 
		{
			$query=explode("/",urldecode($query_string),2);
			array_unshift($query,'');
		}
		
		if (!isset($query[1]) || empty($query[1]) || $query[1] != $this->_workspace) return ;
		
		if (isset($query[2]) && !empty($query[2]))
		{
			if (($amp_pos=strpos($query[2],'&'))!==false) $query[2]=substr($query[2],0,$amp_pos);
			if (!empty($query[2]) && ($last_slash_pos=strpos($query[2],'/',strlen($query[2])-1))!==false) $query[2]=substr($query[2],0,$last_slash_pos);
		} else {
			$query[2]='';
		}
		
		$result=$this->navigator->get(array('link'=>$query[1].'/'.$query[2]));
		$menu=$this->db->fetch_array($result);
		$result=$this->node->get(array('link'=>$query[2],'workspace'=>$query[1],'mark'=>''));
		$node=$this->db->fetch_array($result);
		
		if (!empty($menu) && !empty($node))
		{
			$menu['link']=substr($menu['link'],strrpos($menu['link'],'/')+1);
			
			$elems=array(
						'text',
						'text',
						'custom',
						'text',
						'text',
						'textarea',
						'checkbox',
						'text',
						'custom',
						'submit'
						);
						
			$desc=array(
						'[string]link_name[/string]',
						'[string]link_text[/string]',
						'[string]parent[/string]',
						'[string]weight[/string]',
						'[string]title[/string]',
						'',
						'[string]paste_from_page[/string]',
						'[string]keywords[/string]',
						'[string]access[/string]',
						' '
						);
			
			$attr=array(
						'name="link_name" style="width:100px" value="'.$menu['name'].'"',
						'name="link_text" style="width:100px" value="'.$menu['link'].'"',
						'',
						'name="weight" style="width:100px" value="'.$menu['weight'].'"',
						'name="title" style="width:250px" value="'.$node['name'].'"',
						'name="content" cols="40" rows="12" style="width:570px"',
						'name="paste" onclick="if (this.checked==true) document.all.content.value=document.getElementById(\''.$this->component.'\').innerHTML.replace(\'<!--[break]-->\',\'[break]\'); else document.all.content.value=\'\';"',
						'name="keywords" style="width:200px" value="'.$node['keywords'].'"',
						'',
						'value="[string]send[/string]"'
						);
				
			
			$tree=$this->build_navigator_tree();
					
			$parent='<select name="parent" style="width:250px">';
			$parent.='<option value="0">[string]root[/string]</option>';
			foreach($tree as $id=>$name)
			{
				if ($id==$menu['parent'])
					$parent.='<option value="'.$id.'" selected>'.$name.'</option>';
				else
					$parent.='<option value="'.$id.'">'.$name.'</option>';
			}
			$parent.="</select>";
			
			$access='<select name="access" style="width:200px">';
			for ($i=0;$i<3;$i++)
			{
				switch ($i)
				{
					case 0:
						if ($node['access'] == 1)
							$access.='<option value="1" selected>[string]full_access[/string]</option>';
						else
							$access.='<option value="1">[string]full_access[/string]</option>';
						break;
					case 1:
						if ($node['access'] == 2)
							$access.='<option value="2" selected>[string]user_access[/string]</option>';
						else
							$access.='<option value="2">[string]user_access[/string]</option>';
						break;
					case 2:
						if ($node['access'] == 0)
							$access.='<option value="0" selected>[string]no_access[/string]</option>';
						else
							$access.='<option value="0">[string]no_access[/string]</option>';
						break;
				}
				
			}
			$access.='</select>';
			
			$custom=array(
						'',
						'',
						$parent,
						'',
						'',
						'',
						'',
						'',
						$access
						);
						
			$html.='<div style="width:100%;height:450px;overflow:hidden">'.parent::build_form(ADMIN_WORKSPACE.'/&component=article&act=doedit&query='.$query[2],$elems,600,$desc,$attr,$custom,'',false,'articleEditForm').'</div>';
			
			$script.="document.all.link_text.onkeypress=function(event) { var event=event || window.event; if ((event.keyCode < 97 || event.keyCode > 122) && (event.keyCode < 65 || event.keyCode > 90) && (event.keyCode < 48 || event.keyCode > 57) && event.keyCode != 45 && event.keyCode != 95 && event.keyCode != 8 ) event.returnValue=false; };";
			$script.="document.getElementById('articleEditForm').onsubmit=function(event) { var event=event || window.event; for (i=0;i<document.getElementById('articleEditForm').elements.length;i++) { document.getElementById('articleEditForm').elements[i].style.background='#ffffff'; }; if (document.all.link_name.value.length == 0) { document.all.link_name.style.background='#FA7581'; event.returnValue=false; }; if (document.all.link_text.value.length == 0) { document.all.link_text.style.background='#FA7581'; event.returnValue=false; }; if (document.all.title.value.length == 0) { document.all.title.style.background='#FA7581'; event.returnValue=false; }; };";
		} else 
		{
			$html.='<table width="100%" height="100%"><tr><td width="100%" height="100%" align="center"><b style="font-size:11px">[string]article_not_created[/string]</b></td></tr></table>';
		}
		echo '{html:"'.addslashes($html).'",exec:"'.addslashes($script).'"}'; 
	}
	
	function build_edit_form_alt($link)
	{
		$html='';
		
		$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$link));
		$menu=$this->db->fetch_array($result);
		$result=$this->node->get(array('link'=>$link,'workspace'=>$this->_workspace,'mark'=>''));
		$node=$this->db->fetch_array($result);
		
		if (!empty($menu) && !empty($node))
		{
			$menu['link']=substr($menu['link'],strrpos($menu['link'],'/')+1);
			
			$elems=array(
						'text',
						'text',
						'custom',
						'text',
						'text',
						'custom',
						'text',
						'custom',
						'submit'
						);
						
			$desc=array(
						'[string]link_name[/string]',
						'[string]link_text[/string]',
						'[string]parent[/string]',
						'[string]weight[/string]',
						'[string]title[/string]',
						'',
						'[string]keywords[/string]',
						'[string]access[/string]',
						' '
						);
			
			$attr=array(
						'name="link_name" style="width:100px" value="'.$menu['name'].'"',
						'name="link_text" style="width:100px" value="'.$menu['link'].'"',
						'',
						'name="weight" style="width:100px" value="'.$menu['weight'].'"',
						'name="title" style="width:250px" value="'.$node['name'].'"',
						'',
						'name="keywords" style="width:200px" value="'.$node['keywords'].'"',
						'',
						'value="[string]send[/string]"'
						);
				
			
			$tree=$this->build_navigator_tree();
					
			$parent='<select name="parent" style="width:250px">';
			$parent.='<option value="0">[string]root[/string]</option>';
			foreach($tree as $id=>$name)
			{
				if ($id==$menu['parent'])
					$parent.='<option value="'.$id.'" selected>'.$name.'</option>';
				else
					$parent.='<option value="'.$id.'">'.$name.'</option>';
			}
			$parent.="</select>";
			
			$access='<select name="access" style="width:200px">';
			for ($i=0;$i<3;$i++)
			{
				switch ($i)
				{
					case 0:
						if ($node['access'] == 1)
							$access.='<option value="1" selected>[string]full_access[/string]</option>';
						else
							$access.='<option value="1">[string]full_access[/string]</option>';
						break;
					case 1:
						if ($node['access'] == 2)
							$access.='<option value="2" selected>[string]user_access[/string]</option>';
						else
							$access.='<option value="2">[string]user_access[/string]</option>';
						break;
					case 2:
						if ($node['access'] == 0)
							$access.='<option value="0" selected>[string]no_access[/string]</option>';
						else
							$access.='<option value="0">[string]no_access[/string]</option>';
						break;
				}
				
			}
			$access.='</select>';
			
			$custom=array(
						'',
						'',
						$parent,
						'',
						'',
						'<textarea name="content" id="articlefullEditor" cols="40" rows="20" style="width:100%">'.$node['content'].'</textarea>',
						'',
						$access
						);
						
			$html.=parent::build_form(ADMIN_WORKSPACE.'/&component=article&act=doedit&query='.$link,$elems,600,$desc,$attr,$custom);
			$html.=parent::build_wysiwyg('articlefullEditor');
		} else 
		{
			$this->error='[string]article_not_created[/string]';
		}
		echo $html; 
	}
	
	function edit($query)
	{
		if (empty($_POST['link_name']))
		{
			$this->error='[string]link_name_required[/string]';
			return ;
		}
		$link_name=$_POST['link_name'];
		
		if (empty($_POST['link_text']))
		{
			$this->error='[string]link_text_required[/string]';
			return ;
		}
		$link_text=$_POST['link_text'];
		
		$parent=(isset($_POST['parent']) && !empty($_POST['parent'])) ? $_POST['parent'] : 0;
		$weight=(isset($_POST['weight']) && !empty($_POST['weight'])) ? $_POST['weight'] : 0;
		
		if (empty($_POST['title']))
		{
			$this->error='[string]article_title_required[/string]';
			return ;
		}
		$title=$_POST['title'];
		
		$content=(isset($_POST['content']) && !empty($_POST['content'])) ? $_POST['content'] : '';
		
		if (isset($_POST['keywords']) && !empty($_POST['keywords'])) {
			$keywords='';
			$_keywords=explode(',',$_POST['keywords']);
			$__keywords=array();
			
			foreach ($_keywords as $keyword)
			{
				$keyword=trim($keyword);
				
				$this->utf8->load_string($keyword);
				$this->utf8->to_lower();
				$keyword=$this->utf8->return_string();

				$__keywords[]=$keyword;
			} 
			$keywords=implode(',',$__keywords);
		} else 
		{
			$keywords='';
		}
		
		$access=(isset($_POST['access']) && !empty($_POST['access'])) ? $_POST['access'] : 0;
		
		$this->db->query("select value from ".DB_PREFIX."_global where mark='editor' and name='sawanna_wysiwyg'");
		$glob=$this->db->fetch_array();
		
		if (empty($glob))
		{
			$content=nl2br($content);
			$content=str_replace("\r",'',$content);
			$content=str_replace("\n",'',$content);
		}
		
		if (!$this->validate_link($link_text))
		{
			$this->error='[string]invalid_link[/string]';
			return ;
		}
		
		if ($parent != 0)
		{
			$this->db->query("select link from ".DB_PREFIX."_navigation where id='".$this->db->escape_string($parent)."'");
			$menu=$this->db->fetch_array();
			if (($pos=strpos($menu['link'],'/')) !== false )
				$link_text=substr($menu['link'],$pos+1).'/'.$link_text;
		}
		
		$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$link_text));
		$ex=$this->db->fetch_array($result);
		if (!empty($ex))
		{
			$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$query));
			$current=$this->db->fetch_array($result);
			if ($current['parent'] != $parent)
			{
				if (isset($pos)  && $pos!==false)
				{
					$this->error='[string]link_text_already_exists[/string]';
					return ;
				}
			} elseif ($link_text != $query)
			{
				$this->error='[string]link_text_already_exists[/string]';
				return ;
			}
		}
		
		$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$query));
		$current=$this->db->fetch_array($result);
		if ($current['id'] == $parent)
		{
			$this->error='[string]article_cannot_be_parent_to_itself[/string]';
			return ;
		}
		
		$node_fields=array('name'=>strip_tags($title),'keywords'=>strip_tags($keywords),'workspace'=>$this->_workspace,'link'=>$link_text,'access'=>$access);
		if (!empty($content)) $node_fields['content']=$content;
		if (!$this->node->update($node_fields,array('workspace'=>$this->_workspace,'link'=>$query,'mark'=>'')))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
		
		if (!$this->navigator->update(array('name'=>strip_tags($link_name),'parent'=>$parent,'link'=>$this->_workspace.'/'.$link_text,'weight'=>$weight,'access'=>$access),array('link'=>$this->_workspace.'/'.$query)))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
		
		if (file_exists(ROOT_DIR.'/upload/thumbs/'.$this->_workspace.'_'.$link_text.'.jpg'))
		{
			@unlink(ROOT_DIR.'/upload/thumbs/'.$this->_workspace.'_'.$link_text.'.jpg');
		}
		
		if (preg_match('/<[\x20]*img[^>]+src[\x20]*[=][\x20]*[\x22]([^\x22]+)[\x22][^>]*>/i',ini_get("magic_quotes_gpc") ? stripslashes($content) : $content,$matches))
		{
			$img_url=substr($matches[1],0,1)=='/' ? substr($matches[1],1) : $matches[1];
			
			if (file_exists(ROOT_DIR.'/'.$img_url) && function_exists('imagejpeg'))
			{
				$this->create_thumb(ROOT_DIR.'/'.$img_url,$this->_workspace.'_'.str_replace('/','_',$link_text));
			}
		}
		
		parent::redirect(parent::build_url($this->_workspace.'/'.$link_text));
	}
	
	function validate_link($link)
	{
		 if (empty($link)) return false;
		 if (strpos($link, ' ') !== false) return false;
		 if (preg_match('/[^0-9a-zA-Z_-]/',$link)) return false;
		
		 if (strlen($link) > 255) return false;
		 return true;
	}
	
	function build_delete_form()
	{
		$html='';
		$script='';
			
		if (isset($this->session->var['clean_url']) && $this->session->var['clean_url'] == 'true')
		{
			$_SERVER['HTTP_REFERER']=HOME.'/index.php?'.str_replace(HOME.'/','',$_SERVER['HTTP_REFERER']);
		}
		$query_string=substr($_SERVER['HTTP_REFERER'],strpos($_SERVER['HTTP_REFERER'],'?')+1);
		$query=array();
		if (count($this->language->languages) > 1)
		{
			$query=explode("/",urldecode($query_string),3);
		} else 
		{
			$query=explode("/",urldecode($query_string),2);
			array_unshift($query,'');
		}
		
		if (!isset($query[1]) || empty($query[1]) || $query[1] != $this->_workspace) return ;
		
		if (isset($query[2]) && !empty($query[2]))
		{
			if (($amp_pos=strpos($query[2],'&'))!==false) $query[2]=substr($query[2],0,$amp_pos);
			if (!empty($query[2]) && ($last_slash_pos=strpos($query[2],'/',strlen($query[2])-1))!==false) $query[2]=substr($query[2],0,$last_slash_pos);
		} else {
			$query[2]='';
		}
		
		$result=$this->navigator->get(array('link'=>$query[1].'/'.$query[2]));
		$menu=$this->db->fetch_array($result);
		$result=$this->node->get(array('link'=>$query[2],'workspace'=>$query[1]));
		$node=$this->db->fetch_array($result);
		
		if (!empty($menu) && !empty($node))
		{
		
			$menu['link']=substr($menu['link'],strrpos($menu['link'],'/')+1);
			
			$elems=array(
						'text',
						'text',
						'submit'
						);
						
			$desc=array(
						'[string]link_name[/string]',
						'[string]title[/string]',
						' '
						);
			
			$attr=array(
						'style="width:100px" value="'.$menu['name'].'" readonly',
						'style="width:250px" value="'.$node['name'].'" readonly',
						'value="[string]delete[/string]"'
						);
						
			$html.='<div style="text-align:center;height:20px;overflow:hidden"><span style="color:#D34129;font-weight:bold;font-size:11px">[string]article_delete_confirm[/string] <span style="font-weight:bold;font-size:12px">'.$menu['link'].'</span> ?</span></div><div style="width:100%;height:100px;overflow:hidden">'.parent::build_form(ADMIN_WORKSPACE.'/&component=article&act=dodel&query='.$query[2],$elems,'100%',$desc,$attr).'</div>';
		} else 
		{
			$html.='<table width="100%" height="100%"><tr><td width="100%" height="100%" align="center"><b style="font-size:11px">[string]article_not_created[/string]</b></td></tr></table>';
		}
		
		echo '{html:"'.addslashes($html).'",exec:"'.addslashes($script).'"}'; 
	}
	
	function build_delete_form_alt($link)
	{
		$html='';
		
		$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$link));
		$menu=$this->db->fetch_array($result);
		$result=$this->node->get(array('link'=>$link,'workspace'=>$this->_workspace));
		$node=$this->db->fetch_array($result);
		
		if (!empty($menu) && !empty($node))
		{
			$html.='<div align="left" style="padding:10px">';
			$html.='<b>[string]link_name[/string] : '.$menu['name'].'</b>';
			$html.='<br /><span>[string]title[/string] : '.$node['name'].'</span>';
			$html.='<p style="color:red">[string]article_delete_confirm[/string]</p>';
			$html.=parent::build_anchor(ADMIN_WORKSPACE.'/&component=article&act=dodel&query='.$link.'&noredir','<b>[string]delete[/string]</b>');
			$html.='</div>';
		} else 
		{
			$this->error='[string]article_not_created[/string]';
		}
		
		echo $html; 
	}
	
	function delete($query)
	{
		$result=$this->navigator->get(array('link'=>$this->_workspace.'/'.$query));
		$current=$this->db->fetch_array($result);
		
		if (!$this->node->delete(array('workspace'=>$this->_workspace,'link'=>$query)))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
		
		if (!$this->navigator->delete(array('link'=>$this->_workspace.'/'.$query)))
		{
			$this->error='[string]database_error[/string]';
			return;
		}
		
		if (file_exists(ROOT_DIR.'/upload/thumbs/'.$this->_workspace.'_'.$query.'.jpg'))
		{
			@unlink(ROOT_DIR.'/upload/thumbs/'.$this->_workspace.'_'.$query.'.jpg');
		}
		
		if (!isset($_GET['noredir']))
		{
			if ($current['parent'] != 0)
			{
				$result=$this->navigator->get(array('id'=>$current['parent']));
				$current=$this->db->fetch_array($result);
				parent::redirect(parent::build_url($current['link']));
			} else 
			{
				parent::redirect(parent::build_url(FRONT_PAGE_WORKSPACE));
			}
		} else 
		{
			$this->message='[string]article_deleted[/string]';
		}
	}
	
	function create_thumb($img_path,$thumbname,$crop=false)
	{
		$src=false;
		$ext=substr($img_path,strrpos($img_path,'.')+1);
		switch ($ext)
		{
			case 'jpg' :
			case 'JPG' :
				$src=@imagecreatefromjpeg($img_path);
				break;
			case 'png' :
			case 'PNG' :
				$src=@imagecreatefrompng($img_path);
				break;
			case 'gif' :
			case 'GIF' :
				$src=@imagecreatefromgif($img_path);
				break;
		}
		if ($src && $size=@getimagesize($img_path))
		{
			$src_width=$size[0];
			$src_height=$size[1];
			$src_x=0;
			$src_y=0;
						
			$dst_width=120;
			$dst_height=90;
			$dst_x=0;
			$dst_y=0;
			
			$dst=imagecreatetruecolor($dst_width,$dst_height);
			$bg_color=@imagecolorallocate($dst, 255, 255, 255);
			@imagefill($dst, 0, 0, $bg_color);

			if ($crop)
			{
				switch (true)
				{
					case ($dst_width/$dst_height) > ($src_width/$src_height) :
						$src_height=$src_width*($dst_height/$dst_width);
						$src_y=($size[1]-$src_height)/2;
						break;
					case ($dst_width/$dst_height) < ($src_width/$src_height) :
						$src_width=$src_height*($dst_width/$dst_height);
						$src_x=($size[0]-$src_width)/2;
						break;
				}
			} else 
			{
				switch (true)
				{
					case ($dst_width/$dst_height) < ($src_width/$src_height) :
						$_dst_height=$dst_width*($src_height/$src_width);
						$dst_y=($dst_height-$_dst_height)/2;
						$dst_height=$_dst_height;
						unset($_dst_height);
						break;
					case ($dst_width/$dst_height) > ($src_width/$src_height) :
						$_dst_width=$dst_height*($src_width/$src_height);
						$dst_x=($dst_width-$_dst_width)/2;
						$dst_width=$_dst_width;
						unset($_dst_width);
						break;
				}
			}
			
			@imagecopyresampled($dst,$src,$dst_x,$dst_y,$src_x,$src_y,$dst_width,$dst_height,$src_width,$src_height);
			@imagejpeg($dst,ROOT_DIR.'/upload/thumbs/'.$thumbname.'.jpg');
			
			imagedestroy($src);
			imagedestroy($dst);
		}
	}
}

function articleAdmin_init($env)
{
	global $ArticleAdmin;
	
	$ArticleAdmin=new CArticleAdmin();
	$ArticleAdmin->db=&$env['db'];
	$ArticleAdmin->session=&$env['session'];
	$ArticleAdmin->language=&$env['language'];
	$ArticleAdmin->user=&$env['user'];
	$ArticleAdmin->workspace=$env['workspace'];
	$ArticleAdmin->query=$env['query'];
	$ArticleAdmin->node=&$env['node'];
	$ArticleAdmin->navigator=&$env['navigator'];
	$ArticleAdmin->tpl=&$env['tpl'];
	$ArticleAdmin->utf8=&$env['utf8'];
	$ArticleAdmin->ok=&$env['ok'];
}

function articleAdmin_exec()
{
	global $ArticleAdmin;
	
	if (isset($_GET['component']) && $_GET['component']=='article')
	{
		if (isset($_GET['act']))
		{
			switch ($_GET['act'])
			{
				case 'create' :
					if ($ArticleAdmin->workspace == 'ajax')
					{
						$ArticleAdmin->build_create_form();
					} else 
					{
						echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
						echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
		
						$ArticleAdmin->build_create_form_alt();
						$ArticleAdmin->build_linker();
		
						echo '</div>';
					}
					break;
				case 'docreate' :
					$ArticleAdmin->create();
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
	
					$ArticleAdmin->build_create_form_alt();
					$ArticleAdmin->build_linker();
	
					echo '</div>';
					break;
				case 'edit' :
					if ($ArticleAdmin->workspace == 'ajax')
					{
						$ArticleAdmin->build_edit_form();
					} elseif (isset($_GET['link'])) 
					{
						echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
						echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
		
						$ArticleAdmin->build_edit_form_alt($_GET['link']);
						$ArticleAdmin->build_linker();
		
						echo '</div>';
					}
					break;
				case 'doedit' :
					if (isset($_GET['query']))
					$ArticleAdmin->edit($_GET['query']);
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
	
					$ArticleAdmin->build_edit_form_alt($_GET['query']);
					$ArticleAdmin->build_linker();
	
					echo '</div>';
					break;
				case 'del' :
					if ($ArticleAdmin->workspace == 'ajax')
					{
						$ArticleAdmin->build_delete_form();
					} elseif (isset($_GET['link'])) 
					{
						echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
						echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
		
						$ArticleAdmin->build_delete_form_alt($_GET['link']);
						$ArticleAdmin->build_linker();
		
						echo '</div>';
					}	
					break;
				case 'dodel' :
					if (isset($_GET['query']))
					$ArticleAdmin->delete($_GET['query']);
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
					
					$ArticleAdmin->build_linker();
	
					echo '</div>';
					break;
				case 'show' :
					echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]article[/string] :</h2>';
					echo '<p style="padding:10px">[string]article_str[/string]';
					echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
	
					$ArticleAdmin->build_linker();
	
					echo '</div>';
					break;
			}
		}
	}
	
	return array($ArticleAdmin->message,$ArticleAdmin->error,'');
}

function articleAdmin_clear()
{
	global $ArticleAdmin;
	
	unset(
		$ArticleAdmin->db,
		$ArticleAdmin->session,
		$ArticleAdmin->language,
		$ArticleAdmin->user,
		$ArticleAdmin->workspace,
		$ArticleAdmin->query,
		$ArticleAdmin->message,
		$ArticleAdmin->error,
		$ArticleAdmin->_workspace,
		$ArticleAdmin->node,
		$ArticleAdmin->navigator,
		$ArticleAdmin->tpl,
		$ArticleAdmin->utf8,
		$ArticleAdmin->component,
		$ArticleAdmin->limit,
		$ArticleAdmin->get,
		$ArticleAdmin->ok
		);
}
?>