<?php
defined("SAWANNA") or die();

class CNavigatorParent extends CSawanna 
{
	var $db;
	var $language;
	var $session;
	var $user;
	var $navigator;
	var $workspace;
	
	function CNavigatorParent()
	{
		$this->db=null;
		$this->language=null;
		$this->session=null;
		$this->user=null;
		$this->navigator=null;
		$this->workspace=FRONT_PAGE_WORKSPACE;
	}
	
	function build()
	{
		$conditions=array('parent' => 0);
		
		$result=$this->navigator->get($conditions);
		echo '<div class="parent_menu"><ul>';
		while($menu=$this->db->fetch_array($result))
		{
			if ($menu['mark'] == 'ghost') continue;
			
			$menu_link=(strpos($menu['link'],'http://')===0 || strpos($menu['link'],'https://')===0) ? '<a href="'.$menu['link'].'" target="_blank">'.$menu['name'].'</a>' : parent::build_anchor($menu['link'],$menu['name']);
			
			if ($menu['link'] == $this->navigator->current) {
				echo '<li class="active">'.$menu_link.'</li>';
			} else {  
			           if (defined('FORCE_HIGHLIGHT_PARENT_MENU') && FORCE_HIGHLIGHT_PARENT_MENU)
			           {
            			           if (strpos($this->navigator->current,$menu['link'])===0)
            			                 echo '<li class="active">'.$menu_link.'</li>';
            			           else
            				      echo '<li>'.$menu_link.'</li>';
            			} else 
            			{
            			    echo '<li>'.$menu_link.'</li>';
            			}
		          }
		}
		echo '</ul></div>';
	}
}

function parent_navigator_init($env)
{
	global $NavigatorParent;
	
	$NavigatorParent=new CNavigatorParent();
	$NavigatorParent->db=&$env['db'];
	$NavigatorParent->language=&$env['language'];
	$NavigatorParent->session=&$env['session'];
	$NavigatorParent->user=&$env['user'];
	$NavigatorParent->navigator=&$env['navigator'];
	$NavigatorParent->workspace=$env['workspace'];
}

function parent_navigator_exec()
{
	global $NavigatorParent;
	
	$NavigatorParent->build();
}

function parent_navigator_clear()
{
	global $NavigatorParent;
	
	unset(
		  $NavigatorParent->db,
		  $NavigatorParent->language,
		  $NavigatorParent->session,
		  $NavigatorParent->user,
		  $NavigatorParent->navigator,
		  $NavigatorParent->workspace
		 );
}
?>