<?php
defined("SAWANNA") or die();

class CSawannaNewsPreview extends CSawanna 
{
	var $db;
	var $session;
	var $language;
	var $node;
	var $_workspace;
	var $count;
	
	function CSawannaNewsPreview()
	{
		$this->db=null;
		$this->session=null;
		$this->language=null;
		$this->node=null;
		$this->_workspace='news';
		$this->count=5;
	}
	
	function display()
	{
		$html='';
		
		$co=0;
		$result=$this->node->get(array('workspace'=>$this->_workspace,'mark'=>'short'));
		while ($news=$this->db->fetch_array($result)) 
		{
			$co++;
			$html.='<span class="news_preview_date">'.date('d.m.Y',$news['published']).'</span><br /><span class="news_preview_title">'.$news['name'].'</span>';
			$html.='<br />';
			$html.='<span class="news_short">'.$news['content'].'</span>';
			$html.='<div class="news_preview_read_more">'.parent::build_anchor($this->_workspace.'/'.$news['link'],'<span  class="read_more">[string]read_more[/string]</span>').'</div>';
			$html.='<br /><br />';
			if ($co>=$this->count) break;
			$html.='<br />';
		}
		
		if (!empty($html))
		{
			echo '<div class="field_caption">[string]news[/string]</div>';
			echo '<div class="field_body">'.$html.'</div>';
			echo '<div style="width:100%" class="shadow_1"></div>';
		}
	}
}

function news_preview_init($env)
{
	global $SawannaNewsPreview;
	
	$SawannaNewsPreview=new CSawannaNewsPreview();
	$SawannaNewsPreview->db=&$env['db'];
	$SawannaNewsPreview->session=&$env['session'];
	$SawannaNewsPreview->language=&$env['language'];
	$SawannaNewsPreview->node=&$env['node'];
}

function news_preview_exec()
{
	global $SawannaNewsPreview;
	
	$SawannaNewsPreview->display();
}

function news_preview_clear()
{
	global $SawannaNewsPreview;
	
	unset(
		$SawannaNewsPreview->db,
		$SawannaNewsPreview->session,
		$SawannaNewsPreview->language,
		$SawannaNewsPreview->node,
		$SawannaNewsPreview->_workspace,
		$SawannaNewsPreview->count
		);
}
?>