<?php
defined("SAWANNA") or die();

class CSawannaSearchBar extends CSawanna 
{
	var $session;
	var $language;
	
	function CSawannaSearchBar()
	{
		$this->session=null;
		$this->language=null;
	}
	
	function build()
	{
		$html='<div align="center"><div align="center" class="search_bar_short">';
		$html.='<div style="width:150px;display:inline"><form action="'.parent::build_url('search').'" method="POST">';
		$html.='<input type="text" name="search" style="width:100px;margin-right:5px" />';
		$html.='<input type="submit" value="[string]search[/string]" style="width:45px" />';
		$html.='</form></div>';
		$html.='</div></div>';
		$html.='<div style="width:100%" class="shadow_1"></div>';
		
		echo $html;
	}
}

function searchBar_init($env)
{
	global $SawannaSearchBar;
	
	$SawannaSearchBar=new CSawannaSearchBar();
	$SawannaSearchBar->session=&$env['session'];
	$SawannaSearchBar->language=&$env['language'];
}

function searchBar_exec()
{
	global $SawannaSearchBar;
	
	$SawannaSearchBar->build();
}

function searchBar_clear()
{
	global $SawannaSearchBar;
	
	unset(
		$SawannaSearchBar->session,
		$SawannaSearchBar->language
		);
}
?>