<?php
defined("SAWANNA") or die();

class CSawannaWelcome extends CSawanna 
{
	var $db;
	var $query;
	var $log;
	
	function CSawannaWelcome()
	{
		$this->db=null;
		$this->query=null;
		$this->log=null;
	}
	
	function invite()
	{
		if (empty($this->query) && !isset($_GET['component']))
		{
			echo '<br />';
			echo '<span>&nbsp;&bull;&nbsp;[string]your_ip[/string] : '.$this->log->ip.'</span>';
			echo '<br />';
			
			$now=time();
			echo '<div align="center" style="padding-top:50px">';
			
			echo '<span style="font-size:15px;font-weight:bold">[string]welcome_text[/string]</span>';
			echo '<br /><br /><br />';
			
			echo '<img src="'.HOME.'/sawanna/images/logo.png" width="200" height="100" border="0" />';
			echo '<br /><br /><br />';
			echo '<div style="width:200px;padding:10px;border:1px solid #888888;background-color: #EFEFEF" align="left">';
			echo '<b>[string]visits[/string] :</b><br />';
			
			$time=mktime(0,0,0,date('n',$now),date('j',$now),date('Y',$now));
			$this->db->query("select id from ".DB_PREFIX."_log where access_time > ".$time."");
			$count=$this->db->num_rows();
			echo '[string]today[/string] : '.$count.'<br />';
			
			$time=mktime(0,0,0,date('n',$now),1,date('Y',$now));
			$this->db->query("select id from ".DB_PREFIX."_log where access_time > ".$time."");
			$count=$this->db->num_rows();
			echo '[string]this_month[/string] : '.$count.'<br />';
			
			$time=mktime(0,0,0,1,1,date('Y',$now));
			$this->db->query("select id from ".DB_PREFIX."_log where access_time > ".$time."");
			$count=$this->db->num_rows();
			echo '[string]this_year[/string] : '.$count.'<br />';
			
			echo '</div>';
			echo '<br /><br /><br />';
			
			if (!empty($_SERVER['SERVER_SOFTWARE'])) echo '<p style="font-size:11px;font-weight:bold">[string]server_software[/string] : '.$_SERVER['SERVER_SOFTWARE'].'</p>';
			
			echo '<p style="font-size:11px">(C) Sawanna CMS ver.'.VERSION.'</p>';
			echo '</div>';
		}
	}
}

function welcome_init($env)
{
	global $SawannaWelcome;
	
	$SawannaWelcome=new CSawannaWelcome();
	$SawannaWelcome->db=&$env['db'];
	$SawannaWelcome->query=$env['query'];
	$SawannaWelcome->log=&$env['log'];
}

function welcome_exec()
{
	global $SawannaWelcome;
	
	$SawannaWelcome->invite();
}

function welcome_clear()
{
	global $SawannaWelcome;
	
	unset(
		$SawannaWelcome->db,
		$SawannaWelcome->query,
		$SawannaWelcome->log
		);
}
?>