<?php
defined("SAWANNA") or die();

class CSawannaUserAdmin extends CSawanna 
{
	var $session;
	var $language;
	var $user;
	var $db;
	var $message;
	var $error;
	var $limit;
	var $get;
	
	function CSawannaUserAdmin()
	{
		$this->session=null;
		$this->language=null;
		$this->user=null;
		$this->db=null;
		$this->message='';
		$this->error='';
		$this->limit=10;
		$this->get=(isset($_GET['get']) && !empty($_GET['get']) && is_numeric($_GET['get']) && $_GET['get']>0 ) ? $_GET['get'] : 1;
	}
	
	function build_linker()
	{
		$html='<div align="left" style="padding:10px;border-top:1px solid #000000">';
		
		$current=(intval($this->get)-1)*$this->limit+1;
		$co=0;
		$this->db->query("select * from ".DB_PREFIX."_users where login <> '' order by joined desc");
		while ($user=$this->db->fetch_array()) {
			$co++;
			if ($co<$current) continue;
			
			$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
			if (file_exists($ava_path))
			{
				$image=@getimagesize($ava_path);
				$image_size=!empty($image) ? $image[3] : '';
				$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/upload/user/'.md5($user['login']).'.ava" '.$image_size.' align="left" />';
			} else 
			{
				$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/sawanna/images/user.jpg" width="100" height="100" align="left" />';
			}
			$status=$user['active']!=0 ? '[string]active[/string]' : '[string]not_active[/string]';
			$html.='<div style="border-bottom:1px solid #DDDDDD;padding-bottom:5px">';
			$html.='<table width="500"><tr><td width="100" height="100" align="center" valign="top">'.$photo.'</td><td valign="top" style="font-size:11px">';
			$html.='<b>[string]login[/string] : </b>&nbsp;&nbsp;'.$user['login'].'<br /><b>[string]name[/string] : </b>&nbsp;&nbsp;'.$user['name'].'<br /><b>[string]mail[/string] : </b>&nbsp;&nbsp;'.$user['mail'].'<br /><b>[string]group[/string] : </b>&nbsp;&nbsp;[string]group_'.$user['group_id'].'[/string]'.'<br /><b>[string]status[/string] : </b>&nbsp;&nbsp;'.$status;
			$html.='</td></tr></table>';
			$html.='</div>';
			$html.='<div style="height:20px" align="right">'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=userAdmin&act=edit_alt&id='.$user['id'],'<img src="'.HOME.'/sawanna/images/edit.png" width="20" height="20" title="[string]edit[/string]" border="0" align="absmiddle" />').'&nbsp;&nbsp;'.parent::build_anchor(ADMIN_WORKSPACE.'/&component=userAdmin&act=del&id='.$user['id'],'<img src="'.HOME.'/sawanna/images/delete.png" width="20" height="20" title="[string]delete[/string]" border="0" align="absmiddle" />').'</div><br /><br />';
			if ($co>=$this->limit+$current-1) break;
		}
		
		$count=$this->db->num_rows();
		if ($count > $this->limit)
		{
			$html.='<br /><br />';
			$html.=parent::build_limiter($count,$this->limit,ADMIN_WORKSPACE.'/&component=userAdmin',$this->get,true);
		}
		
		$html.='</div>';
		
		echo $html;
	}
	
	function build_edit_form()
	{
		$html='';
		$script='';
		
		$elems=array(
					'custom',
					'text',
					'custom',
					'custom',
					'checkbox',
					'submit'
					);
					
		$desc=array(
					'[string]user[/string]',
					'[string]mail[/string]',
					'[string]group[/string]',
					'[string]status[/string]',
					'[string]delete[/string]',
					' '
					);
					
		$attr=array(
					'',
					'name="mail" style="width:250px" disabled',
					'',
					'',
					'name="del" disabled',
					'value="[string]send[/string]"'
					);
					
		$script.='users=new Array();';
		$users='<select name="user_id" style="width:250px" size="10">';
		$users.='<option value="0" selected>[string]not_chosen[/string]</option>';
		$this->db->query("select id,login,mail,group_id,active from ".DB_PREFIX."_users order by joined desc");
		while ($user=$this->db->fetch_array()) {
			if (empty($user['login'])) continue;
			$users.='<option value="'.$user['id'].'">'.$user['login'].'</option>';
			$script.='users['.$user['id'].']=new Array(\''.$user['mail'].'\',\''.$user['group_id'].'\',\''.$user['active'].'\');';
		}
		$users.='</select>';
					
		$groups='<select name="group" style="width:250px" disabled>';
		foreach ($this->user->groups as $group_id)
		{
			$groups.='<option value="'.$group_id.'">[string]group_'.$group_id.'[/string]</option>';
		}
		$groups.='</select>';
		
		$custom=array(
					$users,
					'',
					$groups,
					'<select name="status" style="width:100px" disabled><option value="1">[string]active[/string]</option><option value="0">[string]not_active[/string]</option></select>'
					);
					
		$html.='<span style="font-size:11px">[string]edit_users_text[/string]</span><div style="width:450px;height:320px;overflow:hidden">'.parent::build_form(ADMIN_WORKSPACE.'/&component=userAdmin&act=doedit',$elems,450,$desc,$attr,$custom).'</div>';
		
		$script.='document.all.user_id.onchange=function() { var user_id=document.all.user_id.options[document.all.user_id.selectedIndex].value; if (user_id != 0) { document.all.mail.disabled=false; document.all.group.disabled=false; document.all.status.disabled=false; document.all.del.disabled=false; document.all.mail.value=users[user_id][0]; for (i=0;i<document.all.group.options.length;i++) { if (document.all.group.options[i].value==users[user_id][1]) { document.all.group.selectedIndex=i; break; }; }; for (i=0;i<document.all.status.options.length;i++) { if (document.all.status.options[i].value==users[user_id][2]) { document.all.status.selectedIndex=i; break; }; }; document.all.del.checked=false; } else { document.all.mail.disabled=true; document.all.group.disabled=true; document.all.status.disabled=true; document.all.del.disabled=true; }; };';
		$script.='document.all.del.onchange=function() { if (document.all.del.checked==true) { document.all.mail.disabled=true; document.all.group.disabled=true; document.all.status.disabled=true; } else { document.all.mail.disabled=false; document.all.group.disabled=false; document.all.status.disabled=false; } };';
		
		echo '{html:"'.addslashes($html).'",exec:"'.addslashes($script).'"}';
	}
	
	function build_edit_form_alt()
	{
		if (!isset($_GET['id']) || !is_numeric($_GET['id'])) return ;
		
		$this->db->query("select * from ".DB_PREFIX."_users where id='".$this->db->escape_string($_GET['id'])."'");
		$user=$this->db->fetch_array();
		
		if ($user['group_id'] == 1 && $this->user->id != 1)
		{
			$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
			$this->build_linker();
			return;
		}
			
		$html='';
		
		$deleteAva=(!file_exists(ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava')) ? 'disabled' : '';
		
		$elems=array(
					'text',
					'text',
					'custom',
					
					'custom',
					'custom',
					'custom',
					'custom',
					'custom',
					'text',
					'text',
					'text',

					'custom',
					'submit'
					);
					
		$desc=array(
					'[string]name[/string]',
					'[string]mail[/string]*',
					'[string]group[/string]*',
					
					'[string]information[/string]',
					' ',
					'[string]gender[/string]',
					'[string]dob[/string]',
					'[string]country[/string]',
					'[string]icq[/string]',
					'[string]msn[/string]',
					'[string]skype[/string]',

					'[string]status[/string]*',					
					' '
					);
					
		$attr=array(
					'name="user_name" style="width:250px" value="'.$user['name'].'"',
					'name="user_mail" style="width:250px" value="'.$user['mail'].'"',
					'',
					
					'',
					'',
					'',
					'',
					'',
					'name="user_icq" style="width:100%" value="'.$user['icq'].'"',
					'name="user_msn" style="width:100%" value="'.$user['msn'].'"',
					'name="user_skype" style="width:100%" value="'.$user['skype'].'"',
					
					'',
					'value="[string]send[/string]"'
					);
					
					
		$group='<select name="user_group" style="width:250px">';
		foreach ($this->user->groups as $group_id)
		{
			if ($group_id==$user['group_id'])
				$group.='<option value="'.$group_id.'" selected>[string]group_'.$group_id.'[/string]</option>';
			else 
				$group.='<option value="'.$group_id.'">[string]group_'.$group_id.'[/string]</option>';
		}
		$group.='</select>';
		
		$status='<select name="user_status" style="width:100px">';
		switch ($user['active'])
		{
			case 0 :
				$status.='<option value="1">[string]active[/string]</option><option value="0" selected>[string]not_active[/string]</option>';
				break;
			case 1 :
				$status.='<option value="1" selected>[string]active[/string]</option><option value="0">[string]not_active[/string]</option>';
				break;
		}
		$status.='</select>';
		
		$gender='<input type="radio" name="user_gender" value="" '.((empty($user['gender'])) ? 'checked' : '').' style="border:none;background:none" /><span style="font-size:10px">[string]dont_show_gender[/string]</span>&nbsp;';
		$gender.='<input type="radio" name="user_gender" value="M" '.(($user['gender']=='M') ? 'checked' : '').' style="border:none;background:none" /><span style="font-size:10px">[string]male[/string]</span>&nbsp;';	
		$gender.='<input type="radio" name="user_gender" value="F" '.(($user['gender']=='F') ? 'checked' : '').' style="border:none;background:none" /><span style="font-size:10px">[string]female[/string]</span>';
		
		if (!empty($user['dob']))
		{
			$dob_arr=explode('.',$user['dob']);
		} else 
		{
			$dob_arr=array('','','');
		}
		
		$dob_day_sel='<select name="dob_day" style="width:50px">';
		$dob_day_sel.='<option value="">[string]day[/string]</option>';
		for ($i=1;$i<=31;$i++)
		{
			$i=str_pad($i,2,'0',STR_PAD_LEFT);
			if ($i==$dob_arr[0])
				$dob_day_sel.='<option value="'.$i.'" selected>'.$i.'</option>';
			else 
				$dob_day_sel.='<option value="'.$i.'">'.$i.'</option>';

		}
		$dob_day_sel.='</select>';
		
		$months=$this->user->dob_months;
		
		$dob_month_sel='<select name="dob_month" style="width:100px">';
		$dob_month_sel.='<option value="">[string]month[/string]</option>';
		for ($i=1;$i<13;$i++)
		{
			$i=str_pad($i,2,'0',STR_PAD_LEFT);
			if ($i==$dob_arr[1])
				$dob_month_sel.='<option value="'.$i.'" selected>[string]'.$months[$i].'[/string]</option>';
			else 
				$dob_month_sel.='<option value="'.$i.'">[string]'.$months[$i].'[/string]</option>';

		}
		$dob_month_sel.='</select>';
		
		$dob_year_sel='<select name="dob_year" style="width:50px">';
		$dob_year_sel.='<option value="">[string]year[/string]</option>';
		for ($i=1960;$i<=date('Y',time());$i++)
		{
			if ($i==$dob_arr[2])
				$dob_year_sel.='<option value="'.$i.'" selected>'.$i.'</option>';
			else 
				$dob_year_sel.='<option value="'.$i.'">'.$i.'</option>';

		}
		$dob_year_sel.='</select>';
		
		$dob=$dob_day_sel.'&nbsp;&nbsp;'.$dob_month_sel.'&nbsp;&nbsp;'.$dob_year_sel;
		
		$country='<select name="user_country" style="width:250px">';
		$country.='<option value="">[string]choose[/string]</option>';
		foreach ($this->user->countries as $code=>$country_name)
		{
			if ($user['country']==$code)
				$country.='<option value="'.$code.'" selected>'.$country_name.'</option>';
			else 
				$country.='<option value="'.$code.'">'.$country_name.'</option>';
		}
		$country.='</select>';
		
		$custom=array(
					'',
					'',
					$group,
					
					'<textarea name="user_info" cols="50" rows="10" style="width:100%" >'.$user['info'].'</textarea>',
					'<input type="checkbox" name="delete_avatar" '.$deleteAva.' />&nbsp;<span style="font-size:10px">[string]delete_photo[/string]</span>',
					$gender,
					$dob,
					$country,
					'',
					'',
					'',
					$status,
					);
					
		$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
		if (file_exists($ava_path))
		{
			$image=@getimagesize($ava_path);
			$image_size=!empty($image) ? $image[3] : '';
			$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/upload/user/'.md5($user['login']).'.ava" '.$image_size.' align="left" />';
		} else 
		{
			$photo='<img src="'.PROTOCOL.'://'.SITE_HOST.'/sawanna/images/user.jpg" width="100" height="100" align="left" />';
		}
		$html.='<div style="width:400px;height:100px;border-bottom:1px solid #000000;padding-bottom:10px" align="left">'.$photo.'&nbsp;&nbsp;&nbsp;<b style="font-size:14px">'.$user['login'].'</b></div><div style="width:300px">'.parent::build_form(ADMIN_WORKSPACE.'/&component=userAdmin&act=doedit_alt&id='.$_GET['id'],$elems,300,$desc,$attr,$custom).'</div>';
		
		echo $html;
	}
	
	function edit()
	{
		if (isset($_POST['user_id']) && !empty($_POST['user_id']))
		{
			$this->db->query("select login,group_id from ".DB_PREFIX."_users where id='".$this->db->escape_string($_POST['user_id'])."'");
			$user=$this->db->fetch_array();
			if (empty($user))
			{
				$this->error='[string]user_not_found[/string]';
				return;
			}
			
			if ($user['group_id'] == 1 && $this->user->id != 1)
			{
				$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
				return;
			}
			
			if (isset($_POST['del']) && $_POST['del']=='on')
			{
				if ($_POST['user_id'] == 1)
				{
					$this->error='[string]cannot_delete_superadmin[/string]';
					return;
				}
				if ($this->db->query("update ".DB_PREFIX."_users set name='[*]',login='',passwd='',info='',mail='',group_id='0',active='0',gender='',dob='',country='',icq='',msn='',skype='' where id='".$this->db->escape_string($_POST['user_id'])."'"))
				{
					$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
					if (file_exists($ava_path))
					{
						if (!unlink($ava_path))
						{
							$this->error='[string]could_not_delete_file[/string]';
						}
					}
					$this->message='[string]user_deleted[/string]';
					return;
				} else 
				{
					$this->error='[string]database_error[/string]';
					return;
				}
			}
			
			if (isset($_POST['mail']) && !empty($_POST['mail']) && isset($_POST['group']) && !empty($_POST['group'])  && isset($_POST['status']))
			{
				if (!$this->user->validate_mail($_POST['mail']))
				{
					$this->error='[string]invalid_mail[/string]';
					return;
				}
				
				$status=(!empty($_POST['status'])) ? $_POST['status'] : 0;
				
				if ($_POST['user_id'] == 1 && $_POST['group'] != 1)
				{
					$this->error='[string]cannot_delete_superadmin[/string]';
					return;
				}
				
				if ($_POST['group'] == 1 && $this->user->id != 1)
				{
					$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
					return;
				}
			
				if ($this->db->query("update ".DB_PREFIX."_users set mail='".$this->db->escape_string($_POST['mail'])."',group_id='".$this->db->escape_string($_POST['group'])."',active='".$this->db->escape_string($status)."' where id='".$this->db->escape_string($_POST['user_id'])."'"))
				{
					$this->message='[string]user_edited[/string]';
					return;
				} else 
				{
					$this->error='[string]database_error[/string]';
					return;
				}
			} else 
			{
				$this->error='[string]all_fields_are_required[/string]';
					return;
			}
		} else {
			$this->error='[string]user_not_chosen[/string]';
			return;
		}
	}
	
	function edit_alt()
	{
		if (!isset($_GET['id']) || !is_numeric($_GET['id'])) return;
		
		$this->db->query("select login,group_id from ".DB_PREFIX."_users where id='".$this->db->escape_string($_GET['id'])."'");
		$user=$this->db->fetch_array();
		if (empty($user))
		{
			$this->error='[string]user_not_found[/string]';
			return;
		}
		
		if ($user['group_id'] == 1 && $this->user->id != 1)
		{
			$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
			return;
		}
		
		if (isset($_POST['user_mail']) && !empty($_POST['user_mail']) && isset($_POST['user_group']) && !empty($_POST['user_group'])  && isset($_POST['user_status']))
		{
			if (!$this->user->validate_mail($_POST['user_mail']))
			{
				$this->error='[string]invalid_mail[/string]';
				return;
			}
			
			$status=(!empty($_POST['user_status'])) ? $_POST['user_status'] : 0;
			
			if ($_GET['id'] == 1 && $_POST['user_group'] != 1)
			{
				$this->error='[string]cannot_delete_superadmin[/string]';
				return;
			}
			
			if ($_POST['user_group'] == 1 && $this->user->id != 1)
			{
				$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
				return;
			}
		
			
			$name='';
			if (!empty($_POST['user_name']))
			{
				if ($this->user->validate_word($_POST['user_name'],1,255,true))
				{
					$name=$_POST['user_name'];
				} else 
				{
					$this->error='[string]invalid_name[/string]';
				}
			}
			
			$info=(!empty($_POST['user_info'])) ? htmlspecialchars($_POST['user_info']) : null;
			
			$gender=(!empty($_POST['user_gender']) && ($_POST['user_gender']=='M' || $_POST['user_gender']=='F')) ? $_POST['user_gender'] : ''; 
			
			$dob='';
			if (!empty($_POST['dob_day']) && !empty($_POST['dob_month']) && !empty($_POST['dob_year']))
			{
				if (is_numeric($_POST['dob_day']) && $_POST['dob_day']>=1 && $_POST['dob_day']<=31 && array_key_exists($_POST['dob_month'],$this->user->dob_months) && is_numeric($_POST['dob_year']) && $_POST['dob_year']>=1960 && $_POST['dob_year']<=date('Y',time()))
				{
					$dob=str_pad($_POST['dob_day'],2,'0',STR_PAD_LEFT).'.'.$_POST['dob_month'].'.'.$_POST['dob_year'];
				} else 
				{
					$this->error='[string]invalid_dob[/string]';
				}
			}
			
			$country=(!empty($_POST['user_country']) && array_key_exists($_POST['user_country'],$this->user->countries)) ? $_POST['user_country'] : '';
			
			$icq='';
			if (!empty($_POST['user_icq']) && is_numeric(str_replace(' ','',str_replace('-','',$_POST['user_icq'])))) 
			{
				$icq=htmlspecialchars($_POST['user_icq']);
			} elseif (!empty($_POST['user_icq'])) 
			{
				$this->error='[string]invalid_icq[/string]';
			}
			
			$msn=(!empty($_POST['user_msn'])) ? htmlspecialchars($_POST['user_msn']) : '';
			
			$skype=(!empty($_POST['user_skype'])) ? htmlspecialchars($_POST['user_skype']) : '';
			
			if (!$this->db->query("update ".DB_PREFIX."_users set 
									mail='".$this->db->escape_string($_POST['user_mail'])."',
									group_id='".$this->db->escape_string($_POST['user_group'])."',
									active='".$this->db->escape_string($status)."',
									name='".$this->db->escape_string($name)."',
									info='".$this->db->escape_string($info)."',
									gender='".$this->db->escape_string($gender)."',
									dob='".$this->db->escape_string($dob)."',
									country='".$this->db->escape_string($country)."',
									icq='".$this->db->escape_string($icq)."',
									msn='".$this->db->escape_string($msn)."',
									skype='".$this->db->escape_string($skype)."' 
									where id='".$this->db->escape_string($_GET['id'])."'"))
			{
				$this->error='[string]database_error[/string]';
			}
			
			if (isset($_POST['delete_avatar']) && $_POST['delete_avatar']=='on')
			{
				$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
				if (file_exists($ava_path))
				{
					if (!unlink($ava_path))
					{
						$this->error='[string]could_not_delete_file[/string]';
					}
				} else 
				{
					if (!empty($this->error))
						$this->error.='<br />[string]file_not_found[/string]';
					else 
						$this->error='[string]file_not_found[/string]';
				}
			}
			if (empty($this->error) && empty($this->message)) $this->message='[string]user_updated[/string]';
		} else 
		{
			$this->error='[string]marked_fields_are_required[/string]';
				return;
		}

	}
	
	function build_delete_form($id)
	{
		$this->db->query("select * from ".DB_PREFIX."_users where id='".$this->db->escape_string($id)."'");
		$user=$this->db->fetch_array();
		if (empty($user))
		{
			$this->error='[string]user_not_found[/string]';
			return;
		}
		
		if ($user['group_id'] == 1 && $this->user->id != 1)
		{
			$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
			return;
		}
		
		$html='';
		

		$html.='<div align="left" style="padding:10px">';
		$html.='<span style="text-decoration:underline"><b>[string]login[/string] : </b>'.$user['login'].'</span>';
		$html.='<br /><b>[string]name[/string] : </b><span>'.$user['name'].'</span>';
		$html.='<br /><b>[string]mail[/string] : </b><span>'.$user['mail'].'</span>';
		$html.='<br /><b>[string]group[/string] : </b><span>[string]group_'.$user['group_id'].'[/string]</span>';
		$html.='<p style="color:red">[string]user_delete_confirm[/string]</p>';
		$html.=parent::build_anchor(ADMIN_WORKSPACE.'/&component=userAdmin&act=dodel&id='.$id,'<b>[string]delete[/string]</b>');
		$html.='</div>';
		
		echo $html;
	}
	
	function delete($id)
	{
		if ($id == 1)
		{
			$this->error='[string]cannot_delete_superadmin[/string]';
			return;
		}
		$this->db->query("select login,group_id from ".DB_PREFIX."_users where id='".$this->db->escape_string($id)."'");
		$user=$this->db->fetch_array();
		if (empty($user))
		{
			$this->error='[string]user_not_found[/string]';
			return;
		}
		
		if ($user['group_id'] == 1 && $this->user->id != 1)
		{
			$this->error='[string]only_super_admin_can_create_or_edit_admins[/string]';
			return;
		}
		
		if ($this->db->query("update ".DB_PREFIX."_users set name='[*]',login='',passwd='',info='',mail='',group_id='0',active='0',gender='',dob='',country='',icq='',msn='',skype='' where id='".$this->db->escape_string($id)."'"))
		{
			$ava_path=ROOT_DIR.'/upload/user/'.md5($user['login']).'.ava';
			if (file_exists($ava_path))
			{
				if (!unlink($ava_path))
				{
					$this->error='[string]could_not_delete_file[/string]';
				}
			}
			$this->message='[string]user_deleted[/string]';
			return;
		} else 
		{
			$this->error='[string]database_error[/string]';
			return;
		}
	}
}

function userAdmin_init($env)
{
	global $SawannaUserAdmin;
	
	$SawannaUserAdmin=new CSawannaUserAdmin();
	$SawannaUserAdmin->session=&$env['session'];
	$SawannaUserAdmin->language=&$env['language'];
	$SawannaUserAdmin->user=&$env['user'];
	$SawannaUserAdmin->db=&$env['db'];
}

function userAdmin_exec()
{
	global $SawannaUserAdmin;
	
	if (isset($_GET['component']) && $_GET['component']=='userAdmin')
	{
		if (!isset($_GET['act']) || ($_GET['act']!='edit' && $_GET['act']!='doedit'))
		{
			echo '<h2 class="header_caption"><img src="'.HOME.'/sawanna/images/wpalm.png" width="40" height="40" align="absmiddle">&nbsp;[string]users[/string] :</h2>';
			echo '<p style="padding:10px">[string]users_str[/string]</p>';
			echo '<div align="center" style="padding-top:10px;padding-bottom:10px">';
		}
		
		if (isset($_GET['act']))
		{
			switch ($_GET['act'])
			{
				case 'edit' :
					$SawannaUserAdmin->build_edit_form();
					break;
				case 'doedit' :
					$SawannaUserAdmin->edit();
					$SawannaUserAdmin->build_linker();
					break;
				case 'edit_alt' :
					$SawannaUserAdmin->build_edit_form_alt();
					break;
				case 'doedit_alt' :
					$SawannaUserAdmin->edit_alt();
					$SawannaUserAdmin->build_edit_form_alt();
					break;
				case 'del' :
					if (isset($_GET['id']))
					$SawannaUserAdmin->build_delete_form($_GET['id']);
					$SawannaUserAdmin->build_linker();
					break;
				case 'dodel' :
					if (isset($_GET['id']))
					$SawannaUserAdmin->delete($_GET['id']);
					$SawannaUserAdmin->build_linker();
					break;
			}
		}
		
		if (!isset($_GET['act'])) $SawannaUserAdmin->build_linker();
		
		if (!isset($_GET['act']) || ($_GET['act']!='edit' && $_GET['act']!='doedit'))
		{
			echo '</div>';
		}
	}
	
	return array($SawannaUserAdmin->message,$SawannaUserAdmin->error,'');
}

function userAdmin_clear()
{
	global $SawannaUserAdmin;
	
	unset(
		$SawannaUserAdmin->session,
		$SawannaUserAdmin->language,
		$SawannaUserAdmin->user,
		$SawannaUserAdmin->db,
		$SawannaUserAdmin->message,
		$SawannaUserAdmin->error,
		$SawannaUserAdmin->limit,
		$SawannaUserAdmin->get
		);
}
?>