<?php
defined("SAWANNA") or die();

class CUserLogin extends CSawanna 
{
	var $db;
	var $user;
	var $session;
	var $language;
	
	function CUserLogin($user)
	{
		$this->db=null;
		$this->user=$user;
		$this->session=null;
		$this->language=null;
	}
	
	function build()
	{
		if (isset($this->session->var['user_id'],$this->session->var['user_pass']))
		{
			$this->db->query("select * from ".DB_PREFIX."_users where login <> '' and active='1'");
			$user_count=$this->db->num_rows();
			echo '<div class="form" align="center" style="width:auto;padding:10px">';
			echo '<div style="width:160px;text-align:left;overflow:hidden">';
			$name=!empty($this->user->name) ? $this->user->name : $this->user->login;
			echo '[string]hello[/string] '.parent::build_anchor('user/view/'.$this->user->login,'<b>'.$name. '</b>').' !<br /><br />';
			$group='[string]group_'.$this->user->group.'[/string]';
			echo '<span>[string]group[/string] : '.$group.'</span>';
			if ($this->user->group == 1)
			{
				echo '<br />'.parent::build_anchor(ADMIN_WORKSPACE,'<span class="admin_link">[string]administer[/string]</span>');
			}
			echo '<br />'.parent::build_anchor('user','<span class="my_profile_link">[string]my_profile[/string]</span>');
			echo '<br />'.parent::build_anchor('users','<span class="users_link">[string]view_users[/string]</span>').'&nbsp;('.$user_count.')';
			echo '<br />'.parent::build_anchor('user/logout','[string]logout[/string]');
			echo '</div>';
			echo '</div>';
			echo '<div style="width:100%" class="shadow_1"></div>';
		} else 
		{
			$this->build_auth_form();
		}
	}
	
	function build_auth_form()
	{
		$elems=array(
					'custom',
					'text',
					'password',
					'submit',
					'custom',
					'custom'					
					);
		$attr=array(
					'',
					'name="login" style="width:100%"',
					'name="password" style="width:100%"',
					'value="[string]send[/string]" style="width:100px"',
					'',
					''
					);
		$descr=array(
					' ',
					'[string]login[/string]',
					'[string]password[/string]',
					' ',
					' ',
					''
					);
		$custom=array(
					ALLOW_USER_REGISTER ? parent::build_anchor('user/register','[string]registration[/string]') : '',
					'',
					'',
					'',
					'',
					ALLOW_USER_REGISTER ? '<div style="float:right">'.parent::build_anchor('user/remind','[string]forgot_your_password[/string]').'</div>' : ''
					);
		
		echo '<div style="width:100%" align="center">';
		echo parent::build_form('user',$elems,'190px',$descr,$attr,$custom,'auth_form',true);
		echo '</div>';
	}
}

function login_init($env)
{
	global $UserLogin;
	
	$UserLogin=new CUserLogin($env['user']);
	$UserLogin->db=&$env['db'];
	$UserLogin->session=&$env['session'];
	$UserLogin->language=&$env['language'];
}

function login_exec()
{
	global $UserLogin;
	
	$UserLogin->build();
}

function login_clear()
{
	global $UserLogin;
	
	unset(
		$UserLogin->db,
		$UserLogin->user,
		$UserLogin->session,
		$UserLogin->language
		);
}
?>