<?php
defined("SAWANNA") or die();

class CCaptcha
{
	var $session;
	var $code;
	
	function CCaptcha(&$session)
	{
		$this->session=&$session;
		$this->code=(isset($this->session->var['captcha'])) ? $this->session->var['captcha'] : null;
	}
	
	function generate()
	{
		$code=mt_rand(10000,99999);
		$this->session->register('captcha',$code);
		
		$_code="$code";
		
		$captcha=imagecreate(100,30);
		$c1=imagecreatefromjpeg(ROOT_DIR.'/sawanna/images/captcha/'.$_code[0].'.jpg');
		$c2=imagecreatefromjpeg(ROOT_DIR.'/sawanna/images/captcha/'.$_code[1].'.jpg');
		$c3=imagecreatefromjpeg(ROOT_DIR.'/sawanna/images/captcha/'.$_code[2].'.jpg');
		$c4=imagecreatefromjpeg(ROOT_DIR.'/sawanna/images/captcha/'.$_code[3].'.jpg');
		$c5=imagecreatefromjpeg(ROOT_DIR.'/sawanna/images/captcha/'.$_code[4].'.jpg');
		
		imagecopy($captcha,$c1,0,0,0,0,20,30);
		imagecopy($captcha,$c2,20,0,0,0,20,30);
		imagecopy($captcha,$c3,40,0,0,0,20,30);
		imagecopy($captcha,$c4,60,0,0,0,20,30);
		imagecopy($captcha,$c5,80,0,0,0,20,30);
		
		imagejpeg($captcha);
		
		imagedestroy($captcha);
		imagedestroy($c1);
		imagedestroy($c2);
		imagedestroy($c3);
		imagedestroy($c4);
		imagedestroy($c5);
	}
	
	function check($code)
	{
		if ($code == $this->code) return true;
		else return false;
	}
}
?>